<?php
/**
 * Plugin Name: Sunshine Photo Cart
 * Plugin URI: https://www.sunshinephotocart.com
 * Description: Client Gallery Photo Cart & Photo Proofing Plugin for Professional Photographers using WordPress
 * Author: WP Sunshine
 * Author URI: https://www.wpsunshine.com
 * Version: 3.1.3
 * Text Domain: sunshine-photo-cart
 * Domain Path: /languages
 *
 * Sunshine Photo Cart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * any later version.
 *
 * Sunshine Photo Cart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Sunshine Photo Cart. If not, see <http://www.gnu.org/licenses/>.
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'SUNSHINE_PHOTO_CART_PATH', plugin_dir_path( __FILE__ ) );
define( 'SUNSHINE_PHOTO_CART_URL', plugin_dir_url( __FILE__ ) );
define( 'SUNSHINE_PHOTO_CART_FILE', __FILE__ );
define( 'SUNSHINE_PHOTO_CART_VERSION', '3.1.3' );
define( 'SUNSHINE_PHOTO_CART_STORE_URL', 'https://www.sunshinephotocart.com' );
define( 'SUNSHINE_LOAD_KEY', uniqid( '', true ) );

if ( ! class_exists( 'Sunshine_Photo_Cart', false ) ) {
	include_once SUNSHINE_PHOTO_CART_PATH . '/includes/class-sunshinephotocart.php';
}

require_once SUNSHINE_PHOTO_CART_PATH . '/includes/admin/install.php';
register_activation_hook( __FILE__, 'sunshine_activation' );
register_deactivation_hook( __FILE__, 'sunshine_deactivation' );

function SPC() {
	return Sunshine_Photo_Cart::instance();
}
SPC();

add_action( 'plugins_loaded', 'sunshine_load_textdomain', 99 );
function sunshine_load_textdomain() {
	$result = load_plugin_textdomain( 'sunshine-photo-cart', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
}

function sunshine_load_own_translations( $mofile, $domain ) {
	if ( 'sunshine-photo-cart' === $domain && false !== strpos( $mofile, WP_LANG_DIR . '/plugins/' ) ) {
		$locale = apply_filters( 'plugin_locale', determine_locale(), $domain );
		$mofile = SUNSHINE_PHOTO_CART_PATH . 'languages/' . $domain . '-' . $locale . '.mo';
	}
	return $mofile;
}
add_filter( 'load_textdomain_mofile', 'sunshine_load_own_translations', 10, 2 );
