<?php
if ( empty( $id ) ) {
	$id = 'sunshine--multi-image-select-' . uniqid();
}
$images = $gallery->get_images( array( 'nopaging' => true ) );
if ( $images ) {
?>

<div id="sunshine--multi-image-select--source-<?php echo esc_attr( $gallery->get_id() ); ?>" class="sunshine--multi-image-select--source--list">
<?php foreach ( $images as $image ) { ?>
	<figure class="sunshine--multi-image-select--image sunshine--multi-image-select--source-<?php echo esc_attr( $gallery->get_id() ); ?> <?php echo ( SPC()->customer->has_favorite( $image->get_id() ) ) ? 'sunshine--multi-image-select--source-favorites' : ''; ?>">
		<input type="checkbox" required="required" id="image-<?php echo esc_attr( $gallery->get_id() ); ?>-<?php echo esc_attr( $image->get_id() ); ?>-<?php echo esc_attr( $id ); ?>" name="images[]" data-option-id="images" value="<?php echo esc_attr( $image->get_id() ); ?>" data-image-url="<?php echo esc_url( $image->get_image_url() ); ?>" <?php checked( ! empty( $selected ) && in_array( $image->get_id(), $selected ), true ); ?> />
		<label for="image-<?php echo esc_attr( $gallery->get_id() ); ?>-<?php echo esc_attr( $image->get_id() ); ?>-<?php echo esc_attr( $id ); ?>">
			<?php echo $image->output(); ?>
			<?php if ( ! empty( SPC()->get_option( 'show_image_data' ) ) ) { ?>
				<figcaption class="sunshine--image--name"><?php echo esc_html( $image->get_name() ); ?></figcaption>
			<?php } ?>
		</label>
	</figure>
<?php } ?>
</div>

<?php
} else {
	echo __( 'No images in this gallery', 'sunshine-photo-cart' );
}
?>
