<?php
class SPC_Countries {

	private $countries;
	private $states;
	private $locale;

	function __construct() {

		$this->countries = apply_filters(
			'sunshine_countries',
			array(
				'AF'   => __( 'Afghanistan', 'sunshine-photo-cart' ),
				'AX'   => __( '&#197;land Islands', 'sunshine-photo-cart' ),
				'AL'   => __( 'Albania', 'sunshine-photo-cart' ),
				'DZ'   => __( 'Algeria', 'sunshine-photo-cart' ),
				'AS'   => __( 'American Samoa', 'sunshine-photo-cart' ),
				'AD'   => __( 'Andorra', 'sunshine-photo-cart' ),
				'AO'   => __( 'Angola', 'sunshine-photo-cart' ),
				'AI'   => __( 'Anguilla', 'sunshine-photo-cart' ),
				'AQ'   => __( 'Antarctica', 'sunshine-photo-cart' ),
				'AG'   => __( 'Antigua and Barbuda', 'sunshine-photo-cart' ),
				'AR'   => __( 'Argentina', 'sunshine-photo-cart' ),
				'AM'   => __( 'Armenia', 'sunshine-photo-cart' ),
				'AW'   => __( 'Aruba', 'sunshine-photo-cart' ),
				'AU'   => __( 'Australia', 'sunshine-photo-cart' ),
				'AT'   => __( 'Austria', 'sunshine-photo-cart' ),
				'AZ'   => __( 'Azerbaijan', 'sunshine-photo-cart' ),
				'BS'   => __( 'Bahamas', 'sunshine-photo-cart' ),
				'BH'   => __( 'Bahrain', 'sunshine-photo-cart' ),
				'BD'   => __( 'Bangladesh', 'sunshine-photo-cart' ),
				'BB'   => __( 'Barbados', 'sunshine-photo-cart' ),
				'BY'   => __( 'Belarus', 'sunshine-photo-cart' ),
				'BE'   => __( 'Belgium', 'sunshine-photo-cart' ),
				'BZ'   => __( 'Belize', 'sunshine-photo-cart' ),
				'BJ'   => __( 'Benin', 'sunshine-photo-cart' ),
				'BM'   => __( 'Bermuda', 'sunshine-photo-cart' ),
				'BT'   => __( 'Bhutan', 'sunshine-photo-cart' ),
				'BO'   => __( 'Bolivia', 'sunshine-photo-cart' ),
				'BA'   => __( 'Bosnia and Herzegovina', 'sunshine-photo-cart' ),
				'BW'   => __( 'Botswana', 'sunshine-photo-cart' ),
				'BR'   => __( 'Brazil', 'sunshine-photo-cart' ),
				'IO'   => __( 'British Indian Ocean Territory', 'sunshine-photo-cart' ),
				'VG'   => __( 'British Virgin Islands', 'sunshine-photo-cart' ),
				'BN'   => __( 'Brunei', 'sunshine-photo-cart' ),
				'BG'   => __( 'Bulgaria', 'sunshine-photo-cart' ),
				'BF'   => __( 'Burkina Faso', 'sunshine-photo-cart' ),
				'BI'   => __( 'Burundi', 'sunshine-photo-cart' ),
				'KH'   => __( 'Cambodia', 'sunshine-photo-cart' ),
				'CM'   => __( 'Cameroon', 'sunshine-photo-cart' ),
				'CA'   => __( 'Canada', 'sunshine-photo-cart' ),
				'CV'   => __( 'Cape Verde', 'sunshine-photo-cart' ),
				'KY'   => __( 'Cayman Islands', 'sunshine-photo-cart' ),
				'CF'   => __( 'Central African Republic', 'sunshine-photo-cart' ),
				'TD'   => __( 'Chad', 'sunshine-photo-cart' ),
				'CL'   => __( 'Chile', 'sunshine-photo-cart' ),
				'CN'   => __( 'China', 'sunshine-photo-cart' ),
				'CX'   => __( 'Christmas Island', 'sunshine-photo-cart' ),
				'CC'   => __( 'Cocos (Keeling) Islands', 'sunshine-photo-cart' ),
				'CO'   => __( 'Colombia', 'sunshine-photo-cart' ),
				'KM'   => __( 'Comoros', 'sunshine-photo-cart' ),
				'CG'   => __( 'Congo (Brazzaville)', 'sunshine-photo-cart' ),
				'CD'   => __( 'Congo (Kinshasa)', 'sunshine-photo-cart' ),
				'CK'   => __( 'Cook Islands', 'sunshine-photo-cart' ),
				'CR'   => __( 'Costa Rica', 'sunshine-photo-cart' ),
				'HR'   => __( 'Croatia', 'sunshine-photo-cart' ),
				'CU'   => __( 'Cuba', 'sunshine-photo-cart' ),
				'CY'   => __( 'Cyprus', 'sunshine-photo-cart' ),
				'CZ'   => __( 'Czech Republic', 'sunshine-photo-cart' ),
				'DK'   => __( 'Denmark', 'sunshine-photo-cart' ),
				'DJ'   => __( 'Djibouti', 'sunshine-photo-cart' ),
				'DM'   => __( 'Dominica', 'sunshine-photo-cart' ),
				'DO'   => __( 'Dominican Republic', 'sunshine-photo-cart' ),
				'EC'   => __( 'Ecuador', 'sunshine-photo-cart' ),
				'EG'   => __( 'Egypt', 'sunshine-photo-cart' ),
				'SV'   => __( 'El Salvador', 'sunshine-photo-cart' ),
				'GQ'   => __( 'Equatorial Guinea', 'sunshine-photo-cart' ),
				'ER'   => __( 'Eritrea', 'sunshine-photo-cart' ),
				'EE'   => __( 'Estonia', 'sunshine-photo-cart' ),
				'ET'   => __( 'Ethiopia', 'sunshine-photo-cart' ),
				'FK'   => __( 'Falkland Islands', 'sunshine-photo-cart' ),
				'FO'   => __( 'Faroe Islands', 'sunshine-photo-cart' ),
				'FJ'   => __( 'Fiji', 'sunshine-photo-cart' ),
				'FI'   => __( 'Finland', 'sunshine-photo-cart' ),
				'FR'   => __( 'France', 'sunshine-photo-cart' ),
				'GF'   => __( 'French Guiana', 'sunshine-photo-cart' ),
				'PF'   => __( 'French Polynesia', 'sunshine-photo-cart' ),
				'TF'   => __( 'French Southern Territories', 'sunshine-photo-cart' ),
				'GA'   => __( 'Gabon', 'sunshine-photo-cart' ),
				'GM'   => __( 'Gambia', 'sunshine-photo-cart' ),
				'GE'   => __( 'Georgia', 'sunshine-photo-cart' ),
				'DE'   => __( 'Germany', 'sunshine-photo-cart' ),
				'GH'   => __( 'Ghana', 'sunshine-photo-cart' ),
				'GI'   => __( 'Gibraltar', 'sunshine-photo-cart' ),
				'GR'   => __( 'Greece', 'sunshine-photo-cart' ),
				'GL'   => __( 'Greenland', 'sunshine-photo-cart' ),
				'GD'   => __( 'Grenada', 'sunshine-photo-cart' ),
				'GP'   => __( 'Guadeloupe', 'sunshine-photo-cart' ),
				'GU'   => __( 'Guam', 'sunshine-photo-cart' ),
				'GT'   => __( 'Guatemala', 'sunshine-photo-cart' ),
				'GG'   => __( 'Guernsey', 'sunshine-photo-cart' ),
				'GN'   => __( 'Guinea', 'sunshine-photo-cart' ),
				'GW'   => __( 'Guinea-Bissau', 'sunshine-photo-cart' ),
				'GY'   => __( 'Guyana', 'sunshine-photo-cart' ),
				'HT'   => __( 'Haiti', 'sunshine-photo-cart' ),
				'HN'   => __( 'Honduras', 'sunshine-photo-cart' ),
				'HK'   => __( 'Hong Kong', 'sunshine-photo-cart' ),
				'HU'   => __( 'Hungary', 'sunshine-photo-cart' ),
				'IS'   => __( 'Iceland', 'sunshine-photo-cart' ),
				'IN'   => __( 'India', 'sunshine-photo-cart' ),
				'ID'   => __( 'Indonesia', 'sunshine-photo-cart' ),
				'IR'   => __( 'Iran', 'sunshine-photo-cart' ),
				'IQ'   => __( 'Iraq', 'sunshine-photo-cart' ),
				'IE'   => __( 'Republic of Ireland', 'sunshine-photo-cart' ),
				'IM'   => __( 'Isle of Man', 'sunshine-photo-cart' ),
				'IL'   => __( 'Israel', 'sunshine-photo-cart' ),
				'IT'   => __( 'Italy', 'sunshine-photo-cart' ),
				'CI'   => __( 'Ivory Coast', 'sunshine-photo-cart' ),
				'JM'   => __( 'Jamaica', 'sunshine-photo-cart' ),
				'JP'   => __( 'Japan', 'sunshine-photo-cart' ),
				'JE'   => __( 'Jersey', 'sunshine-photo-cart' ),
				'JO'   => __( 'Jordan', 'sunshine-photo-cart' ),
				'KZ'   => __( 'Kazakhstan', 'sunshine-photo-cart' ),
				'KE'   => __( 'Kenya', 'sunshine-photo-cart' ),
				'KI'   => __( 'Kiribati', 'sunshine-photo-cart' ),
				'KW'   => __( 'Kuwait', 'sunshine-photo-cart' ),
				'KG'   => __( 'Kyrgyzstan', 'sunshine-photo-cart' ),
				'LA'   => __( 'Laos', 'sunshine-photo-cart' ),
				'LV'   => __( 'Latvia', 'sunshine-photo-cart' ),
				'LB'   => __( 'Lebanon', 'sunshine-photo-cart' ),
				'LS'   => __( 'Lesotho', 'sunshine-photo-cart' ),
				'LR'   => __( 'Liberia', 'sunshine-photo-cart' ),
				'LY'   => __( 'Libya', 'sunshine-photo-cart' ),
				'LI'   => __( 'Liechtenstein', 'sunshine-photo-cart' ),
				'LT'   => __( 'Lithuania', 'sunshine-photo-cart' ),
				'LU'   => __( 'Luxembourg', 'sunshine-photo-cart' ),
				'MO'   => __( 'Macao S.A.R., China', 'sunshine-photo-cart' ),
				'MK'   => __( 'Macedonia', 'sunshine-photo-cart' ),
				'MG'   => __( 'Madagascar', 'sunshine-photo-cart' ),
				'MW'   => __( 'Malawi', 'sunshine-photo-cart' ),
				'MY'   => __( 'Malaysia', 'sunshine-photo-cart' ),
				'MV'   => __( 'Maldives', 'sunshine-photo-cart' ),
				'ML'   => __( 'Mali', 'sunshine-photo-cart' ),
				'MT'   => __( 'Malta', 'sunshine-photo-cart' ),
				'MH'   => __( 'Marshall Islands', 'sunshine-photo-cart' ),
				'MQ'   => __( 'Martinique', 'sunshine-photo-cart' ),
				'MR'   => __( 'Mauritania', 'sunshine-photo-cart' ),
				'MU'   => __( 'Mauritius', 'sunshine-photo-cart' ),
				'YT'   => __( 'Mayotte', 'sunshine-photo-cart' ),
				'MX'   => __( 'Mexico', 'sunshine-photo-cart' ),
				'FM'   => __( 'Micronesia', 'sunshine-photo-cart' ),
				'MD'   => __( 'Moldova', 'sunshine-photo-cart' ),
				'MC'   => __( 'Monaco', 'sunshine-photo-cart' ),
				'MN'   => __( 'Mongolia', 'sunshine-photo-cart' ),
				'ME'   => __( 'Montenegro', 'sunshine-photo-cart' ),
				'MS'   => __( 'Montserrat', 'sunshine-photo-cart' ),
				'MA'   => __( 'Morocco', 'sunshine-photo-cart' ),
				'MZ'   => __( 'Mozambique', 'sunshine-photo-cart' ),
				'MM'   => __( 'Myanmar', 'sunshine-photo-cart' ),
				'NA'   => __( 'Namibia', 'sunshine-photo-cart' ),
				'NR'   => __( 'Nauru', 'sunshine-photo-cart' ),
				'NP'   => __( 'Nepal', 'sunshine-photo-cart' ),
				'NL'   => __( 'Netherlands', 'sunshine-photo-cart' ),
				'AN'   => __( 'Netherlands Antilles', 'sunshine-photo-cart' ),
				'NC'   => __( 'New Caledonia', 'sunshine-photo-cart' ),
				'NZ'   => __( 'New Zealand', 'sunshine-photo-cart' ),
				'NI'   => __( 'Nicaragua', 'sunshine-photo-cart' ),
				'NE'   => __( 'Niger', 'sunshine-photo-cart' ),
				'NG'   => __( 'Nigeria', 'sunshine-photo-cart' ),
				'NU'   => __( 'Niue', 'sunshine-photo-cart' ),
				'NF'   => __( 'Norfolk Island', 'sunshine-photo-cart' ),
				'KP'   => __( 'North Korea', 'sunshine-photo-cart' ),
				'MP'   => __( 'Northern Mariana Islands', 'sunshine-photo-cart' ),
				'NO'   => __( 'Norway', 'sunshine-photo-cart' ),
				'OM'   => __( 'Oman', 'sunshine-photo-cart' ),
				'PK'   => __( 'Pakistan', 'sunshine-photo-cart' ),
				'PW'   => __( 'Palau', 'sunshine-photo-cart' ),
				'PS'   => __( 'Palestinian Territory', 'sunshine-photo-cart' ),
				'PA'   => __( 'Panama', 'sunshine-photo-cart' ),
				'PG'   => __( 'Papua New Guinea', 'sunshine-photo-cart' ),
				'PY'   => __( 'Paraguay', 'sunshine-photo-cart' ),
				'PE'   => __( 'Peru', 'sunshine-photo-cart' ),
				'PH'   => __( 'Philippines', 'sunshine-photo-cart' ),
				'PN'   => __( 'Pitcairn', 'sunshine-photo-cart' ),
				'PL'   => __( 'Poland', 'sunshine-photo-cart' ),
				'PT'   => __( 'Portugal', 'sunshine-photo-cart' ),
				'PR'   => __( 'Puerto Rico', 'sunshine-photo-cart' ),
				'QA'   => __( 'Qatar', 'sunshine-photo-cart' ),
				'RE'   => __( 'Reunion', 'sunshine-photo-cart' ),
				'RO'   => __( 'Romania', 'sunshine-photo-cart' ),
				'RU'   => __( 'Russia', 'sunshine-photo-cart' ),
				'RW'   => __( 'Rwanda', 'sunshine-photo-cart' ),
				'BL'   => __( 'Saint Barth&eacute;lemy', 'sunshine-photo-cart' ),
				'SH'   => __( 'Saint Helena', 'sunshine-photo-cart' ),
				'KN'   => __( 'Saint Kitts and Nevis', 'sunshine-photo-cart' ),
				'LC'   => __( 'Saint Lucia', 'sunshine-photo-cart' ),
				'MF'   => __( 'Saint Martin (French part)', 'sunshine-photo-cart' ),
				'PM'   => __( 'Saint Pierre and Miquelon', 'sunshine-photo-cart' ),
				'VC'   => __( 'Saint Vincent and the Grenadines', 'sunshine-photo-cart' ),
				'WS'   => __( 'Samoa', 'sunshine-photo-cart' ),
				'SM'   => __( 'San Marino', 'sunshine-photo-cart' ),
				'ST'   => __( 'S&atilde;o Tom&eacute; and Pr&iacute;ncipe', 'sunshine-photo-cart' ),
				'SA'   => __( 'Saudi Arabia', 'sunshine-photo-cart' ),
				'SN'   => __( 'Senegal', 'sunshine-photo-cart' ),
				'RS'   => __( 'Serbia', 'sunshine-photo-cart' ),
				'SC'   => __( 'Seychelles', 'sunshine-photo-cart' ),
				'SL'   => __( 'Sierra Leone', 'sunshine-photo-cart' ),
				'SG'   => __( 'Singapore', 'sunshine-photo-cart' ),
				'SK'   => __( 'Slovakia', 'sunshine-photo-cart' ),
				'SI'   => __( 'Slovenia', 'sunshine-photo-cart' ),
				'SB'   => __( 'Solomon Islands', 'sunshine-photo-cart' ),
				'SO'   => __( 'Somalia', 'sunshine-photo-cart' ),
				'ZA'   => __( 'South Africa', 'sunshine-photo-cart' ),
				'GS'   => __( 'South Georgia/Sandwich Islands', 'sunshine-photo-cart' ),
				'KR'   => __( 'South Korea', 'sunshine-photo-cart' ),
				'ES'   => __( 'Spain', 'sunshine-photo-cart' ),
				'LK'   => __( 'Sri Lanka', 'sunshine-photo-cart' ),
				'SD'   => __( 'Sudan', 'sunshine-photo-cart' ),
				'SR'   => __( 'Suriname', 'sunshine-photo-cart' ),
				'SJ'   => __( 'Svalbard and Jan Mayen', 'sunshine-photo-cart' ),
				'SZ'   => __( 'Swaziland', 'sunshine-photo-cart' ),
				'SE'   => __( 'Sweden', 'sunshine-photo-cart' ),
				'CH'   => __( 'Switzerland', 'sunshine-photo-cart' ),
				'SY'   => __( 'Syria', 'sunshine-photo-cart' ),
				'TW'   => __( 'Taiwan', 'sunshine-photo-cart' ),
				'TJ'   => __( 'Tajikistan', 'sunshine-photo-cart' ),
				'TZ'   => __( 'Tanzania', 'sunshine-photo-cart' ),
				'TH'   => __( 'Thailand', 'sunshine-photo-cart' ),
				'TL'   => __( 'Timor-Leste', 'sunshine-photo-cart' ),
				'TG'   => __( 'Togo', 'sunshine-photo-cart' ),
				'TK'   => __( 'Tokelau', 'sunshine-photo-cart' ),
				'TO'   => __( 'Tonga', 'sunshine-photo-cart' ),
				'TT'   => __( 'Trinidad and Tobago', 'sunshine-photo-cart' ),
				'TN'   => __( 'Tunisia', 'sunshine-photo-cart' ),
				'TR'   => __( 'Turkey', 'sunshine-photo-cart' ),
				'TM'   => __( 'Turkmenistan', 'sunshine-photo-cart' ),
				'TC'   => __( 'Turks and Caicos Islands', 'sunshine-photo-cart' ),
				'TV'   => __( 'Tuvalu', 'sunshine-photo-cart' ),
				'VI'   => __( 'U.S. Virgin Islands', 'sunshine-photo-cart' ),
				'USAF' => __( 'US Armed Forces', 'sunshine-photo-cart' ),
				'UM'   => __( 'US Minor Outlying Islands', 'sunshine-photo-cart' ),
				'UG'   => __( 'Uganda', 'sunshine-photo-cart' ),
				'UA'   => __( 'Ukraine', 'sunshine-photo-cart' ),
				'AE'   => __( 'United Arab Emirates', 'sunshine-photo-cart' ),
				'GB'   => __( 'United Kingdom', 'sunshine-photo-cart' ),
				'US'   => __( 'United States', 'sunshine-photo-cart' ),
				'UY'   => __( 'Uruguay', 'sunshine-photo-cart' ),
				'UZ'   => __( 'Uzbekistan', 'sunshine-photo-cart' ),
				'VU'   => __( 'Vanuatu', 'sunshine-photo-cart' ),
				'VA'   => __( 'Vatican', 'sunshine-photo-cart' ),
				'VE'   => __( 'Venezuela', 'sunshine-photo-cart' ),
				'VN'   => __( 'Vietnam', 'sunshine-photo-cart' ),
				'WF'   => __( 'Wallis and Futuna', 'sunshine-photo-cart' ),
				'EH'   => __( 'Western Sahara', 'sunshine-photo-cart' ),
				'YE'   => __( 'Yemen', 'sunshine-photo-cart' ),
				'ZM'   => __( 'Zambia', 'sunshine-photo-cart' ),
				'ZW'   => __( 'Zimbabwe', 'sunshine-photo-cart' ),
			)
		);

		$this->states = apply_filters(
			'sunshine_states',
			array(
				'AF' => array(),
				'AL' => array( // Albanian states.
					'AL-01' => __( 'Berat', 'sunshine-photo-cart' ),
					'AL-09' => __( 'Dibër', 'sunshine-photo-cart' ),
					'AL-02' => __( 'Durrës', 'sunshine-photo-cart' ),
					'AL-03' => __( 'Elbasan', 'sunshine-photo-cart' ),
					'AL-04' => __( 'Fier', 'sunshine-photo-cart' ),
					'AL-05' => __( 'Gjirokastër', 'sunshine-photo-cart' ),
					'AL-06' => __( 'Korçë', 'sunshine-photo-cart' ),
					'AL-07' => __( 'Kukës', 'sunshine-photo-cart' ),
					'AL-08' => __( 'Lezhë', 'sunshine-photo-cart' ),
					'AL-10' => __( 'Shkodër', 'sunshine-photo-cart' ),
					'AL-11' => __( 'Tirana', 'sunshine-photo-cart' ),
					'AL-12' => __( 'Vlorë', 'sunshine-photo-cart' ),
				),
				'AO' => array( // Angolan states.
					'BGO' => __( 'Bengo', 'sunshine-photo-cart' ),
					'BLU' => __( 'Benguela', 'sunshine-photo-cart' ),
					'BIE' => __( 'Bié', 'sunshine-photo-cart' ),
					'CAB' => __( 'Cabinda', 'sunshine-photo-cart' ),
					'CNN' => __( 'Cunene', 'sunshine-photo-cart' ),
					'HUA' => __( 'Huambo', 'sunshine-photo-cart' ),
					'HUI' => __( 'Huíla', 'sunshine-photo-cart' ),
					'CCU' => __( 'Kuando Kubango', 'sunshine-photo-cart' ),
					'CNO' => __( 'Kwanza-Norte', 'sunshine-photo-cart' ),
					'CUS' => __( 'Kwanza-Sul', 'sunshine-photo-cart' ),
					'LUA' => __( 'Luanda', 'sunshine-photo-cart' ),
					'LNO' => __( 'Lunda-Norte', 'sunshine-photo-cart' ),
					'LSU' => __( 'Lunda-Sul', 'sunshine-photo-cart' ),
					'MAL' => __( 'Malanje', 'sunshine-photo-cart' ),
					'MOX' => __( 'Moxico', 'sunshine-photo-cart' ),
					'NAM' => __( 'Namibe', 'sunshine-photo-cart' ),
					'UIG' => __( 'Uíge', 'sunshine-photo-cart' ),
					'ZAI' => __( 'Zaire', 'sunshine-photo-cart' ),
				),
				'AR' => array( // Argentinian provinces.
					'C' => __( 'Ciudad Autónoma de Buenos Aires', 'sunshine-photo-cart' ),
					'B' => __( 'Buenos Aires', 'sunshine-photo-cart' ),
					'K' => __( 'Catamarca', 'sunshine-photo-cart' ),
					'H' => __( 'Chaco', 'sunshine-photo-cart' ),
					'U' => __( 'Chubut', 'sunshine-photo-cart' ),
					'X' => __( 'Córdoba', 'sunshine-photo-cart' ),
					'W' => __( 'Corrientes', 'sunshine-photo-cart' ),
					'E' => __( 'Entre Ríos', 'sunshine-photo-cart' ),
					'P' => __( 'Formosa', 'sunshine-photo-cart' ),
					'Y' => __( 'Jujuy', 'sunshine-photo-cart' ),
					'L' => __( 'La Pampa', 'sunshine-photo-cart' ),
					'F' => __( 'La Rioja', 'sunshine-photo-cart' ),
					'M' => __( 'Mendoza', 'sunshine-photo-cart' ),
					'N' => __( 'Misiones', 'sunshine-photo-cart' ),
					'Q' => __( 'Neuquén', 'sunshine-photo-cart' ),
					'R' => __( 'Río Negro', 'sunshine-photo-cart' ),
					'A' => __( 'Salta', 'sunshine-photo-cart' ),
					'J' => __( 'San Juan', 'sunshine-photo-cart' ),
					'D' => __( 'San Luis', 'sunshine-photo-cart' ),
					'Z' => __( 'Santa Cruz', 'sunshine-photo-cart' ),
					'S' => __( 'Santa Fe', 'sunshine-photo-cart' ),
					'G' => __( 'Santiago del Estero', 'sunshine-photo-cart' ),
					'V' => __( 'Tierra del Fuego', 'sunshine-photo-cart' ),
					'T' => __( 'Tucumán', 'sunshine-photo-cart' ),
				),
				'AT' => array(),
				'AU' => array( // Australian states.
					'ACT' => __( 'Australian Capital Territory', 'sunshine-photo-cart' ),
					'NSW' => __( 'New South Wales', 'sunshine-photo-cart' ),
					'NT'  => __( 'Northern Territory', 'sunshine-photo-cart' ),
					'QLD' => __( 'Queensland', 'sunshine-photo-cart' ),
					'SA'  => __( 'South Australia', 'sunshine-photo-cart' ),
					'TAS' => __( 'Tasmania', 'sunshine-photo-cart' ),
					'VIC' => __( 'Victoria', 'sunshine-photo-cart' ),
					'WA'  => __( 'Western Australia', 'sunshine-photo-cart' ),
				),
				'AX' => array(),
				'BD' => array( // Bangladeshi districts.
					'BD-05' => __( 'Bagerhat', 'sunshine-photo-cart' ),
					'BD-01' => __( 'Bandarban', 'sunshine-photo-cart' ),
					'BD-02' => __( 'Barguna', 'sunshine-photo-cart' ),
					'BD-06' => __( 'Barishal', 'sunshine-photo-cart' ),
					'BD-07' => __( 'Bhola', 'sunshine-photo-cart' ),
					'BD-03' => __( 'Bogura', 'sunshine-photo-cart' ),
					'BD-04' => __( 'Brahmanbaria', 'sunshine-photo-cart' ),
					'BD-09' => __( 'Chandpur', 'sunshine-photo-cart' ),
					'BD-10' => __( 'Chattogram', 'sunshine-photo-cart' ),
					'BD-12' => __( 'Chuadanga', 'sunshine-photo-cart' ),
					'BD-11' => __( "Cox's Bazar", 'sunshine-photo-cart' ),
					'BD-08' => __( 'Cumilla', 'sunshine-photo-cart' ),
					'BD-13' => __( 'Dhaka', 'sunshine-photo-cart' ),
					'BD-14' => __( 'Dinajpur', 'sunshine-photo-cart' ),
					'BD-15' => __( 'Faridpur ', 'sunshine-photo-cart' ),
					'BD-16' => __( 'Feni', 'sunshine-photo-cart' ),
					'BD-19' => __( 'Gaibandha', 'sunshine-photo-cart' ),
					'BD-18' => __( 'Gazipur', 'sunshine-photo-cart' ),
					'BD-17' => __( 'Gopalganj', 'sunshine-photo-cart' ),
					'BD-20' => __( 'Habiganj', 'sunshine-photo-cart' ),
					'BD-21' => __( 'Jamalpur', 'sunshine-photo-cart' ),
					'BD-22' => __( 'Jashore', 'sunshine-photo-cart' ),
					'BD-25' => __( 'Jhalokati', 'sunshine-photo-cart' ),
					'BD-23' => __( 'Jhenaidah', 'sunshine-photo-cart' ),
					'BD-24' => __( 'Joypurhat', 'sunshine-photo-cart' ),
					'BD-29' => __( 'Khagrachhari', 'sunshine-photo-cart' ),
					'BD-27' => __( 'Khulna', 'sunshine-photo-cart' ),
					'BD-26' => __( 'Kishoreganj', 'sunshine-photo-cart' ),
					'BD-28' => __( 'Kurigram', 'sunshine-photo-cart' ),
					'BD-30' => __( 'Kushtia', 'sunshine-photo-cart' ),
					'BD-31' => __( 'Lakshmipur', 'sunshine-photo-cart' ),
					'BD-32' => __( 'Lalmonirhat', 'sunshine-photo-cart' ),
					'BD-36' => __( 'Madaripur', 'sunshine-photo-cart' ),
					'BD-37' => __( 'Magura', 'sunshine-photo-cart' ),
					'BD-33' => __( 'Manikganj ', 'sunshine-photo-cart' ),
					'BD-39' => __( 'Meherpur', 'sunshine-photo-cart' ),
					'BD-38' => __( 'Moulvibazar', 'sunshine-photo-cart' ),
					'BD-35' => __( 'Munshiganj', 'sunshine-photo-cart' ),
					'BD-34' => __( 'Mymensingh', 'sunshine-photo-cart' ),
					'BD-48' => __( 'Naogaon', 'sunshine-photo-cart' ),
					'BD-43' => __( 'Narail', 'sunshine-photo-cart' ),
					'BD-40' => __( 'Narayanganj', 'sunshine-photo-cart' ),
					'BD-42' => __( 'Narsingdi', 'sunshine-photo-cart' ),
					'BD-44' => __( 'Natore', 'sunshine-photo-cart' ),
					'BD-45' => __( 'Nawabganj', 'sunshine-photo-cart' ),
					'BD-41' => __( 'Netrakona', 'sunshine-photo-cart' ),
					'BD-46' => __( 'Nilphamari', 'sunshine-photo-cart' ),
					'BD-47' => __( 'Noakhali', 'sunshine-photo-cart' ),
					'BD-49' => __( 'Pabna', 'sunshine-photo-cart' ),
					'BD-52' => __( 'Panchagarh', 'sunshine-photo-cart' ),
					'BD-51' => __( 'Patuakhali', 'sunshine-photo-cart' ),
					'BD-50' => __( 'Pirojpur', 'sunshine-photo-cart' ),
					'BD-53' => __( 'Rajbari', 'sunshine-photo-cart' ),
					'BD-54' => __( 'Rajshahi', 'sunshine-photo-cart' ),
					'BD-56' => __( 'Rangamati', 'sunshine-photo-cart' ),
					'BD-55' => __( 'Rangpur', 'sunshine-photo-cart' ),
					'BD-58' => __( 'Satkhira', 'sunshine-photo-cart' ),
					'BD-62' => __( 'Shariatpur', 'sunshine-photo-cart' ),
					'BD-57' => __( 'Sherpur', 'sunshine-photo-cart' ),
					'BD-59' => __( 'Sirajganj', 'sunshine-photo-cart' ),
					'BD-61' => __( 'Sunamganj', 'sunshine-photo-cart' ),
					'BD-60' => __( 'Sylhet', 'sunshine-photo-cart' ),
					'BD-63' => __( 'Tangail', 'sunshine-photo-cart' ),
					'BD-64' => __( 'Thakurgaon', 'sunshine-photo-cart' ),
				),
				'BE' => array(),
				'BG' => array( // Bulgarian states.
					'BG-01' => __( 'Blagoevgrad', 'sunshine-photo-cart' ),
					'BG-02' => __( 'Burgas', 'sunshine-photo-cart' ),
					'BG-08' => __( 'Dobrich', 'sunshine-photo-cart' ),
					'BG-07' => __( 'Gabrovo', 'sunshine-photo-cart' ),
					'BG-26' => __( 'Haskovo', 'sunshine-photo-cart' ),
					'BG-09' => __( 'Kardzhali', 'sunshine-photo-cart' ),
					'BG-10' => __( 'Kyustendil', 'sunshine-photo-cart' ),
					'BG-11' => __( 'Lovech', 'sunshine-photo-cart' ),
					'BG-12' => __( 'Montana', 'sunshine-photo-cart' ),
					'BG-13' => __( 'Pazardzhik', 'sunshine-photo-cart' ),
					'BG-14' => __( 'Pernik', 'sunshine-photo-cart' ),
					'BG-15' => __( 'Pleven', 'sunshine-photo-cart' ),
					'BG-16' => __( 'Plovdiv', 'sunshine-photo-cart' ),
					'BG-17' => __( 'Razgrad', 'sunshine-photo-cart' ),
					'BG-18' => __( 'Ruse', 'sunshine-photo-cart' ),
					'BG-27' => __( 'Shumen', 'sunshine-photo-cart' ),
					'BG-19' => __( 'Silistra', 'sunshine-photo-cart' ),
					'BG-20' => __( 'Sliven', 'sunshine-photo-cart' ),
					'BG-21' => __( 'Smolyan', 'sunshine-photo-cart' ),
					'BG-23' => __( 'Sofia District', 'sunshine-photo-cart' ),
					'BG-22' => __( 'Sofia', 'sunshine-photo-cart' ),
					'BG-24' => __( 'Stara Zagora', 'sunshine-photo-cart' ),
					'BG-25' => __( 'Targovishte', 'sunshine-photo-cart' ),
					'BG-03' => __( 'Varna', 'sunshine-photo-cart' ),
					'BG-04' => __( 'Veliko Tarnovo', 'sunshine-photo-cart' ),
					'BG-05' => __( 'Vidin', 'sunshine-photo-cart' ),
					'BG-06' => __( 'Vratsa', 'sunshine-photo-cart' ),
					'BG-28' => __( 'Yambol', 'sunshine-photo-cart' ),
				),
				'BH' => array(),
				'BI' => array(),
				'BJ' => array( // Beninese states.
					'AL' => __( 'Alibori', 'sunshine-photo-cart' ),
					'AK' => __( 'Atakora', 'sunshine-photo-cart' ),
					'AQ' => __( 'Atlantique', 'sunshine-photo-cart' ),
					'BO' => __( 'Borgou', 'sunshine-photo-cart' ),
					'CO' => __( 'Collines', 'sunshine-photo-cart' ),
					'KO' => __( 'Kouffo', 'sunshine-photo-cart' ),
					'DO' => __( 'Donga', 'sunshine-photo-cart' ),
					'LI' => __( 'Littoral', 'sunshine-photo-cart' ),
					'MO' => __( 'Mono', 'sunshine-photo-cart' ),
					'OU' => __( 'Ouémé', 'sunshine-photo-cart' ),
					'PL' => __( 'Plateau', 'sunshine-photo-cart' ),
					'ZO' => __( 'Zou', 'sunshine-photo-cart' ),
				),
				'BO' => array( // Bolivian states.
					'BO-B' => __( 'Beni', 'sunshine-photo-cart' ),
					'BO-H' => __( 'Chuquisaca', 'sunshine-photo-cart' ),
					'BO-C' => __( 'Cochabamba', 'sunshine-photo-cart' ),
					'BO-L' => __( 'La Paz', 'sunshine-photo-cart' ),
					'BO-O' => __( 'Oruro', 'sunshine-photo-cart' ),
					'BO-N' => __( 'Pando', 'sunshine-photo-cart' ),
					'BO-P' => __( 'Potosí', 'sunshine-photo-cart' ),
					'BO-S' => __( 'Santa Cruz', 'sunshine-photo-cart' ),
					'BO-T' => __( 'Tarija', 'sunshine-photo-cart' ),
				),
				'BR' => array( // Brazilian states.
					'AC' => __( 'Acre', 'sunshine-photo-cart' ),
					'AL' => __( 'Alagoas', 'sunshine-photo-cart' ),
					'AP' => __( 'Amapá', 'sunshine-photo-cart' ),
					'AM' => __( 'Amazonas', 'sunshine-photo-cart' ),
					'BA' => __( 'Bahia', 'sunshine-photo-cart' ),
					'CE' => __( 'Ceará', 'sunshine-photo-cart' ),
					'DF' => __( 'Distrito Federal', 'sunshine-photo-cart' ),
					'ES' => __( 'Espírito Santo', 'sunshine-photo-cart' ),
					'GO' => __( 'Goiás', 'sunshine-photo-cart' ),
					'MA' => __( 'Maranhão', 'sunshine-photo-cart' ),
					'MT' => __( 'Mato Grosso', 'sunshine-photo-cart' ),
					'MS' => __( 'Mato Grosso do Sul', 'sunshine-photo-cart' ),
					'MG' => __( 'Minas Gerais', 'sunshine-photo-cart' ),
					'PA' => __( 'Pará', 'sunshine-photo-cart' ),
					'PB' => __( 'Paraíba', 'sunshine-photo-cart' ),
					'PR' => __( 'Paraná', 'sunshine-photo-cart' ),
					'PE' => __( 'Pernambuco', 'sunshine-photo-cart' ),
					'PI' => __( 'Piauí', 'sunshine-photo-cart' ),
					'RJ' => __( 'Rio de Janeiro', 'sunshine-photo-cart' ),
					'RN' => __( 'Rio Grande do Norte', 'sunshine-photo-cart' ),
					'RS' => __( 'Rio Grande do Sul', 'sunshine-photo-cart' ),
					'RO' => __( 'Rondônia', 'sunshine-photo-cart' ),
					'RR' => __( 'Roraima', 'sunshine-photo-cart' ),
					'SC' => __( 'Santa Catarina', 'sunshine-photo-cart' ),
					'SP' => __( 'São Paulo', 'sunshine-photo-cart' ),
					'SE' => __( 'Sergipe', 'sunshine-photo-cart' ),
					'TO' => __( 'Tocantins', 'sunshine-photo-cart' ),
				),
				'CA' => array( // Canadian states.
					'AB' => __( 'Alberta', 'sunshine-photo-cart' ),
					'BC' => __( 'British Columbia', 'sunshine-photo-cart' ),
					'MB' => __( 'Manitoba', 'sunshine-photo-cart' ),
					'NB' => __( 'New Brunswick', 'sunshine-photo-cart' ),
					'NL' => __( 'Newfoundland and Labrador', 'sunshine-photo-cart' ),
					'NT' => __( 'Northwest Territories', 'sunshine-photo-cart' ),
					'NS' => __( 'Nova Scotia', 'sunshine-photo-cart' ),
					'NU' => __( 'Nunavut', 'sunshine-photo-cart' ),
					'ON' => __( 'Ontario', 'sunshine-photo-cart' ),
					'PE' => __( 'Prince Edward Island', 'sunshine-photo-cart' ),
					'QC' => __( 'Quebec', 'sunshine-photo-cart' ),
					'SK' => __( 'Saskatchewan', 'sunshine-photo-cart' ),
					'YT' => __( 'Yukon Territory', 'sunshine-photo-cart' ),
				),
				'CH' => array( // Swiss cantons.
					'AG' => __( 'Aargau', 'sunshine-photo-cart' ),
					'AR' => __( 'Appenzell Ausserrhoden', 'sunshine-photo-cart' ),
					'AI' => __( 'Appenzell Innerrhoden', 'sunshine-photo-cart' ),
					'BL' => __( 'Basel-Landschaft', 'sunshine-photo-cart' ),
					'BS' => __( 'Basel-Stadt', 'sunshine-photo-cart' ),
					'BE' => __( 'Bern', 'sunshine-photo-cart' ),
					'FR' => __( 'Fribourg', 'sunshine-photo-cart' ),
					'GE' => __( 'Geneva', 'sunshine-photo-cart' ),
					'GL' => __( 'Glarus', 'sunshine-photo-cart' ),
					'GR' => __( 'Graubünden', 'sunshine-photo-cart' ),
					'JU' => __( 'Jura', 'sunshine-photo-cart' ),
					'LU' => __( 'Luzern', 'sunshine-photo-cart' ),
					'NE' => __( 'Neuchâtel', 'sunshine-photo-cart' ),
					'NW' => __( 'Nidwalden', 'sunshine-photo-cart' ),
					'OW' => __( 'Obwalden', 'sunshine-photo-cart' ),
					'SH' => __( 'Schaffhausen', 'sunshine-photo-cart' ),
					'SZ' => __( 'Schwyz', 'sunshine-photo-cart' ),
					'SO' => __( 'Solothurn', 'sunshine-photo-cart' ),
					'SG' => __( 'St. Gallen', 'sunshine-photo-cart' ),
					'TG' => __( 'Thurgau', 'sunshine-photo-cart' ),
					'TI' => __( 'Ticino', 'sunshine-photo-cart' ),
					'UR' => __( 'Uri', 'sunshine-photo-cart' ),
					'VS' => __( 'Valais', 'sunshine-photo-cart' ),
					'VD' => __( 'Vaud', 'sunshine-photo-cart' ),
					'ZG' => __( 'Zug', 'sunshine-photo-cart' ),
					'ZH' => __( 'Zürich', 'sunshine-photo-cart' ),
				),
				'CL' => array( // Chilean states.
					'CL-AI' => __( 'Aisén del General Carlos Ibañez del Campo', 'sunshine-photo-cart' ),
					'CL-AN' => __( 'Antofagasta', 'sunshine-photo-cart' ),
					'CL-AP' => __( 'Arica y Parinacota', 'sunshine-photo-cart' ),
					'CL-AR' => __( 'La Araucanía', 'sunshine-photo-cart' ),
					'CL-AT' => __( 'Atacama', 'sunshine-photo-cart' ),
					'CL-BI' => __( 'Biobío', 'sunshine-photo-cart' ),
					'CL-CO' => __( 'Coquimbo', 'sunshine-photo-cart' ),
					'CL-LI' => __( 'Libertador General Bernardo O\'Higgins', 'sunshine-photo-cart' ),
					'CL-LL' => __( 'Los Lagos', 'sunshine-photo-cart' ),
					'CL-LR' => __( 'Los Ríos', 'sunshine-photo-cart' ),
					'CL-MA' => __( 'Magallanes', 'sunshine-photo-cart' ),
					'CL-ML' => __( 'Maule', 'sunshine-photo-cart' ),
					'CL-NB' => __( 'Ñuble', 'sunshine-photo-cart' ),
					'CL-RM' => __( 'Región Metropolitana de Santiago', 'sunshine-photo-cart' ),
					'CL-TA' => __( 'Tarapacá', 'sunshine-photo-cart' ),
					'CL-VS' => __( 'Valparaíso', 'sunshine-photo-cart' ),
				),
				'CN' => array( // Chinese states.
					'CN1'  => __( 'Yunnan / 云南', 'sunshine-photo-cart' ),
					'CN2'  => __( 'Beijing / 北京', 'sunshine-photo-cart' ),
					'CN3'  => __( 'Tianjin / 天津', 'sunshine-photo-cart' ),
					'CN4'  => __( 'Hebei / 河北', 'sunshine-photo-cart' ),
					'CN5'  => __( 'Shanxi / 山西', 'sunshine-photo-cart' ),
					'CN6'  => __( 'Inner Mongolia / 內蒙古', 'sunshine-photo-cart' ),
					'CN7'  => __( 'Liaoning / 辽宁', 'sunshine-photo-cart' ),
					'CN8'  => __( 'Jilin / 吉林', 'sunshine-photo-cart' ),
					'CN9'  => __( 'Heilongjiang / 黑龙江', 'sunshine-photo-cart' ),
					'CN10' => __( 'Shanghai / 上海', 'sunshine-photo-cart' ),
					'CN11' => __( 'Jiangsu / 江苏', 'sunshine-photo-cart' ),
					'CN12' => __( 'Zhejiang / 浙江', 'sunshine-photo-cart' ),
					'CN13' => __( 'Anhui / 安徽', 'sunshine-photo-cart' ),
					'CN14' => __( 'Fujian / 福建', 'sunshine-photo-cart' ),
					'CN15' => __( 'Jiangxi / 江西', 'sunshine-photo-cart' ),
					'CN16' => __( 'Shandong / 山东', 'sunshine-photo-cart' ),
					'CN17' => __( 'Henan / 河南', 'sunshine-photo-cart' ),
					'CN18' => __( 'Hubei / 湖北', 'sunshine-photo-cart' ),
					'CN19' => __( 'Hunan / 湖南', 'sunshine-photo-cart' ),
					'CN20' => __( 'Guangdong / 广东', 'sunshine-photo-cart' ),
					'CN21' => __( 'Guangxi Zhuang / 广西壮族', 'sunshine-photo-cart' ),
					'CN22' => __( 'Hainan / 海南', 'sunshine-photo-cart' ),
					'CN23' => __( 'Chongqing / 重庆', 'sunshine-photo-cart' ),
					'CN24' => __( 'Sichuan / 四川', 'sunshine-photo-cart' ),
					'CN25' => __( 'Guizhou / 贵州', 'sunshine-photo-cart' ),
					'CN26' => __( 'Shaanxi / 陕西', 'sunshine-photo-cart' ),
					'CN27' => __( 'Gansu / 甘肃', 'sunshine-photo-cart' ),
					'CN28' => __( 'Qinghai / 青海', 'sunshine-photo-cart' ),
					'CN29' => __( 'Ningxia Hui / 宁夏', 'sunshine-photo-cart' ),
					'CN30' => __( 'Macao / 澳门', 'sunshine-photo-cart' ),
					'CN31' => __( 'Tibet / 西藏', 'sunshine-photo-cart' ),
					'CN32' => __( 'Xinjiang / 新疆', 'sunshine-photo-cart' ),
				),
				'CO' => array( // Colombian states.
					'CO-AMA' => __( 'Amazonas', 'sunshine-photo-cart' ),
					'CO-ANT' => __( 'Antioquia', 'sunshine-photo-cart' ),
					'CO-ARA' => __( 'Arauca', 'sunshine-photo-cart' ),
					'CO-ATL' => __( 'Atlántico', 'sunshine-photo-cart' ),
					'CO-BOL' => __( 'Bolívar', 'sunshine-photo-cart' ),
					'CO-BOY' => __( 'Boyacá', 'sunshine-photo-cart' ),
					'CO-CAL' => __( 'Caldas', 'sunshine-photo-cart' ),
					'CO-CAQ' => __( 'Caquetá', 'sunshine-photo-cart' ),
					'CO-CAS' => __( 'Casanare', 'sunshine-photo-cart' ),
					'CO-CAU' => __( 'Cauca', 'sunshine-photo-cart' ),
					'CO-CES' => __( 'Cesar', 'sunshine-photo-cart' ),
					'CO-CHO' => __( 'Chocó', 'sunshine-photo-cart' ),
					'CO-COR' => __( 'Córdoba', 'sunshine-photo-cart' ),
					'CO-CUN' => __( 'Cundinamarca', 'sunshine-photo-cart' ),
					'CO-DC' => __( 'Capital District', 'sunshine-photo-cart' ),
					'CO-GUA' => __( 'Guainía', 'sunshine-photo-cart' ),
					'CO-GUV' => __( 'Guaviare', 'sunshine-photo-cart' ),
					'CO-HUI' => __( 'Huila', 'sunshine-photo-cart' ),
					'CO-LAG' => __( 'La Guajira', 'sunshine-photo-cart' ),
					'CO-MAG' => __( 'Magdalena', 'sunshine-photo-cart' ),
					'CO-MET' => __( 'Meta', 'sunshine-photo-cart' ),
					'CO-NAR' => __( 'Nariño', 'sunshine-photo-cart' ),
					'CO-NSA' => __( 'Norte de Santander', 'sunshine-photo-cart' ),
					'CO-PUT' => __( 'Putumayo', 'sunshine-photo-cart' ),
					'CO-QUI' => __( 'Quindío', 'sunshine-photo-cart' ),
					'CO-RIS' => __( 'Risaralda', 'sunshine-photo-cart' ),
					'CO-SAN' => __( 'Santander', 'sunshine-photo-cart' ),
					'CO-SAP' => __( 'San Andrés & Providencia', 'sunshine-photo-cart' ),
					'CO-SUC' => __( 'Sucre', 'sunshine-photo-cart' ),
					'CO-TOL' => __( 'Tolima', 'sunshine-photo-cart' ),
					'CO-VAC' => __( 'Valle del Cauca', 'sunshine-photo-cart' ),
					'CO-VAU' => __( 'Vaupés', 'sunshine-photo-cart' ),
					'CO-VID' => __( 'Vichada', 'sunshine-photo-cart' ),
				),
				'CR' => array( // Costa Rican states.
					'CR-A' => __( 'Alajuela', 'sunshine-photo-cart' ),
					'CR-C' => __( 'Cartago', 'sunshine-photo-cart' ),
					'CR-G' => __( 'Guanacaste', 'sunshine-photo-cart' ),
					'CR-H' => __( 'Heredia', 'sunshine-photo-cart' ),
					'CR-L' => __( 'Limón', 'sunshine-photo-cart' ),
					'CR-P' => __( 'Puntarenas', 'sunshine-photo-cart' ),
					'CR-SJ' => __( 'San José', 'sunshine-photo-cart' ),
				),
				'CZ' => array(),
				'DE' => array( // German states.
					'DE-BW' => __( 'Baden-Württemberg', 'sunshine-photo-cart' ),
					'DE-BY' => __( 'Bavaria', 'sunshine-photo-cart' ),
					'DE-BE' => __( 'Berlin', 'sunshine-photo-cart' ),
					'DE-BB' => __( 'Brandenburg', 'sunshine-photo-cart' ),
					'DE-HB' => __( 'Bremen', 'sunshine-photo-cart' ),
					'DE-HH' => __( 'Hamburg', 'sunshine-photo-cart' ),
					'DE-HE' => __( 'Hesse', 'sunshine-photo-cart' ),
					'DE-MV' => __( 'Mecklenburg-Vorpommern', 'sunshine-photo-cart' ),
					'DE-NI' => __( 'Lower Saxony', 'sunshine-photo-cart' ),
					'DE-NW' => __( 'North Rhine-Westphalia', 'sunshine-photo-cart' ),
					'DE-RP' => __( 'Rhineland-Palatinate', 'sunshine-photo-cart' ),
					'DE-SL' => __( 'Saarland', 'sunshine-photo-cart' ),
					'DE-SN' => __( 'Saxony', 'sunshine-photo-cart' ),
					'DE-ST' => __( 'Saxony-Anhalt', 'sunshine-photo-cart' ),
					'DE-SH' => __( 'Schleswig-Holstein', 'sunshine-photo-cart' ),
					'DE-TH' => __( 'Thuringia', 'sunshine-photo-cart' ),
				),
				'DK' => array(),
				'DO' => array( // Dominican states.
					'DO-01' => __( 'Distrito Nacional', 'sunshine-photo-cart' ),
					'DO-02' => __( 'Azua', 'sunshine-photo-cart' ),
					'DO-03' => __( 'Baoruco', 'sunshine-photo-cart' ),
					'DO-04' => __( 'Barahona', 'sunshine-photo-cart' ),
					'DO-33' => __( 'Cibao Nordeste', 'sunshine-photo-cart' ),
					'DO-34' => __( 'Cibao Noroeste', 'sunshine-photo-cart' ),
					'DO-35' => __( 'Cibao Norte', 'sunshine-photo-cart' ),
					'DO-36' => __( 'Cibao Sur', 'sunshine-photo-cart' ),
					'DO-05' => __( 'Dajabón', 'sunshine-photo-cart' ),
					'DO-06' => __( 'Duarte', 'sunshine-photo-cart' ),
					'DO-08' => __( 'El Seibo', 'sunshine-photo-cart' ),
					'DO-37' => __( 'El Valle', 'sunshine-photo-cart' ),
					'DO-07' => __( 'Elías Piña', 'sunshine-photo-cart' ),
					'DO-38' => __( 'Enriquillo', 'sunshine-photo-cart' ),
					'DO-09' => __( 'Espaillat', 'sunshine-photo-cart' ),
					'DO-30' => __( 'Hato Mayor', 'sunshine-photo-cart' ),
					'DO-19' => __( 'Hermanas Mirabal', 'sunshine-photo-cart' ),
					'DO-39' => __( 'Higüamo', 'sunshine-photo-cart' ),
					'DO-10' => __( 'Independencia', 'sunshine-photo-cart' ),
					'DO-11' => __( 'La Altagracia', 'sunshine-photo-cart' ),
					'DO-12' => __( 'La Romana', 'sunshine-photo-cart' ),
					'DO-13' => __( 'La Vega', 'sunshine-photo-cart' ),
					'DO-14' => __( 'María Trinidad Sánchez', 'sunshine-photo-cart' ),
					'DO-28' => __( 'Monseñor Nouel', 'sunshine-photo-cart' ),
					'DO-15' => __( 'Monte Cristi', 'sunshine-photo-cart' ),
					'DO-29' => __( 'Monte Plata', 'sunshine-photo-cart' ),
					'DO-40' => __( 'Ozama', 'sunshine-photo-cart' ),
					'DO-16' => __( 'Pedernales', 'sunshine-photo-cart' ),
					'DO-17' => __( 'Peravia', 'sunshine-photo-cart' ),
					'DO-18' => __( 'Puerto Plata', 'sunshine-photo-cart' ),
					'DO-20' => __( 'Samaná', 'sunshine-photo-cart' ),
					'DO-21' => __( 'San Cristóbal', 'sunshine-photo-cart' ),
					'DO-31' => __( 'San José de Ocoa', 'sunshine-photo-cart' ),
					'DO-22' => __( 'San Juan', 'sunshine-photo-cart' ),
					'DO-23' => __( 'San Pedro de Macorís', 'sunshine-photo-cart' ),
					'DO-24' => __( 'Sánchez Ramírez', 'sunshine-photo-cart' ),
					'DO-25' => __( 'Santiago', 'sunshine-photo-cart' ),
					'DO-26' => __( 'Santiago Rodríguez', 'sunshine-photo-cart' ),
					'DO-32' => __( 'Santo Domingo', 'sunshine-photo-cart' ),
					'DO-41' => __( 'Valdesia', 'sunshine-photo-cart' ),
					'DO-27' => __( 'Valverde', 'sunshine-photo-cart' ),
					'DO-42' => __( 'Yuma', 'sunshine-photo-cart' ),
				),
				'DZ' => array( // Algerian states.
					'DZ-01' => __( 'Adrar', 'sunshine-photo-cart' ),
					'DZ-02' => __( 'Chlef', 'sunshine-photo-cart' ),
					'DZ-03' => __( 'Laghouat', 'sunshine-photo-cart' ),
					'DZ-04' => __( 'Oum El Bouaghi', 'sunshine-photo-cart' ),
					'DZ-05' => __( 'Batna', 'sunshine-photo-cart' ),
					'DZ-06' => __( 'Béjaïa', 'sunshine-photo-cart' ),
					'DZ-07' => __( 'Biskra', 'sunshine-photo-cart' ),
					'DZ-08' => __( 'Béchar', 'sunshine-photo-cart' ),
					'DZ-09' => __( 'Blida', 'sunshine-photo-cart' ),
					'DZ-10' => __( 'Bouira', 'sunshine-photo-cart' ),
					'DZ-11' => __( 'Tamanghasset', 'sunshine-photo-cart' ),
					'DZ-12' => __( 'Tébessa', 'sunshine-photo-cart' ),
					'DZ-13' => __( 'Tlemcen', 'sunshine-photo-cart' ),
					'DZ-14' => __( 'Tiaret', 'sunshine-photo-cart' ),
					'DZ-15' => __( 'Tizi Ouzou', 'sunshine-photo-cart' ),
					'DZ-16' => __( 'Algiers', 'sunshine-photo-cart' ),
					'DZ-17' => __( 'Djelfa', 'sunshine-photo-cart' ),
					'DZ-18' => __( 'Jijel', 'sunshine-photo-cart' ),
					'DZ-19' => __( 'Sétif', 'sunshine-photo-cart' ),
					'DZ-20' => __( 'Saïda', 'sunshine-photo-cart' ),
					'DZ-21' => __( 'Skikda', 'sunshine-photo-cart' ),
					'DZ-22' => __( 'Sidi Bel Abbès', 'sunshine-photo-cart' ),
					'DZ-23' => __( 'Annaba', 'sunshine-photo-cart' ),
					'DZ-24' => __( 'Guelma', 'sunshine-photo-cart' ),
					'DZ-25' => __( 'Constantine', 'sunshine-photo-cart' ),
					'DZ-26' => __( 'Médéa', 'sunshine-photo-cart' ),
					'DZ-27' => __( 'Mostaganem', 'sunshine-photo-cart' ),
					'DZ-28' => __( 'M’Sila', 'sunshine-photo-cart' ),
					'DZ-29' => __( 'Mascara', 'sunshine-photo-cart' ),
					'DZ-30' => __( 'Ouargla', 'sunshine-photo-cart' ),
					'DZ-31' => __( 'Oran', 'sunshine-photo-cart' ),
					'DZ-32' => __( 'El Bayadh', 'sunshine-photo-cart' ),
					'DZ-33' => __( 'Illizi', 'sunshine-photo-cart' ),
					'DZ-34' => __( 'Bordj Bou Arréridj', 'sunshine-photo-cart' ),
					'DZ-35' => __( 'Boumerdès', 'sunshine-photo-cart' ),
					'DZ-36' => __( 'El Tarf', 'sunshine-photo-cart' ),
					'DZ-37' => __( 'Tindouf', 'sunshine-photo-cart' ),
					'DZ-38' => __( 'Tissemsilt', 'sunshine-photo-cart' ),
					'DZ-39' => __( 'El Oued', 'sunshine-photo-cart' ),
					'DZ-40' => __( 'Khenchela', 'sunshine-photo-cart' ),
					'DZ-41' => __( 'Souk Ahras', 'sunshine-photo-cart' ),
					'DZ-42' => __( 'Tipasa', 'sunshine-photo-cart' ),
					'DZ-43' => __( 'Mila', 'sunshine-photo-cart' ),
					'DZ-44' => __( 'Aïn Defla', 'sunshine-photo-cart' ),
					'DZ-45' => __( 'Naama', 'sunshine-photo-cart' ),
					'DZ-46' => __( 'Aïn Témouchent', 'sunshine-photo-cart' ),
					'DZ-47' => __( 'Ghardaïa', 'sunshine-photo-cart' ),
					'DZ-48' => __( 'Relizane', 'sunshine-photo-cart' ),
				),
				'EE' => array(),
				'EC' => array( // Ecuadorian states.
					'EC-A' => __( 'Azuay', 'sunshine-photo-cart' ),
					'EC-B' => __( 'Bolívar', 'sunshine-photo-cart' ),
					'EC-F' => __( 'Cañar', 'sunshine-photo-cart' ),
					'EC-C' => __( 'Carchi', 'sunshine-photo-cart' ),
					'EC-H' => __( 'Chimborazo', 'sunshine-photo-cart' ),
					'EC-X' => __( 'Cotopaxi', 'sunshine-photo-cart' ),
					'EC-O' => __( 'El Oro', 'sunshine-photo-cart' ),
					'EC-E' => __( 'Esmeraldas', 'sunshine-photo-cart' ),
					'EC-W' => __( 'Galápagos', 'sunshine-photo-cart' ),
					'EC-G' => __( 'Guayas', 'sunshine-photo-cart' ),
					'EC-I' => __( 'Imbabura', 'sunshine-photo-cart' ),
					'EC-L' => __( 'Loja', 'sunshine-photo-cart' ),
					'EC-R' => __( 'Los Ríos', 'sunshine-photo-cart' ),
					'EC-M' => __( 'Manabí', 'sunshine-photo-cart' ),
					'EC-S' => __( 'Morona-Santiago', 'sunshine-photo-cart' ),
					'EC-N' => __( 'Napo', 'sunshine-photo-cart' ),
					'EC-D' => __( 'Orellana', 'sunshine-photo-cart' ),
					'EC-Y' => __( 'Pastaza', 'sunshine-photo-cart' ),
					'EC-P' => __( 'Pichincha', 'sunshine-photo-cart' ),
					'EC-SE' => __( 'Santa Elena', 'sunshine-photo-cart' ),
					'EC-SD' => __( 'Santo Domingo de los Tsáchilas', 'sunshine-photo-cart' ),
					'EC-U' => __( 'Sucumbíos', 'sunshine-photo-cart' ),
					'EC-T' => __( 'Tungurahua', 'sunshine-photo-cart' ),
					'EC-Z' => __( 'Zamora-Chinchipe', 'sunshine-photo-cart' ),
				),
				'EG' => array( // Egyptian states.
					'EGALX' => __( 'Alexandria', 'sunshine-photo-cart' ),
					'EGASN' => __( 'Aswan', 'sunshine-photo-cart' ),
					'EGAST' => __( 'Asyut', 'sunshine-photo-cart' ),
					'EGBA'  => __( 'Red Sea', 'sunshine-photo-cart' ),
					'EGBH'  => __( 'Beheira', 'sunshine-photo-cart' ),
					'EGBNS' => __( 'Beni Suef', 'sunshine-photo-cart' ),
					'EGC'   => __( 'Cairo', 'sunshine-photo-cart' ),
					'EGDK'  => __( 'Dakahlia', 'sunshine-photo-cart' ),
					'EGDT'  => __( 'Damietta', 'sunshine-photo-cart' ),
					'EGFYM' => __( 'Faiyum', 'sunshine-photo-cart' ),
					'EGGH'  => __( 'Gharbia', 'sunshine-photo-cart' ),
					'EGGZ'  => __( 'Giza', 'sunshine-photo-cart' ),
					'EGIS'  => __( 'Ismailia', 'sunshine-photo-cart' ),
					'EGJS'  => __( 'South Sinai', 'sunshine-photo-cart' ),
					'EGKB'  => __( 'Qalyubia', 'sunshine-photo-cart' ),
					'EGKFS' => __( 'Kafr el-Sheikh', 'sunshine-photo-cart' ),
					'EGKN'  => __( 'Qena', 'sunshine-photo-cart' ),
					'EGLX'  => __( 'Luxor', 'sunshine-photo-cart' ),
					'EGMN'  => __( 'Minya', 'sunshine-photo-cart' ),
					'EGMNF' => __( 'Monufia', 'sunshine-photo-cart' ),
					'EGMT'  => __( 'Matrouh', 'sunshine-photo-cart' ),
					'EGPTS' => __( 'Port Said', 'sunshine-photo-cart' ),
					'EGSHG' => __( 'Sohag', 'sunshine-photo-cart' ),
					'EGSHR' => __( 'Al Sharqia', 'sunshine-photo-cart' ),
					'EGSIN' => __( 'North Sinai', 'sunshine-photo-cart' ),
					'EGSUZ' => __( 'Suez', 'sunshine-photo-cart' ),
					'EGWAD' => __( 'New Valley', 'sunshine-photo-cart' ),
				),
				'ES' => array( // Spanish states.
					'C'  => __( 'A Coruña', 'sunshine-photo-cart' ),
					'VI' => __( 'Araba/Álava', 'sunshine-photo-cart' ),
					'AB' => __( 'Albacete', 'sunshine-photo-cart' ),
					'A'  => __( 'Alicante', 'sunshine-photo-cart' ),
					'AL' => __( 'Almería', 'sunshine-photo-cart' ),
					'O'  => __( 'Asturias', 'sunshine-photo-cart' ),
					'AV' => __( 'Ávila', 'sunshine-photo-cart' ),
					'BA' => __( 'Badajoz', 'sunshine-photo-cart' ),
					'PM' => __( 'Baleares', 'sunshine-photo-cart' ),
					'B'  => __( 'Barcelona', 'sunshine-photo-cart' ),
					'BU' => __( 'Burgos', 'sunshine-photo-cart' ),
					'CC' => __( 'Cáceres', 'sunshine-photo-cart' ),
					'CA' => __( 'Cádiz', 'sunshine-photo-cart' ),
					'S'  => __( 'Cantabria', 'sunshine-photo-cart' ),
					'CS' => __( 'Castellón', 'sunshine-photo-cart' ),
					'CE' => __( 'Ceuta', 'sunshine-photo-cart' ),
					'CR' => __( 'Ciudad Real', 'sunshine-photo-cart' ),
					'CO' => __( 'Córdoba', 'sunshine-photo-cart' ),
					'CU' => __( 'Cuenca', 'sunshine-photo-cart' ),
					'GI' => __( 'Girona', 'sunshine-photo-cart' ),
					'GR' => __( 'Granada', 'sunshine-photo-cart' ),
					'GU' => __( 'Guadalajara', 'sunshine-photo-cart' ),
					'SS' => __( 'Gipuzkoa', 'sunshine-photo-cart' ),
					'H'  => __( 'Huelva', 'sunshine-photo-cart' ),
					'HU' => __( 'Huesca', 'sunshine-photo-cart' ),
					'J'  => __( 'Jaén', 'sunshine-photo-cart' ),
					'LO' => __( 'La Rioja', 'sunshine-photo-cart' ),
					'GC' => __( 'Las Palmas', 'sunshine-photo-cart' ),
					'LE' => __( 'León', 'sunshine-photo-cart' ),
					'L'  => __( 'Lleida', 'sunshine-photo-cart' ),
					'LU' => __( 'Lugo', 'sunshine-photo-cart' ),
					'M'  => __( 'Madrid', 'sunshine-photo-cart' ),
					'MA' => __( 'Málaga', 'sunshine-photo-cart' ),
					'ML' => __( 'Melilla', 'sunshine-photo-cart' ),
					'MU' => __( 'Murcia', 'sunshine-photo-cart' ),
					'NA' => __( 'Navarra', 'sunshine-photo-cart' ),
					'OR' => __( 'Ourense', 'sunshine-photo-cart' ),
					'P'  => __( 'Palencia', 'sunshine-photo-cart' ),
					'PO' => __( 'Pontevedra', 'sunshine-photo-cart' ),
					'SA' => __( 'Salamanca', 'sunshine-photo-cart' ),
					'TF' => __( 'Santa Cruz de Tenerife', 'sunshine-photo-cart' ),
					'SG' => __( 'Segovia', 'sunshine-photo-cart' ),
					'SE' => __( 'Sevilla', 'sunshine-photo-cart' ),
					'SO' => __( 'Soria', 'sunshine-photo-cart' ),
					'T'  => __( 'Tarragona', 'sunshine-photo-cart' ),
					'TE' => __( 'Teruel', 'sunshine-photo-cart' ),
					'TO' => __( 'Toledo', 'sunshine-photo-cart' ),
					'V'  => __( 'Valencia', 'sunshine-photo-cart' ),
					'VA' => __( 'Valladolid', 'sunshine-photo-cart' ),
					'BI' => __( 'Biscay', 'sunshine-photo-cart' ),
					'ZA' => __( 'Zamora', 'sunshine-photo-cart' ),
					'Z'  => __( 'Zaragoza', 'sunshine-photo-cart' ),
				),
				'ET' => array(),
				'FI' => array(),
				'FR' => array(),
				'GF' => array(),
				'GH' => array( // Ghanaian regions.
					'AF' => __( 'Ahafo', 'sunshine-photo-cart' ),
					'AH' => __( 'Ashanti', 'sunshine-photo-cart' ),
					'BA' => __( 'Brong-Ahafo', 'sunshine-photo-cart' ),
					'BO' => __( 'Bono', 'sunshine-photo-cart' ),
					'BE' => __( 'Bono East', 'sunshine-photo-cart' ),
					'CP' => __( 'Central', 'sunshine-photo-cart' ),
					'EP' => __( 'Eastern', 'sunshine-photo-cart' ),
					'AA' => __( 'Greater Accra', 'sunshine-photo-cart' ),
					'NE' => __( 'North East', 'sunshine-photo-cart' ),
					'NP' => __( 'Northern', 'sunshine-photo-cart' ),
					'OT' => __( 'Oti', 'sunshine-photo-cart' ),
					'SV' => __( 'Savannah', 'sunshine-photo-cart' ),
					'UE' => __( 'Upper East', 'sunshine-photo-cart' ),
					'UW' => __( 'Upper West', 'sunshine-photo-cart' ),
					'TV' => __( 'Volta', 'sunshine-photo-cart' ),
					'WP' => __( 'Western', 'sunshine-photo-cart' ),
					'WN' => __( 'Western North', 'sunshine-photo-cart' ),
				),
				'GP' => array(),
				'GR' => array( // Greek regions.
					'I' => __( 'Attica', 'sunshine-photo-cart' ),
					'A' => __( 'East Macedonia and Thrace', 'sunshine-photo-cart' ),
					'B' => __( 'Central Macedonia', 'sunshine-photo-cart' ),
					'C' => __( 'West Macedonia', 'sunshine-photo-cart' ),
					'D' => __( 'Epirus', 'sunshine-photo-cart' ),
					'E' => __( 'Thessaly', 'sunshine-photo-cart' ),
					'F' => __( 'Ionian Islands', 'sunshine-photo-cart' ),
					'G' => __( 'West Greece', 'sunshine-photo-cart' ),
					'H' => __( 'Central Greece', 'sunshine-photo-cart' ),
					'J' => __( 'Peloponnese', 'sunshine-photo-cart' ),
					'K' => __( 'North Aegean', 'sunshine-photo-cart' ),
					'L' => __( 'South Aegean', 'sunshine-photo-cart' ),
					'M' => __( 'Crete', 'sunshine-photo-cart' ),
				),
				'GT' => array( // Guatemalan states.
					'GT-AV' => __( 'Alta Verapaz', 'sunshine-photo-cart' ),
					'GT-BV' => __( 'Baja Verapaz', 'sunshine-photo-cart' ),
					'GT-CM' => __( 'Chimaltenango', 'sunshine-photo-cart' ),
					'GT-CQ' => __( 'Chiquimula', 'sunshine-photo-cart' ),
					'GT-PR' => __( 'El Progreso', 'sunshine-photo-cart' ),
					'GT-ES' => __( 'Escuintla', 'sunshine-photo-cart' ),
					'GT-GU' => __( 'Guatemala', 'sunshine-photo-cart' ),
					'GT-HU' => __( 'Huehuetenango', 'sunshine-photo-cart' ),
					'GT-IZ' => __( 'Izabal', 'sunshine-photo-cart' ),
					'GT-JA' => __( 'Jalapa', 'sunshine-photo-cart' ),
					'GT-JU' => __( 'Jutiapa', 'sunshine-photo-cart' ),
					'GT-PE' => __( 'Petén', 'sunshine-photo-cart' ),
					'GT-QZ' => __( 'Quetzaltenango', 'sunshine-photo-cart' ),
					'GT-QC' => __( 'Quiché', 'sunshine-photo-cart' ),
					'GT-RE' => __( 'Retalhuleu', 'sunshine-photo-cart' ),
					'GT-SA' => __( 'Sacatepéquez', 'sunshine-photo-cart' ),
					'GT-SM' => __( 'San Marcos', 'sunshine-photo-cart' ),
					'GT-SR' => __( 'Santa Rosa', 'sunshine-photo-cart' ),
					'GT-SO' => __( 'Sololá', 'sunshine-photo-cart' ),
					'GT-SU' => __( 'Suchitepéquez', 'sunshine-photo-cart' ),
					'GT-TO' => __( 'Totonicapán', 'sunshine-photo-cart' ),
					'GT-ZA' => __( 'Zacapa', 'sunshine-photo-cart' ),
				),
				'HK' => array( // Hong Kong states.
					'HONG KONG'       => __( 'Hong Kong Island', 'sunshine-photo-cart' ),
					'KOWLOON'         => __( 'Kowloon', 'sunshine-photo-cart' ),
					'NEW TERRITORIES' => __( 'New Territories', 'sunshine-photo-cart' ),
				),
				'HN' => array( // Honduran states.
					'HN-AT' => __( 'Atlántida', 'sunshine-photo-cart' ),
					'HN-IB' => __( 'Bay Islands', 'sunshine-photo-cart' ),
					'HN-CH' => __( 'Choluteca', 'sunshine-photo-cart' ),
					'HN-CL' => __( 'Colón', 'sunshine-photo-cart' ),
					'HN-CM' => __( 'Comayagua', 'sunshine-photo-cart' ),
					'HN-CP' => __( 'Copán', 'sunshine-photo-cart' ),
					'HN-CR' => __( 'Cortés', 'sunshine-photo-cart' ),
					'HN-EP' => __( 'El Paraíso', 'sunshine-photo-cart' ),
					'HN-FM' => __( 'Francisco Morazán', 'sunshine-photo-cart' ),
					'HN-GD' => __( 'Gracias a Dios', 'sunshine-photo-cart' ),
					'HN-IN' => __( 'Intibucá', 'sunshine-photo-cart' ),
					'HN-LE' => __( 'Lempira', 'sunshine-photo-cart' ),
					'HN-LP' => __( 'La Paz', 'sunshine-photo-cart' ),
					'HN-OC' => __( 'Ocotepeque', 'sunshine-photo-cart' ),
					'HN-OL' => __( 'Olancho', 'sunshine-photo-cart' ),
					'HN-SB' => __( 'Santa Bárbara', 'sunshine-photo-cart' ),
					'HN-VA' => __( 'Valle', 'sunshine-photo-cart' ),
					'HN-YO' => __( 'Yoro', 'sunshine-photo-cart' ),
				),
				'HU' => array( // Hungarian states.
					'BK' => __( 'Bács-Kiskun', 'sunshine-photo-cart' ),
					'BE' => __( 'Békés', 'sunshine-photo-cart' ),
					'BA' => __( 'Baranya', 'sunshine-photo-cart' ),
					'BZ' => __( 'Borsod-Abaúj-Zemplén', 'sunshine-photo-cart' ),
					'BU' => __( 'Budapest', 'sunshine-photo-cart' ),
					'CS' => __( 'Csongrád-Csanád', 'sunshine-photo-cart' ),
					'FE' => __( 'Fejér', 'sunshine-photo-cart' ),
					'GS' => __( 'Győr-Moson-Sopron', 'sunshine-photo-cart' ),
					'HB' => __( 'Hajdú-Bihar', 'sunshine-photo-cart' ),
					'HE' => __( 'Heves', 'sunshine-photo-cart' ),
					'JN' => __( 'Jász-Nagykun-Szolnok', 'sunshine-photo-cart' ),
					'KE' => __( 'Komárom-Esztergom', 'sunshine-photo-cart' ),
					'NO' => __( 'Nógrád', 'sunshine-photo-cart' ),
					'PE' => __( 'Pest', 'sunshine-photo-cart' ),
					'SO' => __( 'Somogy', 'sunshine-photo-cart' ),
					'SZ' => __( 'Szabolcs-Szatmár-Bereg', 'sunshine-photo-cart' ),
					'TO' => __( 'Tolna', 'sunshine-photo-cart' ),
					'VA' => __( 'Vas', 'sunshine-photo-cart' ),
					'VE' => __( 'Veszprém', 'sunshine-photo-cart' ),
					'ZA' => __( 'Zala', 'sunshine-photo-cart' ),
				),
				'ID' => array( // Indonesian provinces.
					'AC' => __( 'Daerah Istimewa Aceh', 'sunshine-photo-cart' ),
					'SU' => __( 'Sumatera Utara', 'sunshine-photo-cart' ),
					'SB' => __( 'Sumatera Barat', 'sunshine-photo-cart' ),
					'RI' => __( 'Riau', 'sunshine-photo-cart' ),
					'KR' => __( 'Kepulauan Riau', 'sunshine-photo-cart' ),
					'JA' => __( 'Jambi', 'sunshine-photo-cart' ),
					'SS' => __( 'Sumatera Selatan', 'sunshine-photo-cart' ),
					'BB' => __( 'Bangka Belitung', 'sunshine-photo-cart' ),
					'BE' => __( 'Bengkulu', 'sunshine-photo-cart' ),
					'LA' => __( 'Lampung', 'sunshine-photo-cart' ),
					'JK' => __( 'DKI Jakarta', 'sunshine-photo-cart' ),
					'JB' => __( 'Jawa Barat', 'sunshine-photo-cart' ),
					'BT' => __( 'Banten', 'sunshine-photo-cart' ),
					'JT' => __( 'Jawa Tengah', 'sunshine-photo-cart' ),
					'JI' => __( 'Jawa Timur', 'sunshine-photo-cart' ),
					'YO' => __( 'Daerah Istimewa Yogyakarta', 'sunshine-photo-cart' ),
					'BA' => __( 'Bali', 'sunshine-photo-cart' ),
					'NB' => __( 'Nusa Tenggara Barat', 'sunshine-photo-cart' ),
					'NT' => __( 'Nusa Tenggara Timur', 'sunshine-photo-cart' ),
					'KB' => __( 'Kalimantan Barat', 'sunshine-photo-cart' ),
					'KT' => __( 'Kalimantan Tengah', 'sunshine-photo-cart' ),
					'KI' => __( 'Kalimantan Timur', 'sunshine-photo-cart' ),
					'KS' => __( 'Kalimantan Selatan', 'sunshine-photo-cart' ),
					'KU' => __( 'Kalimantan Utara', 'sunshine-photo-cart' ),
					'SA' => __( 'Sulawesi Utara', 'sunshine-photo-cart' ),
					'ST' => __( 'Sulawesi Tengah', 'sunshine-photo-cart' ),
					'SG' => __( 'Sulawesi Tenggara', 'sunshine-photo-cart' ),
					'SR' => __( 'Sulawesi Barat', 'sunshine-photo-cart' ),
					'SN' => __( 'Sulawesi Selatan', 'sunshine-photo-cart' ),
					'GO' => __( 'Gorontalo', 'sunshine-photo-cart' ),
					'MA' => __( 'Maluku', 'sunshine-photo-cart' ),
					'MU' => __( 'Maluku Utara', 'sunshine-photo-cart' ),
					'PA' => __( 'Papua', 'sunshine-photo-cart' ),
					'PB' => __( 'Papua Barat', 'sunshine-photo-cart' ),
				),
				'IE' => array( // Irish states.
					'CW' => __( 'Carlow', 'sunshine-photo-cart' ),
					'CN' => __( 'Cavan', 'sunshine-photo-cart' ),
					'CE' => __( 'Clare', 'sunshine-photo-cart' ),
					'CO' => __( 'Cork', 'sunshine-photo-cart' ),
					'DL' => __( 'Donegal', 'sunshine-photo-cart' ),
					'D'  => __( 'Dublin', 'sunshine-photo-cart' ),
					'G'  => __( 'Galway', 'sunshine-photo-cart' ),
					'KY' => __( 'Kerry', 'sunshine-photo-cart' ),
					'KE' => __( 'Kildare', 'sunshine-photo-cart' ),
					'KK' => __( 'Kilkenny', 'sunshine-photo-cart' ),
					'LS' => __( 'Laois', 'sunshine-photo-cart' ),
					'LM' => __( 'Leitrim', 'sunshine-photo-cart' ),
					'LK' => __( 'Limerick', 'sunshine-photo-cart' ),
					'LD' => __( 'Longford', 'sunshine-photo-cart' ),
					'LH' => __( 'Louth', 'sunshine-photo-cart' ),
					'MO' => __( 'Mayo', 'sunshine-photo-cart' ),
					'MH' => __( 'Meath', 'sunshine-photo-cart' ),
					'MN' => __( 'Monaghan', 'sunshine-photo-cart' ),
					'OY' => __( 'Offaly', 'sunshine-photo-cart' ),
					'RN' => __( 'Roscommon', 'sunshine-photo-cart' ),
					'SO' => __( 'Sligo', 'sunshine-photo-cart' ),
					'TA' => __( 'Tipperary', 'sunshine-photo-cart' ),
					'WD' => __( 'Waterford', 'sunshine-photo-cart' ),
					'WH' => __( 'Westmeath', 'sunshine-photo-cart' ),
					'WX' => __( 'Wexford', 'sunshine-photo-cart' ),
					'WW' => __( 'Wicklow', 'sunshine-photo-cart' ),
				),
				'IN' => array( // Indian states.
					'AP' => __( 'Andhra Pradesh', 'sunshine-photo-cart' ),
					'AR' => __( 'Arunachal Pradesh', 'sunshine-photo-cart' ),
					'AS' => __( 'Assam', 'sunshine-photo-cart' ),
					'BR' => __( 'Bihar', 'sunshine-photo-cart' ),
					'CT' => __( 'Chhattisgarh', 'sunshine-photo-cart' ),
					'GA' => __( 'Goa', 'sunshine-photo-cart' ),
					'GJ' => __( 'Gujarat', 'sunshine-photo-cart' ),
					'HR' => __( 'Haryana', 'sunshine-photo-cart' ),
					'HP' => __( 'Himachal Pradesh', 'sunshine-photo-cart' ),
					'JK' => __( 'Jammu and Kashmir', 'sunshine-photo-cart' ),
					'JH' => __( 'Jharkhand', 'sunshine-photo-cart' ),
					'KA' => __( 'Karnataka', 'sunshine-photo-cart' ),
					'KL' => __( 'Kerala', 'sunshine-photo-cart' ),
					'LA' => __( 'Ladakh', 'sunshine-photo-cart' ),
					'MP' => __( 'Madhya Pradesh', 'sunshine-photo-cart' ),
					'MH' => __( 'Maharashtra', 'sunshine-photo-cart' ),
					'MN' => __( 'Manipur', 'sunshine-photo-cart' ),
					'ML' => __( 'Meghalaya', 'sunshine-photo-cart' ),
					'MZ' => __( 'Mizoram', 'sunshine-photo-cart' ),
					'NL' => __( 'Nagaland', 'sunshine-photo-cart' ),
					'OR' => __( 'Odisha', 'sunshine-photo-cart' ),
					'PB' => __( 'Punjab', 'sunshine-photo-cart' ),
					'RJ' => __( 'Rajasthan', 'sunshine-photo-cart' ),
					'SK' => __( 'Sikkim', 'sunshine-photo-cart' ),
					'TN' => __( 'Tamil Nadu', 'sunshine-photo-cart' ),
					'TS' => __( 'Telangana', 'sunshine-photo-cart' ),
					'TR' => __( 'Tripura', 'sunshine-photo-cart' ),
					'UK' => __( 'Uttarakhand', 'sunshine-photo-cart' ),
					'UP' => __( 'Uttar Pradesh', 'sunshine-photo-cart' ),
					'WB' => __( 'West Bengal', 'sunshine-photo-cart' ),
					'AN' => __( 'Andaman and Nicobar Islands', 'sunshine-photo-cart' ),
					'CH' => __( 'Chandigarh', 'sunshine-photo-cart' ),
					'DN' => __( 'Dadra and Nagar Haveli', 'sunshine-photo-cart' ),
					'DD' => __( 'Daman and Diu', 'sunshine-photo-cart' ),
					'DL' => __( 'Delhi', 'sunshine-photo-cart' ),
					'LD' => __( 'Lakshadeep', 'sunshine-photo-cart' ),
					'PY' => __( 'Pondicherry (Puducherry)', 'sunshine-photo-cart' ),
				),
				'IR' => array( // Iranian states.
					'KHZ' => __( 'Khuzestan (خوزستان)', 'sunshine-photo-cart' ),
					'THR' => __( 'Tehran (تهران)', 'sunshine-photo-cart' ),
					'ILM' => __( 'Ilaam (ایلام)', 'sunshine-photo-cart' ),
					'BHR' => __( 'Bushehr (بوشهر)', 'sunshine-photo-cart' ),
					'ADL' => __( 'Ardabil (اردبیل)', 'sunshine-photo-cart' ),
					'ESF' => __( 'Isfahan (اصفهان)', 'sunshine-photo-cart' ),
					'YZD' => __( 'Yazd (یزد)', 'sunshine-photo-cart' ),
					'KRH' => __( 'Kermanshah (کرمانشاه)', 'sunshine-photo-cart' ),
					'KRN' => __( 'Kerman (کرمان)', 'sunshine-photo-cart' ),
					'HDN' => __( 'Hamadan (همدان)', 'sunshine-photo-cart' ),
					'GZN' => __( 'Ghazvin (قزوین)', 'sunshine-photo-cart' ),
					'ZJN' => __( 'Zanjan (زنجان)', 'sunshine-photo-cart' ),
					'LRS' => __( 'Luristan (لرستان)', 'sunshine-photo-cart' ),
					'ABZ' => __( 'Alborz (البرز)', 'sunshine-photo-cart' ),
					'EAZ' => __( 'East Azarbaijan (آذربایجان شرقی)', 'sunshine-photo-cart' ),
					'WAZ' => __( 'West Azarbaijan (آذربایجان غربی)', 'sunshine-photo-cart' ),
					'CHB' => __( 'Chaharmahal and Bakhtiari (چهارمحال و بختیاری)', 'sunshine-photo-cart' ),
					'SKH' => __( 'South Khorasan (خراسان جنوبی)', 'sunshine-photo-cart' ),
					'RKH' => __( 'Razavi Khorasan (خراسان رضوی)', 'sunshine-photo-cart' ),
					'NKH' => __( 'North Khorasan (خراسان شمالی)', 'sunshine-photo-cart' ),
					'SMN' => __( 'Semnan (سمنان)', 'sunshine-photo-cart' ),
					'FRS' => __( 'Fars (فارس)', 'sunshine-photo-cart' ),
					'QHM' => __( 'Qom (قم)', 'sunshine-photo-cart' ),
					'KRD' => __( 'Kurdistan / کردستان)', 'sunshine-photo-cart' ),
					'KBD' => __( 'Kohgiluyeh and BoyerAhmad (کهگیلوییه و بویراحمد)', 'sunshine-photo-cart' ),
					'GLS' => __( 'Golestan (گلستان)', 'sunshine-photo-cart' ),
					'GIL' => __( 'Gilan (گیلان)', 'sunshine-photo-cart' ),
					'MZN' => __( 'Mazandaran (مازندران)', 'sunshine-photo-cart' ),
					'MKZ' => __( 'Markazi (مرکزی)', 'sunshine-photo-cart' ),
					'HRZ' => __( 'Hormozgan (هرمزگان)', 'sunshine-photo-cart' ),
					'SBN' => __( 'Sistan and Baluchestan (سیستان و بلوچستان)', 'sunshine-photo-cart' ),
				),
				'IS' => array(),
				'IT' => array( // Italian provinces.
					'AG' => __( 'Agrigento', 'sunshine-photo-cart' ),
					'AL' => __( 'Alessandria', 'sunshine-photo-cart' ),
					'AN' => __( 'Ancona', 'sunshine-photo-cart' ),
					'AO' => __( 'Aosta', 'sunshine-photo-cart' ),
					'AR' => __( 'Arezzo', 'sunshine-photo-cart' ),
					'AP' => __( 'Ascoli Piceno', 'sunshine-photo-cart' ),
					'AT' => __( 'Asti', 'sunshine-photo-cart' ),
					'AV' => __( 'Avellino', 'sunshine-photo-cart' ),
					'BA' => __( 'Bari', 'sunshine-photo-cart' ),
					'BT' => __( 'Barletta-Andria-Trani', 'sunshine-photo-cart' ),
					'BL' => __( 'Belluno', 'sunshine-photo-cart' ),
					'BN' => __( 'Benevento', 'sunshine-photo-cart' ),
					'BG' => __( 'Bergamo', 'sunshine-photo-cart' ),
					'BI' => __( 'Biella', 'sunshine-photo-cart' ),
					'BO' => __( 'Bologna', 'sunshine-photo-cart' ),
					'BZ' => __( 'Bolzano', 'sunshine-photo-cart' ),
					'BS' => __( 'Brescia', 'sunshine-photo-cart' ),
					'BR' => __( 'Brindisi', 'sunshine-photo-cart' ),
					'CA' => __( 'Cagliari', 'sunshine-photo-cart' ),
					'CL' => __( 'Caltanissetta', 'sunshine-photo-cart' ),
					'CB' => __( 'Campobasso', 'sunshine-photo-cart' ),
					'CE' => __( 'Caserta', 'sunshine-photo-cart' ),
					'CT' => __( 'Catania', 'sunshine-photo-cart' ),
					'CZ' => __( 'Catanzaro', 'sunshine-photo-cart' ),
					'CH' => __( 'Chieti', 'sunshine-photo-cart' ),
					'CO' => __( 'Como', 'sunshine-photo-cart' ),
					'CS' => __( 'Cosenza', 'sunshine-photo-cart' ),
					'CR' => __( 'Cremona', 'sunshine-photo-cart' ),
					'KR' => __( 'Crotone', 'sunshine-photo-cart' ),
					'CN' => __( 'Cuneo', 'sunshine-photo-cart' ),
					'EN' => __( 'Enna', 'sunshine-photo-cart' ),
					'FM' => __( 'Fermo', 'sunshine-photo-cart' ),
					'FE' => __( 'Ferrara', 'sunshine-photo-cart' ),
					'FI' => __( 'Firenze', 'sunshine-photo-cart' ),
					'FG' => __( 'Foggia', 'sunshine-photo-cart' ),
					'FC' => __( 'Forlì-Cesena', 'sunshine-photo-cart' ),
					'FR' => __( 'Frosinone', 'sunshine-photo-cart' ),
					'GE' => __( 'Genova', 'sunshine-photo-cart' ),
					'GO' => __( 'Gorizia', 'sunshine-photo-cart' ),
					'GR' => __( 'Grosseto', 'sunshine-photo-cart' ),
					'IM' => __( 'Imperia', 'sunshine-photo-cart' ),
					'IS' => __( 'Isernia', 'sunshine-photo-cart' ),
					'SP' => __( 'La Spezia', 'sunshine-photo-cart' ),
					'AQ' => __( "L'Aquila", 'sunshine-photo-cart' ),
					'LT' => __( 'Latina', 'sunshine-photo-cart' ),
					'LE' => __( 'Lecce', 'sunshine-photo-cart' ),
					'LC' => __( 'Lecco', 'sunshine-photo-cart' ),
					'LI' => __( 'Livorno', 'sunshine-photo-cart' ),
					'LO' => __( 'Lodi', 'sunshine-photo-cart' ),
					'LU' => __( 'Lucca', 'sunshine-photo-cart' ),
					'MC' => __( 'Macerata', 'sunshine-photo-cart' ),
					'MN' => __( 'Mantova', 'sunshine-photo-cart' ),
					'MS' => __( 'Massa-Carrara', 'sunshine-photo-cart' ),
					'MT' => __( 'Matera', 'sunshine-photo-cart' ),
					'ME' => __( 'Messina', 'sunshine-photo-cart' ),
					'MI' => __( 'Milano', 'sunshine-photo-cart' ),
					'MO' => __( 'Modena', 'sunshine-photo-cart' ),
					'MB' => __( 'Monza e della Brianza', 'sunshine-photo-cart' ),
					'NA' => __( 'Napoli', 'sunshine-photo-cart' ),
					'NO' => __( 'Novara', 'sunshine-photo-cart' ),
					'NU' => __( 'Nuoro', 'sunshine-photo-cart' ),
					'OR' => __( 'Oristano', 'sunshine-photo-cart' ),
					'PD' => __( 'Padova', 'sunshine-photo-cart' ),
					'PA' => __( 'Palermo', 'sunshine-photo-cart' ),
					'PR' => __( 'Parma', 'sunshine-photo-cart' ),
					'PV' => __( 'Pavia', 'sunshine-photo-cart' ),
					'PG' => __( 'Perugia', 'sunshine-photo-cart' ),
					'PU' => __( 'Pesaro e Urbino', 'sunshine-photo-cart' ),
					'PE' => __( 'Pescara', 'sunshine-photo-cart' ),
					'PC' => __( 'Piacenza', 'sunshine-photo-cart' ),
					'PI' => __( 'Pisa', 'sunshine-photo-cart' ),
					'PT' => __( 'Pistoia', 'sunshine-photo-cart' ),
					'PN' => __( 'Pordenone', 'sunshine-photo-cart' ),
					'PZ' => __( 'Potenza', 'sunshine-photo-cart' ),
					'PO' => __( 'Prato', 'sunshine-photo-cart' ),
					'RG' => __( 'Ragusa', 'sunshine-photo-cart' ),
					'RA' => __( 'Ravenna', 'sunshine-photo-cart' ),
					'RC' => __( 'Reggio Calabria', 'sunshine-photo-cart' ),
					'RE' => __( 'Reggio Emilia', 'sunshine-photo-cart' ),
					'RI' => __( 'Rieti', 'sunshine-photo-cart' ),
					'RN' => __( 'Rimini', 'sunshine-photo-cart' ),
					'RM' => __( 'Roma', 'sunshine-photo-cart' ),
					'RO' => __( 'Rovigo', 'sunshine-photo-cart' ),
					'SA' => __( 'Salerno', 'sunshine-photo-cart' ),
					'SS' => __( 'Sassari', 'sunshine-photo-cart' ),
					'SV' => __( 'Savona', 'sunshine-photo-cart' ),
					'SI' => __( 'Siena', 'sunshine-photo-cart' ),
					'SR' => __( 'Siracusa', 'sunshine-photo-cart' ),
					'SO' => __( 'Sondrio', 'sunshine-photo-cart' ),
					'SU' => __( 'Sud Sardegna', 'sunshine-photo-cart' ),
					'TA' => __( 'Taranto', 'sunshine-photo-cart' ),
					'TE' => __( 'Teramo', 'sunshine-photo-cart' ),
					'TR' => __( 'Terni', 'sunshine-photo-cart' ),
					'TO' => __( 'Torino', 'sunshine-photo-cart' ),
					'TP' => __( 'Trapani', 'sunshine-photo-cart' ),
					'TN' => __( 'Trento', 'sunshine-photo-cart' ),
					'TV' => __( 'Treviso', 'sunshine-photo-cart' ),
					'TS' => __( 'Trieste', 'sunshine-photo-cart' ),
					'UD' => __( 'Udine', 'sunshine-photo-cart' ),
					'VA' => __( 'Varese', 'sunshine-photo-cart' ),
					'VE' => __( 'Venezia', 'sunshine-photo-cart' ),
					'VB' => __( 'Verbano-Cusio-Ossola', 'sunshine-photo-cart' ),
					'VC' => __( 'Vercelli', 'sunshine-photo-cart' ),
					'VR' => __( 'Verona', 'sunshine-photo-cart' ),
					'VV' => __( 'Vibo Valentia', 'sunshine-photo-cart' ),
					'VI' => __( 'Vicenza', 'sunshine-photo-cart' ),
					'VT' => __( 'Viterbo', 'sunshine-photo-cart' ),
				),
				'IL' => array(),
				'IM' => array(),
				'JM' => array( // Jamaican parishes.
					'JM-01' => __( 'Kingston', 'sunshine-photo-cart' ),
					'JM-02' => __( 'Saint Andrew', 'sunshine-photo-cart' ),
					'JM-03' => __( 'Saint Thomas', 'sunshine-photo-cart' ),
					'JM-04' => __( 'Portland', 'sunshine-photo-cart' ),
					'JM-05' => __( 'Saint Mary', 'sunshine-photo-cart' ),
					'JM-06' => __( 'Saint Ann', 'sunshine-photo-cart' ),
					'JM-07' => __( 'Trelawny', 'sunshine-photo-cart' ),
					'JM-08' => __( 'Saint James', 'sunshine-photo-cart' ),
					'JM-09' => __( 'Hanover', 'sunshine-photo-cart' ),
					'JM-10' => __( 'Westmoreland', 'sunshine-photo-cart' ),
					'JM-11' => __( 'Saint Elizabeth', 'sunshine-photo-cart' ),
					'JM-12' => __( 'Manchester', 'sunshine-photo-cart' ),
					'JM-13' => __( 'Clarendon', 'sunshine-photo-cart' ),
					'JM-14' => __( 'Saint Catherine', 'sunshine-photo-cart' ),
				),

				/**
				 * Japanese states.
				 *
				 * English notation of prefectures conform to the notation of Japan Post.
				 * The suffix corresponds with the Japanese translation file.
				 */
				'JP' => array(
					'JP01' => __( 'Hokkaido', 'sunshine-photo-cart' ),
					'JP02' => __( 'Aomori', 'sunshine-photo-cart' ),
					'JP03' => __( 'Iwate', 'sunshine-photo-cart' ),
					'JP04' => __( 'Miyagi', 'sunshine-photo-cart' ),
					'JP05' => __( 'Akita', 'sunshine-photo-cart' ),
					'JP06' => __( 'Yamagata', 'sunshine-photo-cart' ),
					'JP07' => __( 'Fukushima', 'sunshine-photo-cart' ),
					'JP08' => __( 'Ibaraki', 'sunshine-photo-cart' ),
					'JP09' => __( 'Tochigi', 'sunshine-photo-cart' ),
					'JP10' => __( 'Gunma', 'sunshine-photo-cart' ),
					'JP11' => __( 'Saitama', 'sunshine-photo-cart' ),
					'JP12' => __( 'Chiba', 'sunshine-photo-cart' ),
					'JP13' => __( 'Tokyo', 'sunshine-photo-cart' ),
					'JP14' => __( 'Kanagawa', 'sunshine-photo-cart' ),
					'JP15' => __( 'Niigata', 'sunshine-photo-cart' ),
					'JP16' => __( 'Toyama', 'sunshine-photo-cart' ),
					'JP17' => __( 'Ishikawa', 'sunshine-photo-cart' ),
					'JP18' => __( 'Fukui', 'sunshine-photo-cart' ),
					'JP19' => __( 'Yamanashi', 'sunshine-photo-cart' ),
					'JP20' => __( 'Nagano', 'sunshine-photo-cart' ),
					'JP21' => __( 'Gifu', 'sunshine-photo-cart' ),
					'JP22' => __( 'Shizuoka', 'sunshine-photo-cart' ),
					'JP23' => __( 'Aichi', 'sunshine-photo-cart' ),
					'JP24' => __( 'Mie', 'sunshine-photo-cart' ),
					'JP25' => __( 'Shiga', 'sunshine-photo-cart' ),
					'JP26' => __( 'Kyoto', 'sunshine-photo-cart' ),
					'JP27' => __( 'Osaka', 'sunshine-photo-cart' ),
					'JP28' => __( 'Hyogo', 'sunshine-photo-cart' ),
					'JP29' => __( 'Nara', 'sunshine-photo-cart' ),
					'JP30' => __( 'Wakayama', 'sunshine-photo-cart' ),
					'JP31' => __( 'Tottori', 'sunshine-photo-cart' ),
					'JP32' => __( 'Shimane', 'sunshine-photo-cart' ),
					'JP33' => __( 'Okayama', 'sunshine-photo-cart' ),
					'JP34' => __( 'Hiroshima', 'sunshine-photo-cart' ),
					'JP35' => __( 'Yamaguchi', 'sunshine-photo-cart' ),
					'JP36' => __( 'Tokushima', 'sunshine-photo-cart' ),
					'JP37' => __( 'Kagawa', 'sunshine-photo-cart' ),
					'JP38' => __( 'Ehime', 'sunshine-photo-cart' ),
					'JP39' => __( 'Kochi', 'sunshine-photo-cart' ),
					'JP40' => __( 'Fukuoka', 'sunshine-photo-cart' ),
					'JP41' => __( 'Saga', 'sunshine-photo-cart' ),
					'JP42' => __( 'Nagasaki', 'sunshine-photo-cart' ),
					'JP43' => __( 'Kumamoto', 'sunshine-photo-cart' ),
					'JP44' => __( 'Oita', 'sunshine-photo-cart' ),
					'JP45' => __( 'Miyazaki', 'sunshine-photo-cart' ),
					'JP46' => __( 'Kagoshima', 'sunshine-photo-cart' ),
					'JP47' => __( 'Okinawa', 'sunshine-photo-cart' ),
				),
				'KE' => array( // Kenyan counties.
					'KE01' => __( 'Baringo', 'sunshine-photo-cart' ),
					'KE02' => __( 'Bomet', 'sunshine-photo-cart' ),
					'KE03' => __( 'Bungoma', 'sunshine-photo-cart' ),
					'KE04' => __( 'Busia', 'sunshine-photo-cart' ),
					'KE05' => __( 'Elgeyo-Marakwet', 'sunshine-photo-cart' ),
					'KE06' => __( 'Embu', 'sunshine-photo-cart' ),
					'KE07' => __( 'Garissa', 'sunshine-photo-cart' ),
					'KE08' => __( 'Homa Bay', 'sunshine-photo-cart' ),
					'KE09' => __( 'Isiolo', 'sunshine-photo-cart' ),
					'KE10' => __( 'Kajiado', 'sunshine-photo-cart' ),
					'KE11' => __( 'Kakamega', 'sunshine-photo-cart' ),
					'KE12' => __( 'Kericho', 'sunshine-photo-cart' ),
					'KE13' => __( 'Kiambu', 'sunshine-photo-cart' ),
					'KE14' => __( 'Kilifi', 'sunshine-photo-cart' ),
					'KE15' => __( 'Kirinyaga', 'sunshine-photo-cart' ),
					'KE16' => __( 'Kisii', 'sunshine-photo-cart' ),
					'KE17' => __( 'Kisumu', 'sunshine-photo-cart' ),
					'KE18' => __( 'Kitui', 'sunshine-photo-cart' ),
					'KE19' => __( 'Kwale', 'sunshine-photo-cart' ),
					'KE20' => __( 'Laikipia', 'sunshine-photo-cart' ),
					'KE21' => __( 'Lamu', 'sunshine-photo-cart' ),
					'KE22' => __( 'Machakos', 'sunshine-photo-cart' ),
					'KE23' => __( 'Makueni', 'sunshine-photo-cart' ),
					'KE24' => __( 'Mandera', 'sunshine-photo-cart' ),
					'KE25' => __( 'Marsabit', 'sunshine-photo-cart' ),
					'KE26' => __( 'Meru', 'sunshine-photo-cart' ),
					'KE27' => __( 'Migori', 'sunshine-photo-cart' ),
					'KE28' => __( 'Mombasa', 'sunshine-photo-cart' ),
					'KE29' => __( 'Murang’a', 'sunshine-photo-cart' ),
					'KE30' => __( 'Nairobi County', 'sunshine-photo-cart' ),
					'KE31' => __( 'Nakuru', 'sunshine-photo-cart' ),
					'KE32' => __( 'Nandi', 'sunshine-photo-cart' ),
					'KE33' => __( 'Narok', 'sunshine-photo-cart' ),
					'KE34' => __( 'Nyamira', 'sunshine-photo-cart' ),
					'KE35' => __( 'Nyandarua', 'sunshine-photo-cart' ),
					'KE36' => __( 'Nyeri', 'sunshine-photo-cart' ),
					'KE37' => __( 'Samburu', 'sunshine-photo-cart' ),
					'KE38' => __( 'Siaya', 'sunshine-photo-cart' ),
					'KE39' => __( 'Taita-Taveta', 'sunshine-photo-cart' ),
					'KE40' => __( 'Tana River', 'sunshine-photo-cart' ),
					'KE41' => __( 'Tharaka-Nithi', 'sunshine-photo-cart' ),
					'KE42' => __( 'Trans Nzoia', 'sunshine-photo-cart' ),
					'KE43' => __( 'Turkana', 'sunshine-photo-cart' ),
					'KE44' => __( 'Uasin Gishu', 'sunshine-photo-cart' ),
					'KE45' => __( 'Vihiga', 'sunshine-photo-cart' ),
					'KE46' => __( 'Wajir', 'sunshine-photo-cart' ),
					'KE47' => __( 'West Pokot', 'sunshine-photo-cart' ),
				),
				'KR' => array(),
				'KW' => array(),
				'LA' => array( // Laotian provinces.
					'AT' => __( 'Attapeu', 'sunshine-photo-cart' ),
					'BK' => __( 'Bokeo', 'sunshine-photo-cart' ),
					'BL' => __( 'Bolikhamsai', 'sunshine-photo-cart' ),
					'CH' => __( 'Champasak', 'sunshine-photo-cart' ),
					'HO' => __( 'Houaphanh', 'sunshine-photo-cart' ),
					'KH' => __( 'Khammouane', 'sunshine-photo-cart' ),
					'LM' => __( 'Luang Namtha', 'sunshine-photo-cart' ),
					'LP' => __( 'Luang Prabang', 'sunshine-photo-cart' ),
					'OU' => __( 'Oudomxay', 'sunshine-photo-cart' ),
					'PH' => __( 'Phongsaly', 'sunshine-photo-cart' ),
					'SL' => __( 'Salavan', 'sunshine-photo-cart' ),
					'SV' => __( 'Savannakhet', 'sunshine-photo-cart' ),
					'VI' => __( 'Vientiane Province', 'sunshine-photo-cart' ),
					'VT' => __( 'Vientiane', 'sunshine-photo-cart' ),
					'XA' => __( 'Sainyabuli', 'sunshine-photo-cart' ),
					'XE' => __( 'Sekong', 'sunshine-photo-cart' ),
					'XI' => __( 'Xiangkhouang', 'sunshine-photo-cart' ),
					'XS' => __( 'Xaisomboun', 'sunshine-photo-cart' ),
				),
				'LB' => array(),
				'LI' => array(),
				'LR' => array( // Liberian provinces.
					'BM' => __( 'Bomi', 'sunshine-photo-cart' ),
					'BN' => __( 'Bong', 'sunshine-photo-cart' ),
					'GA' => __( 'Gbarpolu', 'sunshine-photo-cart' ),
					'GB' => __( 'Grand Bassa', 'sunshine-photo-cart' ),
					'GC' => __( 'Grand Cape Mount', 'sunshine-photo-cart' ),
					'GG' => __( 'Grand Gedeh', 'sunshine-photo-cart' ),
					'GK' => __( 'Grand Kru', 'sunshine-photo-cart' ),
					'LO' => __( 'Lofa', 'sunshine-photo-cart' ),
					'MA' => __( 'Margibi', 'sunshine-photo-cart' ),
					'MY' => __( 'Maryland', 'sunshine-photo-cart' ),
					'MO' => __( 'Montserrado', 'sunshine-photo-cart' ),
					'NM' => __( 'Nimba', 'sunshine-photo-cart' ),
					'RV' => __( 'Rivercess', 'sunshine-photo-cart' ),
					'RG' => __( 'River Gee', 'sunshine-photo-cart' ),
					'SN' => __( 'Sinoe', 'sunshine-photo-cart' ),
				),
				'LU' => array(),
				'MD' => array( // Moldovan states.
					'C'  => __( 'Chișinău', 'sunshine-photo-cart' ),
					'BL' => __( 'Bălți', 'sunshine-photo-cart' ),
					'AN' => __( 'Anenii Noi', 'sunshine-photo-cart' ),
					'BS' => __( 'Basarabeasca', 'sunshine-photo-cart' ),
					'BR' => __( 'Briceni', 'sunshine-photo-cart' ),
					'CH' => __( 'Cahul', 'sunshine-photo-cart' ),
					'CT' => __( 'Cantemir', 'sunshine-photo-cart' ),
					'CL' => __( 'Călărași', 'sunshine-photo-cart' ),
					'CS' => __( 'Căușeni', 'sunshine-photo-cart' ),
					'CM' => __( 'Cimișlia', 'sunshine-photo-cart' ),
					'CR' => __( 'Criuleni', 'sunshine-photo-cart' ),
					'DN' => __( 'Dondușeni', 'sunshine-photo-cart' ),
					'DR' => __( 'Drochia', 'sunshine-photo-cart' ),
					'DB' => __( 'Dubăsari', 'sunshine-photo-cart' ),
					'ED' => __( 'Edineț', 'sunshine-photo-cart' ),
					'FL' => __( 'Fălești', 'sunshine-photo-cart' ),
					'FR' => __( 'Florești', 'sunshine-photo-cart' ),
					'GE' => __( 'UTA Găgăuzia', 'sunshine-photo-cart' ),
					'GL' => __( 'Glodeni', 'sunshine-photo-cart' ),
					'HN' => __( 'Hîncești', 'sunshine-photo-cart' ),
					'IL' => __( 'Ialoveni', 'sunshine-photo-cart' ),
					'LV' => __( 'Leova', 'sunshine-photo-cart' ),
					'NS' => __( 'Nisporeni', 'sunshine-photo-cart' ),
					'OC' => __( 'Ocnița', 'sunshine-photo-cart' ),
					'OR' => __( 'Orhei', 'sunshine-photo-cart' ),
					'RZ' => __( 'Rezina', 'sunshine-photo-cart' ),
					'RS' => __( 'Rîșcani', 'sunshine-photo-cart' ),
					'SG' => __( 'Sîngerei', 'sunshine-photo-cart' ),
					'SR' => __( 'Soroca', 'sunshine-photo-cart' ),
					'ST' => __( 'Strășeni', 'sunshine-photo-cart' ),
					'SD' => __( 'Șoldănești', 'sunshine-photo-cart' ),
					'SV' => __( 'Ștefan Vodă', 'sunshine-photo-cart' ),
					'TR' => __( 'Taraclia', 'sunshine-photo-cart' ),
					'TL' => __( 'Telenești', 'sunshine-photo-cart' ),
					'UN' => __( 'Ungheni', 'sunshine-photo-cart' ),
				),
				'MF' => array(),
				'MQ' => array(),
				'MT' => array(),
				'MX' => array( // Mexican states.
					'DF' => __( 'Ciudad de México', 'sunshine-photo-cart' ),
					'JA' => __( 'Jalisco', 'sunshine-photo-cart' ),
					'NL' => __( 'Nuevo León', 'sunshine-photo-cart' ),
					'AG' => __( 'Aguascalientes', 'sunshine-photo-cart' ),
					'BC' => __( 'Baja California', 'sunshine-photo-cart' ),
					'BS' => __( 'Baja California Sur', 'sunshine-photo-cart' ),
					'CM' => __( 'Campeche', 'sunshine-photo-cart' ),
					'CS' => __( 'Chiapas', 'sunshine-photo-cart' ),
					'CH' => __( 'Chihuahua', 'sunshine-photo-cart' ),
					'CO' => __( 'Coahuila', 'sunshine-photo-cart' ),
					'CL' => __( 'Colima', 'sunshine-photo-cart' ),
					'DG' => __( 'Durango', 'sunshine-photo-cart' ),
					'GT' => __( 'Guanajuato', 'sunshine-photo-cart' ),
					'GR' => __( 'Guerrero', 'sunshine-photo-cart' ),
					'HG' => __( 'Hidalgo', 'sunshine-photo-cart' ),
					'MX' => __( 'Estado de México', 'sunshine-photo-cart' ),
					'MI' => __( 'Michoacán', 'sunshine-photo-cart' ),
					'MO' => __( 'Morelos', 'sunshine-photo-cart' ),
					'NA' => __( 'Nayarit', 'sunshine-photo-cart' ),
					'OA' => __( 'Oaxaca', 'sunshine-photo-cart' ),
					'PU' => __( 'Puebla', 'sunshine-photo-cart' ),
					'QT' => __( 'Querétaro', 'sunshine-photo-cart' ),
					'QR' => __( 'Quintana Roo', 'sunshine-photo-cart' ),
					'SL' => __( 'San Luis Potosí', 'sunshine-photo-cart' ),
					'SI' => __( 'Sinaloa', 'sunshine-photo-cart' ),
					'SO' => __( 'Sonora', 'sunshine-photo-cart' ),
					'TB' => __( 'Tabasco', 'sunshine-photo-cart' ),
					'TM' => __( 'Tamaulipas', 'sunshine-photo-cart' ),
					'TL' => __( 'Tlaxcala', 'sunshine-photo-cart' ),
					'VE' => __( 'Veracruz', 'sunshine-photo-cart' ),
					'YU' => __( 'Yucatán', 'sunshine-photo-cart' ),
					'ZA' => __( 'Zacatecas', 'sunshine-photo-cart' ),
				),
				'MY' => array( // Malaysian states.
					'JHR' => __( 'Johor', 'sunshine-photo-cart' ),
					'KDH' => __( 'Kedah', 'sunshine-photo-cart' ),
					'KTN' => __( 'Kelantan', 'sunshine-photo-cart' ),
					'LBN' => __( 'Labuan', 'sunshine-photo-cart' ),
					'MLK' => __( 'Malacca (Melaka)', 'sunshine-photo-cart' ),
					'NSN' => __( 'Negeri Sembilan', 'sunshine-photo-cart' ),
					'PHG' => __( 'Pahang', 'sunshine-photo-cart' ),
					'PNG' => __( 'Penang (Pulau Pinang)', 'sunshine-photo-cart' ),
					'PRK' => __( 'Perak', 'sunshine-photo-cart' ),
					'PLS' => __( 'Perlis', 'sunshine-photo-cart' ),
					'SBH' => __( 'Sabah', 'sunshine-photo-cart' ),
					'SWK' => __( 'Sarawak', 'sunshine-photo-cart' ),
					'SGR' => __( 'Selangor', 'sunshine-photo-cart' ),
					'TRG' => __( 'Terengganu', 'sunshine-photo-cart' ),
					'PJY' => __( 'Putrajaya', 'sunshine-photo-cart' ),
					'KUL' => __( 'Kuala Lumpur', 'sunshine-photo-cart' ),
				),
				'MZ' => array( // Mozambican provinces.
					'MZP'   => __( 'Cabo Delgado', 'sunshine-photo-cart' ),
					'MZG'   => __( 'Gaza', 'sunshine-photo-cart' ),
					'MZI'   => __( 'Inhambane', 'sunshine-photo-cart' ),
					'MZB'   => __( 'Manica', 'sunshine-photo-cart' ),
					'MZL'   => __( 'Maputo Province', 'sunshine-photo-cart' ),
					'MZMPM' => __( 'Maputo', 'sunshine-photo-cart' ),
					'MZN'   => __( 'Nampula', 'sunshine-photo-cart' ),
					'MZA'   => __( 'Niassa', 'sunshine-photo-cart' ),
					'MZS'   => __( 'Sofala', 'sunshine-photo-cart' ),
					'MZT'   => __( 'Tete', 'sunshine-photo-cart' ),
					'MZQ'   => __( 'Zambézia', 'sunshine-photo-cart' ),
				),
				'NA' => array( // Namibian regions.
					'ER' => __( 'Erongo', 'sunshine-photo-cart' ),
					'HA' => __( 'Hardap', 'sunshine-photo-cart' ),
					'KA' => __( 'Karas', 'sunshine-photo-cart' ),
					'KE' => __( 'Kavango East', 'sunshine-photo-cart' ),
					'KW' => __( 'Kavango West', 'sunshine-photo-cart' ),
					'KH' => __( 'Khomas', 'sunshine-photo-cart' ),
					'KU' => __( 'Kunene', 'sunshine-photo-cart' ),
					'OW' => __( 'Ohangwena', 'sunshine-photo-cart' ),
					'OH' => __( 'Omaheke', 'sunshine-photo-cart' ),
					'OS' => __( 'Omusati', 'sunshine-photo-cart' ),
					'ON' => __( 'Oshana', 'sunshine-photo-cart' ),
					'OT' => __( 'Oshikoto', 'sunshine-photo-cart' ),
					'OD' => __( 'Otjozondjupa', 'sunshine-photo-cart' ),
					'CA' => __( 'Zambezi', 'sunshine-photo-cart' ),
				),
				'NG' => array( // Nigerian provinces.
					'AB' => __( 'Abia', 'sunshine-photo-cart' ),
					'FC' => __( 'Abuja', 'sunshine-photo-cart' ),
					'AD' => __( 'Adamawa', 'sunshine-photo-cart' ),
					'AK' => __( 'Akwa Ibom', 'sunshine-photo-cart' ),
					'AN' => __( 'Anambra', 'sunshine-photo-cart' ),
					'BA' => __( 'Bauchi', 'sunshine-photo-cart' ),
					'BY' => __( 'Bayelsa', 'sunshine-photo-cart' ),
					'BE' => __( 'Benue', 'sunshine-photo-cart' ),
					'BO' => __( 'Borno', 'sunshine-photo-cart' ),
					'CR' => __( 'Cross River', 'sunshine-photo-cart' ),
					'DE' => __( 'Delta', 'sunshine-photo-cart' ),
					'EB' => __( 'Ebonyi', 'sunshine-photo-cart' ),
					'ED' => __( 'Edo', 'sunshine-photo-cart' ),
					'EK' => __( 'Ekiti', 'sunshine-photo-cart' ),
					'EN' => __( 'Enugu', 'sunshine-photo-cart' ),
					'GO' => __( 'Gombe', 'sunshine-photo-cart' ),
					'IM' => __( 'Imo', 'sunshine-photo-cart' ),
					'JI' => __( 'Jigawa', 'sunshine-photo-cart' ),
					'KD' => __( 'Kaduna', 'sunshine-photo-cart' ),
					'KN' => __( 'Kano', 'sunshine-photo-cart' ),
					'KT' => __( 'Katsina', 'sunshine-photo-cart' ),
					'KE' => __( 'Kebbi', 'sunshine-photo-cart' ),
					'KO' => __( 'Kogi', 'sunshine-photo-cart' ),
					'KW' => __( 'Kwara', 'sunshine-photo-cart' ),
					'LA' => __( 'Lagos', 'sunshine-photo-cart' ),
					'NA' => __( 'Nasarawa', 'sunshine-photo-cart' ),
					'NI' => __( 'Niger', 'sunshine-photo-cart' ),
					'OG' => __( 'Ogun', 'sunshine-photo-cart' ),
					'ON' => __( 'Ondo', 'sunshine-photo-cart' ),
					'OS' => __( 'Osun', 'sunshine-photo-cart' ),
					'OY' => __( 'Oyo', 'sunshine-photo-cart' ),
					'PL' => __( 'Plateau', 'sunshine-photo-cart' ),
					'RI' => __( 'Rivers', 'sunshine-photo-cart' ),
					'SO' => __( 'Sokoto', 'sunshine-photo-cart' ),
					'TA' => __( 'Taraba', 'sunshine-photo-cart' ),
					'YO' => __( 'Yobe', 'sunshine-photo-cart' ),
					'ZA' => __( 'Zamfara', 'sunshine-photo-cart' ),
				),
				'NL' => array(),
				'NO' => array(),
				'NP' => array( // Nepalese zones.
					'BAG' => __( 'Bagmati', 'sunshine-photo-cart' ),
					'BHE' => __( 'Bheri', 'sunshine-photo-cart' ),
					'DHA' => __( 'Dhaulagiri', 'sunshine-photo-cart' ),
					'GAN' => __( 'Gandaki', 'sunshine-photo-cart' ),
					'JAN' => __( 'Janakpur', 'sunshine-photo-cart' ),
					'KAR' => __( 'Karnali', 'sunshine-photo-cart' ),
					'KOS' => __( 'Koshi', 'sunshine-photo-cart' ),
					'LUM' => __( 'Lumbini', 'sunshine-photo-cart' ),
					'MAH' => __( 'Mahakali', 'sunshine-photo-cart' ),
					'MEC' => __( 'Mechi', 'sunshine-photo-cart' ),
					'NAR' => __( 'Narayani', 'sunshine-photo-cart' ),
					'RAP' => __( 'Rapti', 'sunshine-photo-cart' ),
					'SAG' => __( 'Sagarmatha', 'sunshine-photo-cart' ),
					'SET' => __( 'Seti', 'sunshine-photo-cart' ),
				),
				'NI' => array( // Nicaraguan states.
					'NI-AN' => __( 'Atlántico Norte', 'sunshine-photo-cart' ),
					'NI-AS' => __( 'Atlántico Sur', 'sunshine-photo-cart' ),
					'NI-BO' => __( 'Boaco', 'sunshine-photo-cart' ),
					'NI-CA' => __( 'Carazo', 'sunshine-photo-cart' ),
					'NI-CI' => __( 'Chinandega', 'sunshine-photo-cart' ),
					'NI-CO' => __( 'Chontales', 'sunshine-photo-cart' ),
					'NI-ES' => __( 'Estelí', 'sunshine-photo-cart' ),
					'NI-GR' => __( 'Granada', 'sunshine-photo-cart' ),
					'NI-JI' => __( 'Jinotega', 'sunshine-photo-cart' ),
					'NI-LE' => __( 'León', 'sunshine-photo-cart' ),
					'NI-MD' => __( 'Madriz', 'sunshine-photo-cart' ),
					'NI-MN' => __( 'Managua', 'sunshine-photo-cart' ),
					'NI-MS' => __( 'Masaya', 'sunshine-photo-cart' ),
					'NI-MT' => __( 'Matagalpa', 'sunshine-photo-cart' ),
					'NI-NS' => __( 'Nueva Segovia', 'sunshine-photo-cart' ),
					'NI-RI' => __( 'Rivas', 'sunshine-photo-cart' ),
					'NI-SJ' => __( 'Río San Juan', 'sunshine-photo-cart' ),
				),
				'NZ' => array( // New Zealand states.
					'NTL' => __( 'Northland', 'sunshine-photo-cart' ),
					'AUK' => __( 'Auckland', 'sunshine-photo-cart' ),
					'WKO' => __( 'Waikato', 'sunshine-photo-cart' ),
					'BOP' => __( 'Bay of Plenty', 'sunshine-photo-cart' ),
					'TKI' => __( 'Taranaki', 'sunshine-photo-cart' ),
					'GIS' => __( 'Gisborne', 'sunshine-photo-cart' ),
					'HKB' => __( 'Hawke’s Bay', 'sunshine-photo-cart' ),
					'MWT' => __( 'Manawatu-Wanganui', 'sunshine-photo-cart' ),
					'WGN' => __( 'Wellington', 'sunshine-photo-cart' ),
					'NSN' => __( 'Nelson', 'sunshine-photo-cart' ),
					'MBH' => __( 'Marlborough', 'sunshine-photo-cart' ),
					'TAS' => __( 'Tasman', 'sunshine-photo-cart' ),
					'WTC' => __( 'West Coast', 'sunshine-photo-cart' ),
					'CAN' => __( 'Canterbury', 'sunshine-photo-cart' ),
					'OTA' => __( 'Otago', 'sunshine-photo-cart' ),
					'STL' => __( 'Southland', 'sunshine-photo-cart' ),
				),
				'PA' => array( // Panamanian states.
					'PA-1' => __( 'Bocas del Toro', 'sunshine-photo-cart' ),
					'PA-2' => __( 'Coclé', 'sunshine-photo-cart' ),
					'PA-3' => __( 'Colón', 'sunshine-photo-cart' ),
					'PA-4' => __( 'Chiriquí', 'sunshine-photo-cart' ),
					'PA-5' => __( 'Darién', 'sunshine-photo-cart' ),
					'PA-6' => __( 'Herrera', 'sunshine-photo-cart' ),
					'PA-7' => __( 'Los Santos', 'sunshine-photo-cart' ),
					'PA-8' => __( 'Panamá', 'sunshine-photo-cart' ),
					'PA-9' => __( 'Veraguas', 'sunshine-photo-cart' ),
					'PA-10' => __( 'West Panamá', 'sunshine-photo-cart' ),
					'PA-EM' => __( 'Emberá', 'sunshine-photo-cart' ),
					'PA-KY' => __( 'Guna Yala', 'sunshine-photo-cart' ),
					'PA-NB' => __( 'Ngöbe-Buglé', 'sunshine-photo-cart' ),
				),
				'PE' => array( // Peruvian states.
					'CAL' => __( 'El Callao', 'sunshine-photo-cart' ),
					'LMA' => __( 'Municipalidad Metropolitana de Lima', 'sunshine-photo-cart' ),
					'AMA' => __( 'Amazonas', 'sunshine-photo-cart' ),
					'ANC' => __( 'Ancash', 'sunshine-photo-cart' ),
					'APU' => __( 'Apurímac', 'sunshine-photo-cart' ),
					'ARE' => __( 'Arequipa', 'sunshine-photo-cart' ),
					'AYA' => __( 'Ayacucho', 'sunshine-photo-cart' ),
					'CAJ' => __( 'Cajamarca', 'sunshine-photo-cart' ),
					'CUS' => __( 'Cusco', 'sunshine-photo-cart' ),
					'HUV' => __( 'Huancavelica', 'sunshine-photo-cart' ),
					'HUC' => __( 'Huánuco', 'sunshine-photo-cart' ),
					'ICA' => __( 'Ica', 'sunshine-photo-cart' ),
					'JUN' => __( 'Junín', 'sunshine-photo-cart' ),
					'LAL' => __( 'La Libertad', 'sunshine-photo-cart' ),
					'LAM' => __( 'Lambayeque', 'sunshine-photo-cart' ),
					'LIM' => __( 'Lima', 'sunshine-photo-cart' ),
					'LOR' => __( 'Loreto', 'sunshine-photo-cart' ),
					'MDD' => __( 'Madre de Dios', 'sunshine-photo-cart' ),
					'MOQ' => __( 'Moquegua', 'sunshine-photo-cart' ),
					'PAS' => __( 'Pasco', 'sunshine-photo-cart' ),
					'PIU' => __( 'Piura', 'sunshine-photo-cart' ),
					'PUN' => __( 'Puno', 'sunshine-photo-cart' ),
					'SAM' => __( 'San Martín', 'sunshine-photo-cart' ),
					'TAC' => __( 'Tacna', 'sunshine-photo-cart' ),
					'TUM' => __( 'Tumbes', 'sunshine-photo-cart' ),
					'UCA' => __( 'Ucayali', 'sunshine-photo-cart' ),
				),
				'PH' => array( // Philippine provinces.
					'ABR' => __( 'Abra', 'sunshine-photo-cart' ),
					'AGN' => __( 'Agusan del Norte', 'sunshine-photo-cart' ),
					'AGS' => __( 'Agusan del Sur', 'sunshine-photo-cart' ),
					'AKL' => __( 'Aklan', 'sunshine-photo-cart' ),
					'ALB' => __( 'Albay', 'sunshine-photo-cart' ),
					'ANT' => __( 'Antique', 'sunshine-photo-cart' ),
					'APA' => __( 'Apayao', 'sunshine-photo-cart' ),
					'AUR' => __( 'Aurora', 'sunshine-photo-cart' ),
					'BAS' => __( 'Basilan', 'sunshine-photo-cart' ),
					'BAN' => __( 'Bataan', 'sunshine-photo-cart' ),
					'BTN' => __( 'Batanes', 'sunshine-photo-cart' ),
					'BTG' => __( 'Batangas', 'sunshine-photo-cart' ),
					'BEN' => __( 'Benguet', 'sunshine-photo-cart' ),
					'BIL' => __( 'Biliran', 'sunshine-photo-cart' ),
					'BOH' => __( 'Bohol', 'sunshine-photo-cart' ),
					'BUK' => __( 'Bukidnon', 'sunshine-photo-cart' ),
					'BUL' => __( 'Bulacan', 'sunshine-photo-cart' ),
					'CAG' => __( 'Cagayan', 'sunshine-photo-cart' ),
					'CAN' => __( 'Camarines Norte', 'sunshine-photo-cart' ),
					'CAS' => __( 'Camarines Sur', 'sunshine-photo-cart' ),
					'CAM' => __( 'Camiguin', 'sunshine-photo-cart' ),
					'CAP' => __( 'Capiz', 'sunshine-photo-cart' ),
					'CAT' => __( 'Catanduanes', 'sunshine-photo-cart' ),
					'CAV' => __( 'Cavite', 'sunshine-photo-cart' ),
					'CEB' => __( 'Cebu', 'sunshine-photo-cart' ),
					'COM' => __( 'Compostela Valley', 'sunshine-photo-cart' ),
					'NCO' => __( 'Cotabato', 'sunshine-photo-cart' ),
					'DAV' => __( 'Davao del Norte', 'sunshine-photo-cart' ),
					'DAS' => __( 'Davao del Sur', 'sunshine-photo-cart' ),
					'DAC' => __( 'Davao Occidental', 'sunshine-photo-cart' ),
					'DAO' => __( 'Davao Oriental', 'sunshine-photo-cart' ),
					'DIN' => __( 'Dinagat Islands', 'sunshine-photo-cart' ),
					'EAS' => __( 'Eastern Samar', 'sunshine-photo-cart' ),
					'GUI' => __( 'Guimaras', 'sunshine-photo-cart' ),
					'IFU' => __( 'Ifugao', 'sunshine-photo-cart' ),
					'ILN' => __( 'Ilocos Norte', 'sunshine-photo-cart' ),
					'ILS' => __( 'Ilocos Sur', 'sunshine-photo-cart' ),
					'ILI' => __( 'Iloilo', 'sunshine-photo-cart' ),
					'ISA' => __( 'Isabela', 'sunshine-photo-cart' ),
					'KAL' => __( 'Kalinga', 'sunshine-photo-cart' ),
					'LUN' => __( 'La Union', 'sunshine-photo-cart' ),
					'LAG' => __( 'Laguna', 'sunshine-photo-cart' ),
					'LAN' => __( 'Lanao del Norte', 'sunshine-photo-cart' ),
					'LAS' => __( 'Lanao del Sur', 'sunshine-photo-cart' ),
					'LEY' => __( 'Leyte', 'sunshine-photo-cart' ),
					'MAG' => __( 'Maguindanao', 'sunshine-photo-cart' ),
					'MAD' => __( 'Marinduque', 'sunshine-photo-cart' ),
					'MAS' => __( 'Masbate', 'sunshine-photo-cart' ),
					'MSC' => __( 'Misamis Occidental', 'sunshine-photo-cart' ),
					'MSR' => __( 'Misamis Oriental', 'sunshine-photo-cart' ),
					'MOU' => __( 'Mountain Province', 'sunshine-photo-cart' ),
					'NEC' => __( 'Negros Occidental', 'sunshine-photo-cart' ),
					'NER' => __( 'Negros Oriental', 'sunshine-photo-cart' ),
					'NSA' => __( 'Northern Samar', 'sunshine-photo-cart' ),
					'NUE' => __( 'Nueva Ecija', 'sunshine-photo-cart' ),
					'NUV' => __( 'Nueva Vizcaya', 'sunshine-photo-cart' ),
					'MDC' => __( 'Occidental Mindoro', 'sunshine-photo-cart' ),
					'MDR' => __( 'Oriental Mindoro', 'sunshine-photo-cart' ),
					'PLW' => __( 'Palawan', 'sunshine-photo-cart' ),
					'PAM' => __( 'Pampanga', 'sunshine-photo-cart' ),
					'PAN' => __( 'Pangasinan', 'sunshine-photo-cart' ),
					'QUE' => __( 'Quezon', 'sunshine-photo-cart' ),
					'QUI' => __( 'Quirino', 'sunshine-photo-cart' ),
					'RIZ' => __( 'Rizal', 'sunshine-photo-cart' ),
					'ROM' => __( 'Romblon', 'sunshine-photo-cart' ),
					'WSA' => __( 'Samar', 'sunshine-photo-cart' ),
					'SAR' => __( 'Sarangani', 'sunshine-photo-cart' ),
					'SIQ' => __( 'Siquijor', 'sunshine-photo-cart' ),
					'SOR' => __( 'Sorsogon', 'sunshine-photo-cart' ),
					'SCO' => __( 'South Cotabato', 'sunshine-photo-cart' ),
					'SLE' => __( 'Southern Leyte', 'sunshine-photo-cart' ),
					'SUK' => __( 'Sultan Kudarat', 'sunshine-photo-cart' ),
					'SLU' => __( 'Sulu', 'sunshine-photo-cart' ),
					'SUN' => __( 'Surigao del Norte', 'sunshine-photo-cart' ),
					'SUR' => __( 'Surigao del Sur', 'sunshine-photo-cart' ),
					'TAR' => __( 'Tarlac', 'sunshine-photo-cart' ),
					'TAW' => __( 'Tawi-Tawi', 'sunshine-photo-cart' ),
					'ZMB' => __( 'Zambales', 'sunshine-photo-cart' ),
					'ZAN' => __( 'Zamboanga del Norte', 'sunshine-photo-cart' ),
					'ZAS' => __( 'Zamboanga del Sur', 'sunshine-photo-cart' ),
					'ZSI' => __( 'Zamboanga Sibugay', 'sunshine-photo-cart' ),
					'00'  => __( 'Metro Manila', 'sunshine-photo-cart' ),
				),
				'PK' => array( // Pakistani states.
					'JK' => __( 'Azad Kashmir', 'sunshine-photo-cart' ),
					'BA' => __( 'Balochistan', 'sunshine-photo-cart' ),
					'TA' => __( 'FATA', 'sunshine-photo-cart' ),
					'GB' => __( 'Gilgit Baltistan', 'sunshine-photo-cart' ),
					'IS' => __( 'Islamabad Capital Territory', 'sunshine-photo-cart' ),
					'KP' => __( 'Khyber Pakhtunkhwa', 'sunshine-photo-cart' ),
					'PB' => __( 'Punjab', 'sunshine-photo-cart' ),
					'SD' => __( 'Sindh', 'sunshine-photo-cart' ),
				),
				'PL' => array(),
				'PR' => array(),
				'PT' => array(),
				'PY' => array( // Paraguayan states.
					'PY-ASU' => __( 'Asunción', 'sunshine-photo-cart' ),
					'PY-1'   => __( 'Concepción', 'sunshine-photo-cart' ),
					'PY-2'   => __( 'San Pedro', 'sunshine-photo-cart' ),
					'PY-3'   => __( 'Cordillera', 'sunshine-photo-cart' ),
					'PY-4'   => __( 'Guairá', 'sunshine-photo-cart' ),
					'PY-5'   => __( 'Caaguazú', 'sunshine-photo-cart' ),
					'PY-6'   => __( 'Caazapá', 'sunshine-photo-cart' ),
					'PY-7'   => __( 'Itapúa', 'sunshine-photo-cart' ),
					'PY-8'   => __( 'Misiones', 'sunshine-photo-cart' ),
					'PY-9'   => __( 'Paraguarí', 'sunshine-photo-cart' ),
					'PY-10'  => __( 'Alto Paraná', 'sunshine-photo-cart' ),
					'PY-11'  => __( 'Central', 'sunshine-photo-cart' ),
					'PY-12'  => __( 'Ñeembucú', 'sunshine-photo-cart' ),
					'PY-13'  => __( 'Amambay', 'sunshine-photo-cart' ),
					'PY-14'  => __( 'Canindeyú', 'sunshine-photo-cart' ),
					'PY-15'  => __( 'Presidente Hayes', 'sunshine-photo-cart' ),
					'PY-16'  => __( 'Alto Paraguay', 'sunshine-photo-cart' ),
					'PY-17'  => __( 'Boquerón', 'sunshine-photo-cart' ),
				),
				'RE' => array(),
				'RO' => array( // Romanian states.
					'AB' => __( 'Alba', 'sunshine-photo-cart' ),
					'AR' => __( 'Arad', 'sunshine-photo-cart' ),
					'AG' => __( 'Argeș', 'sunshine-photo-cart' ),
					'BC' => __( 'Bacău', 'sunshine-photo-cart' ),
					'BH' => __( 'Bihor', 'sunshine-photo-cart' ),
					'BN' => __( 'Bistrița-Năsăud', 'sunshine-photo-cart' ),
					'BT' => __( 'Botoșani', 'sunshine-photo-cart' ),
					'BR' => __( 'Brăila', 'sunshine-photo-cart' ),
					'BV' => __( 'Brașov', 'sunshine-photo-cart' ),
					'B'  => __( 'București', 'sunshine-photo-cart' ),
					'BZ' => __( 'Buzău', 'sunshine-photo-cart' ),
					'CL' => __( 'Călărași', 'sunshine-photo-cart' ),
					'CS' => __( 'Caraș-Severin', 'sunshine-photo-cart' ),
					'CJ' => __( 'Cluj', 'sunshine-photo-cart' ),
					'CT' => __( 'Constanța', 'sunshine-photo-cart' ),
					'CV' => __( 'Covasna', 'sunshine-photo-cart' ),
					'DB' => __( 'Dâmbovița', 'sunshine-photo-cart' ),
					'DJ' => __( 'Dolj', 'sunshine-photo-cart' ),
					'GL' => __( 'Galați', 'sunshine-photo-cart' ),
					'GR' => __( 'Giurgiu', 'sunshine-photo-cart' ),
					'GJ' => __( 'Gorj', 'sunshine-photo-cart' ),
					'HR' => __( 'Harghita', 'sunshine-photo-cart' ),
					'HD' => __( 'Hunedoara', 'sunshine-photo-cart' ),
					'IL' => __( 'Ialomița', 'sunshine-photo-cart' ),
					'IS' => __( 'Iași', 'sunshine-photo-cart' ),
					'IF' => __( 'Ilfov', 'sunshine-photo-cart' ),
					'MM' => __( 'Maramureș', 'sunshine-photo-cart' ),
					'MH' => __( 'Mehedinți', 'sunshine-photo-cart' ),
					'MS' => __( 'Mureș', 'sunshine-photo-cart' ),
					'NT' => __( 'Neamț', 'sunshine-photo-cart' ),
					'OT' => __( 'Olt', 'sunshine-photo-cart' ),
					'PH' => __( 'Prahova', 'sunshine-photo-cart' ),
					'SJ' => __( 'Sălaj', 'sunshine-photo-cart' ),
					'SM' => __( 'Satu Mare', 'sunshine-photo-cart' ),
					'SB' => __( 'Sibiu', 'sunshine-photo-cart' ),
					'SV' => __( 'Suceava', 'sunshine-photo-cart' ),
					'TR' => __( 'Teleorman', 'sunshine-photo-cart' ),
					'TM' => __( 'Timiș', 'sunshine-photo-cart' ),
					'TL' => __( 'Tulcea', 'sunshine-photo-cart' ),
					'VL' => __( 'Vâlcea', 'sunshine-photo-cart' ),
					'VS' => __( 'Vaslui', 'sunshine-photo-cart' ),
					'VN' => __( 'Vrancea', 'sunshine-photo-cart' ),
				),
				'SN' => array( // Regions of Senegal. Ref: https://github.com/unicode-org/cldr/blob/release-42/common/subdivisions/en.xml#L4801.
					'SNDB' => __( 'Diourbel', 'sunshine-photo-cart' ),
					'SNDK' => __( 'Dakar', 'sunshine-photo-cart' ),
					'SNFK' => __( 'Fatick', 'sunshine-photo-cart' ),
					'SNKA' => __( 'Kaffrine', 'sunshine-photo-cart' ),
					'SNKD' => __( 'Kolda', 'sunshine-photo-cart' ),
					'SNKE' => __( 'Kédougou', 'sunshine-photo-cart' ),
					'SNKL' => __( 'Kaolack', 'sunshine-photo-cart' ),
					'SNLG' => __( 'Louga', 'sunshine-photo-cart' ),
					'SNMT' => __( 'Matam', 'sunshine-photo-cart' ),
					'SNSE' => __( 'Sédhiou', 'sunshine-photo-cart' ),
					'SNSL' => __( 'Saint-Louis', 'sunshine-photo-cart' ),
					'SNTC' => __( 'Tambacounda', 'sunshine-photo-cart' ),
					'SNTH' => __( 'Thiès', 'sunshine-photo-cart' ),
					'SNZG' => __( 'Ziguinchor', 'sunshine-photo-cart' ),
				),
				'SG' => array(),
				'SK' => array(),
				'SI' => array(),
				'SV' => array( // Salvadoran states.
					'SV-AH' => __( 'Ahuachapán', 'sunshine-photo-cart' ),
					'SV-CA' => __( 'Cabañas', 'sunshine-photo-cart' ),
					'SV-CH' => __( 'Chalatenango', 'sunshine-photo-cart' ),
					'SV-CU' => __( 'Cuscatlán', 'sunshine-photo-cart' ),
					'SV-LI' => __( 'La Libertad', 'sunshine-photo-cart' ),
					'SV-MO' => __( 'Morazán', 'sunshine-photo-cart' ),
					'SV-PA' => __( 'La Paz', 'sunshine-photo-cart' ),
					'SV-SA' => __( 'Santa Ana', 'sunshine-photo-cart' ),
					'SV-SM' => __( 'San Miguel', 'sunshine-photo-cart' ),
					'SV-SO' => __( 'Sonsonate', 'sunshine-photo-cart' ),
					'SV-SS' => __( 'San Salvador', 'sunshine-photo-cart' ),
					'SV-SV' => __( 'San Vicente', 'sunshine-photo-cart' ),
					'SV-UN' => __( 'La Unión', 'sunshine-photo-cart' ),
					'SV-US' => __( 'Usulután', 'sunshine-photo-cart' ),
				),
				'TH' => array( // Thai states.
					'TH-37' => __( 'Amnat Charoen', 'sunshine-photo-cart' ),
					'TH-15' => __( 'Ang Thong', 'sunshine-photo-cart' ),
					'TH-14' => __( 'Ayutthaya', 'sunshine-photo-cart' ),
					'TH-10' => __( 'Bangkok', 'sunshine-photo-cart' ),
					'TH-38' => __( 'Bueng Kan', 'sunshine-photo-cart' ),
					'TH-31' => __( 'Buri Ram', 'sunshine-photo-cart' ),
					'TH-24' => __( 'Chachoengsao', 'sunshine-photo-cart' ),
					'TH-18' => __( 'Chai Nat', 'sunshine-photo-cart' ),
					'TH-36' => __( 'Chaiyaphum', 'sunshine-photo-cart' ),
					'TH-22' => __( 'Chanthaburi', 'sunshine-photo-cart' ),
					'TH-50' => __( 'Chiang Mai', 'sunshine-photo-cart' ),
					'TH-57' => __( 'Chiang Rai', 'sunshine-photo-cart' ),
					'TH-20' => __( 'Chonburi', 'sunshine-photo-cart' ),
					'TH-86' => __( 'Chumphon', 'sunshine-photo-cart' ),
					'TH-46' => __( 'Kalasin', 'sunshine-photo-cart' ),
					'TH-62' => __( 'Kamphaeng Phet', 'sunshine-photo-cart' ),
					'TH-71' => __( 'Kanchanaburi', 'sunshine-photo-cart' ),
					'TH-40' => __( 'Khon Kaen', 'sunshine-photo-cart' ),
					'TH-81' => __( 'Krabi', 'sunshine-photo-cart' ),
					'TH-52' => __( 'Lampang', 'sunshine-photo-cart' ),
					'TH-51' => __( 'Lamphun', 'sunshine-photo-cart' ),
					'TH-42' => __( 'Loei', 'sunshine-photo-cart' ),
					'TH-16' => __( 'Lopburi', 'sunshine-photo-cart' ),
					'TH-58' => __( 'Mae Hong Son', 'sunshine-photo-cart' ),
					'TH-44' => __( 'Maha Sarakham', 'sunshine-photo-cart' ),
					'TH-49' => __( 'Mukdahan', 'sunshine-photo-cart' ),
					'TH-26' => __( 'Nakhon Nayok', 'sunshine-photo-cart' ),
					'TH-73' => __( 'Nakhon Pathom', 'sunshine-photo-cart' ),
					'TH-48' => __( 'Nakhon Phanom', 'sunshine-photo-cart' ),
					'TH-30' => __( 'Nakhon Ratchasima', 'sunshine-photo-cart' ),
					'TH-60' => __( 'Nakhon Sawan', 'sunshine-photo-cart' ),
					'TH-80' => __( 'Nakhon Si Thammarat', 'sunshine-photo-cart' ),
					'TH-55' => __( 'Nan', 'sunshine-photo-cart' ),
					'TH-96' => __( 'Narathiwat', 'sunshine-photo-cart' ),
					'TH-39' => __( 'Nong Bua Lam Phu', 'sunshine-photo-cart' ),
					'TH-43' => __( 'Nong Khai', 'sunshine-photo-cart' ),
					'TH-12' => __( 'Nonthaburi', 'sunshine-photo-cart' ),
					'TH-13' => __( 'Pathum Thani', 'sunshine-photo-cart' ),
					'TH-94' => __( 'Pattani', 'sunshine-photo-cart' ),
					'TH-82' => __( 'Phang Nga', 'sunshine-photo-cart' ),
					'TH-93' => __( 'Phatthalung', 'sunshine-photo-cart' ),
					'TH-56' => __( 'Phayao', 'sunshine-photo-cart' ),
					'TH-67' => __( 'Phetchabun', 'sunshine-photo-cart' ),
					'TH-76' => __( 'Phetchaburi', 'sunshine-photo-cart' ),
					'TH-66' => __( 'Phichit', 'sunshine-photo-cart' ),
					'TH-65' => __( 'Phitsanulok', 'sunshine-photo-cart' ),
					'TH-54' => __( 'Phrae', 'sunshine-photo-cart' ),
					'TH-83' => __( 'Phuket', 'sunshine-photo-cart' ),
					'TH-25' => __( 'Prachin Buri', 'sunshine-photo-cart' ),
					'TH-77' => __( 'Prachuap Khiri Khan', 'sunshine-photo-cart' ),
					'TH-85' => __( 'Ranong', 'sunshine-photo-cart' ),
					'TH-70' => __( 'Ratchaburi', 'sunshine-photo-cart' ),
					'TH-21' => __( 'Rayong', 'sunshine-photo-cart' ),
					'TH-45' => __( 'Roi Et', 'sunshine-photo-cart' ),
					'TH-27' => __( 'Sa Kaeo', 'sunshine-photo-cart' ),
					'TH-47' => __( 'Sakon Nakhon', 'sunshine-photo-cart' ),
					'TH-11' => __( 'Samut Prakan', 'sunshine-photo-cart' ),
					'TH-74' => __( 'Samut Sakhon', 'sunshine-photo-cart' ),
					'TH-75' => __( 'Samut Songkhram', 'sunshine-photo-cart' ),
					'TH-19' => __( 'Saraburi', 'sunshine-photo-cart' ),
					'TH-91' => __( 'Satun', 'sunshine-photo-cart' ),
					'TH-17' => __( 'Sing Buri', 'sunshine-photo-cart' ),
					'TH-33' => __( 'Sisaket', 'sunshine-photo-cart' ),
					'TH-90' => __( 'Songkhla', 'sunshine-photo-cart' ),
					'TH-64' => __( 'Sukhothai', 'sunshine-photo-cart' ),
					'TH-72' => __( 'Suphan Buri', 'sunshine-photo-cart' ),
					'TH-84' => __( 'Surat Thani', 'sunshine-photo-cart' ),
					'TH-32' => __( 'Surin', 'sunshine-photo-cart' ),
					'TH-63' => __( 'Tak', 'sunshine-photo-cart' ),
					'TH-92' => __( 'Trang', 'sunshine-photo-cart' ),
					'TH-23' => __( 'Trat', 'sunshine-photo-cart' ),
					'TH-34' => __( 'Ubon Ratchathani', 'sunshine-photo-cart' ),
					'TH-41' => __( 'Udon Thani', 'sunshine-photo-cart' ),
					'TH-61' => __( 'Uthai Thani', 'sunshine-photo-cart' ),
					'TH-53' => __( 'Uttaradit', 'sunshine-photo-cart' ),
					'TH-95' => __( 'Yala', 'sunshine-photo-cart' ),
					'TH-35' => __( 'Yasothon', 'sunshine-photo-cart' ),
				),
				'TR' => array( // Turkish states.
					'TR01' => __( 'Adana', 'sunshine-photo-cart' ),
					'TR02' => __( 'Adıyaman', 'sunshine-photo-cart' ),
					'TR03' => __( 'Afyon', 'sunshine-photo-cart' ),
					'TR04' => __( 'Ağrı', 'sunshine-photo-cart' ),
					'TR05' => __( 'Amasya', 'sunshine-photo-cart' ),
					'TR06' => __( 'Ankara', 'sunshine-photo-cart' ),
					'TR07' => __( 'Antalya', 'sunshine-photo-cart' ),
					'TR08' => __( 'Artvin', 'sunshine-photo-cart' ),
					'TR09' => __( 'Aydın', 'sunshine-photo-cart' ),
					'TR10' => __( 'Balıkesir', 'sunshine-photo-cart' ),
					'TR11' => __( 'Bilecik', 'sunshine-photo-cart' ),
					'TR12' => __( 'Bingöl', 'sunshine-photo-cart' ),
					'TR13' => __( 'Bitlis', 'sunshine-photo-cart' ),
					'TR14' => __( 'Bolu', 'sunshine-photo-cart' ),
					'TR15' => __( 'Burdur', 'sunshine-photo-cart' ),
					'TR16' => __( 'Bursa', 'sunshine-photo-cart' ),
					'TR17' => __( 'Çanakkale', 'sunshine-photo-cart' ),
					'TR18' => __( 'Çankırı', 'sunshine-photo-cart' ),
					'TR19' => __( 'Çorum', 'sunshine-photo-cart' ),
					'TR20' => __( 'Denizli', 'sunshine-photo-cart' ),
					'TR21' => __( 'Diyarbakır', 'sunshine-photo-cart' ),
					'TR22' => __( 'Edirne', 'sunshine-photo-cart' ),
					'TR23' => __( 'Elazığ', 'sunshine-photo-cart' ),
					'TR24' => __( 'Erzincan', 'sunshine-photo-cart' ),
					'TR25' => __( 'Erzurum', 'sunshine-photo-cart' ),
					'TR26' => __( 'Eskişehir', 'sunshine-photo-cart' ),
					'TR27' => __( 'Gaziantep', 'sunshine-photo-cart' ),
					'TR28' => __( 'Giresun', 'sunshine-photo-cart' ),
					'TR29' => __( 'Gümüşhane', 'sunshine-photo-cart' ),
					'TR30' => __( 'Hakkari', 'sunshine-photo-cart' ),
					'TR31' => __( 'Hatay', 'sunshine-photo-cart' ),
					'TR32' => __( 'Isparta', 'sunshine-photo-cart' ),
					'TR33' => __( 'İçel', 'sunshine-photo-cart' ),
					'TR34' => __( 'İstanbul', 'sunshine-photo-cart' ),
					'TR35' => __( 'İzmir', 'sunshine-photo-cart' ),
					'TR36' => __( 'Kars', 'sunshine-photo-cart' ),
					'TR37' => __( 'Kastamonu', 'sunshine-photo-cart' ),
					'TR38' => __( 'Kayseri', 'sunshine-photo-cart' ),
					'TR39' => __( 'Kırklareli', 'sunshine-photo-cart' ),
					'TR40' => __( 'Kırşehir', 'sunshine-photo-cart' ),
					'TR41' => __( 'Kocaeli', 'sunshine-photo-cart' ),
					'TR42' => __( 'Konya', 'sunshine-photo-cart' ),
					'TR43' => __( 'Kütahya', 'sunshine-photo-cart' ),
					'TR44' => __( 'Malatya', 'sunshine-photo-cart' ),
					'TR45' => __( 'Manisa', 'sunshine-photo-cart' ),
					'TR46' => __( 'Kahramanmaraş', 'sunshine-photo-cart' ),
					'TR47' => __( 'Mardin', 'sunshine-photo-cart' ),
					'TR48' => __( 'Muğla', 'sunshine-photo-cart' ),
					'TR49' => __( 'Muş', 'sunshine-photo-cart' ),
					'TR50' => __( 'Nevşehir', 'sunshine-photo-cart' ),
					'TR51' => __( 'Niğde', 'sunshine-photo-cart' ),
					'TR52' => __( 'Ordu', 'sunshine-photo-cart' ),
					'TR53' => __( 'Rize', 'sunshine-photo-cart' ),
					'TR54' => __( 'Sakarya', 'sunshine-photo-cart' ),
					'TR55' => __( 'Samsun', 'sunshine-photo-cart' ),
					'TR56' => __( 'Siirt', 'sunshine-photo-cart' ),
					'TR57' => __( 'Sinop', 'sunshine-photo-cart' ),
					'TR58' => __( 'Sivas', 'sunshine-photo-cart' ),
					'TR59' => __( 'Tekirdağ', 'sunshine-photo-cart' ),
					'TR60' => __( 'Tokat', 'sunshine-photo-cart' ),
					'TR61' => __( 'Trabzon', 'sunshine-photo-cart' ),
					'TR62' => __( 'Tunceli', 'sunshine-photo-cart' ),
					'TR63' => __( 'Şanlıurfa', 'sunshine-photo-cart' ),
					'TR64' => __( 'Uşak', 'sunshine-photo-cart' ),
					'TR65' => __( 'Van', 'sunshine-photo-cart' ),
					'TR66' => __( 'Yozgat', 'sunshine-photo-cart' ),
					'TR67' => __( 'Zonguldak', 'sunshine-photo-cart' ),
					'TR68' => __( 'Aksaray', 'sunshine-photo-cart' ),
					'TR69' => __( 'Bayburt', 'sunshine-photo-cart' ),
					'TR70' => __( 'Karaman', 'sunshine-photo-cart' ),
					'TR71' => __( 'Kırıkkale', 'sunshine-photo-cart' ),
					'TR72' => __( 'Batman', 'sunshine-photo-cart' ),
					'TR73' => __( 'Şırnak', 'sunshine-photo-cart' ),
					'TR74' => __( 'Bartın', 'sunshine-photo-cart' ),
					'TR75' => __( 'Ardahan', 'sunshine-photo-cart' ),
					'TR76' => __( 'Iğdır', 'sunshine-photo-cart' ),
					'TR77' => __( 'Yalova', 'sunshine-photo-cart' ),
					'TR78' => __( 'Karabük', 'sunshine-photo-cart' ),
					'TR79' => __( 'Kilis', 'sunshine-photo-cart' ),
					'TR80' => __( 'Osmaniye', 'sunshine-photo-cart' ),
					'TR81' => __( 'Düzce', 'sunshine-photo-cart' ),
				),
				'TZ' => array( // Tanzanian states.
					'TZ01' => __( 'Arusha', 'sunshine-photo-cart' ),
					'TZ02' => __( 'Dar es Salaam', 'sunshine-photo-cart' ),
					'TZ03' => __( 'Dodoma', 'sunshine-photo-cart' ),
					'TZ04' => __( 'Iringa', 'sunshine-photo-cart' ),
					'TZ05' => __( 'Kagera', 'sunshine-photo-cart' ),
					'TZ06' => __( 'Pemba North', 'sunshine-photo-cart' ),
					'TZ07' => __( 'Zanzibar North', 'sunshine-photo-cart' ),
					'TZ08' => __( 'Kigoma', 'sunshine-photo-cart' ),
					'TZ09' => __( 'Kilimanjaro', 'sunshine-photo-cart' ),
					'TZ10' => __( 'Pemba South', 'sunshine-photo-cart' ),
					'TZ11' => __( 'Zanzibar South', 'sunshine-photo-cart' ),
					'TZ12' => __( 'Lindi', 'sunshine-photo-cart' ),
					'TZ13' => __( 'Mara', 'sunshine-photo-cart' ),
					'TZ14' => __( 'Mbeya', 'sunshine-photo-cart' ),
					'TZ15' => __( 'Zanzibar West', 'sunshine-photo-cart' ),
					'TZ16' => __( 'Morogoro', 'sunshine-photo-cart' ),
					'TZ17' => __( 'Mtwara', 'sunshine-photo-cart' ),
					'TZ18' => __( 'Mwanza', 'sunshine-photo-cart' ),
					'TZ19' => __( 'Coast', 'sunshine-photo-cart' ),
					'TZ20' => __( 'Rukwa', 'sunshine-photo-cart' ),
					'TZ21' => __( 'Ruvuma', 'sunshine-photo-cart' ),
					'TZ22' => __( 'Shinyanga', 'sunshine-photo-cart' ),
					'TZ23' => __( 'Singida', 'sunshine-photo-cart' ),
					'TZ24' => __( 'Tabora', 'sunshine-photo-cart' ),
					'TZ25' => __( 'Tanga', 'sunshine-photo-cart' ),
					'TZ26' => __( 'Manyara', 'sunshine-photo-cart' ),
					'TZ27' => __( 'Geita', 'sunshine-photo-cart' ),
					'TZ28' => __( 'Katavi', 'sunshine-photo-cart' ),
					'TZ29' => __( 'Njombe', 'sunshine-photo-cart' ),
					'TZ30' => __( 'Simiyu', 'sunshine-photo-cart' ),
				),
				'LK' => array(),
				'RS' => array( // Serbian districts.
					'RS00' => _x( 'Belgrade', 'district', 'sunshine-photo-cart' ),
					'RS14' => _x( 'Bor', 'district', 'sunshine-photo-cart' ),
					'RS11' => _x( 'Braničevo', 'district', 'sunshine-photo-cart' ),
					'RS02' => _x( 'Central Banat', 'district', 'sunshine-photo-cart' ),
					'RS10' => _x( 'Danube', 'district', 'sunshine-photo-cart' ),
					'RS23' => _x( 'Jablanica', 'district', 'sunshine-photo-cart' ),
					'RS09' => _x( 'Kolubara', 'district', 'sunshine-photo-cart' ),
					'RS08' => _x( 'Mačva', 'district', 'sunshine-photo-cart' ),
					'RS17' => _x( 'Morava', 'district', 'sunshine-photo-cart' ),
					'RS20' => _x( 'Nišava', 'district', 'sunshine-photo-cart' ),
					'RS01' => _x( 'North Bačka', 'district', 'sunshine-photo-cart' ),
					'RS03' => _x( 'North Banat', 'district', 'sunshine-photo-cart' ),
					'RS24' => _x( 'Pčinja', 'district', 'sunshine-photo-cart' ),
					'RS22' => _x( 'Pirot', 'district', 'sunshine-photo-cart' ),
					'RS13' => _x( 'Pomoravlje', 'district', 'sunshine-photo-cart' ),
					'RS19' => _x( 'Rasina', 'district', 'sunshine-photo-cart' ),
					'RS18' => _x( 'Raška', 'district', 'sunshine-photo-cart' ),
					'RS06' => _x( 'South Bačka', 'district', 'sunshine-photo-cart' ),
					'RS04' => _x( 'South Banat', 'district', 'sunshine-photo-cart' ),
					'RS07' => _x( 'Srem', 'district', 'sunshine-photo-cart' ),
					'RS12' => _x( 'Šumadija', 'district', 'sunshine-photo-cart' ),
					'RS21' => _x( 'Toplica', 'district', 'sunshine-photo-cart' ),
					'RS05' => _x( 'West Bačka', 'district', 'sunshine-photo-cart' ),
					'RS15' => _x( 'Zaječar', 'district', 'sunshine-photo-cart' ),
					'RS16' => _x( 'Zlatibor', 'district', 'sunshine-photo-cart' ),
					'RS25' => _x( 'Kosovo', 'district', 'sunshine-photo-cart' ),
					'RS26' => _x( 'Peć', 'district', 'sunshine-photo-cart' ),
					'RS27' => _x( 'Prizren', 'district', 'sunshine-photo-cart' ),
					'RS28' => _x( 'Kosovska Mitrovica', 'district', 'sunshine-photo-cart' ),
					'RS29' => _x( 'Kosovo-Pomoravlje', 'district', 'sunshine-photo-cart' ),
					'RSKM' => _x( 'Kosovo-Metohija', 'district', 'sunshine-photo-cart' ),
					'RSVO' => _x( 'Vojvodina', 'district', 'sunshine-photo-cart' ),
				),
				'RW' => array(),
				'SE' => array(),
				'UA' => array( // Ukrainian oblasts. https://github.com/unicode-org/cldr/blob/release-42/common/subdivisions/en.xml#L5243.
					'UA05' => __( 'Vinnychchyna', 'sunshine-photo-cart' ),
					'UA07' => __( 'Volyn', 'sunshine-photo-cart' ),
					'UA09' => __( 'Luhanshchyna', 'sunshine-photo-cart' ),
					'UA12' => __( 'Dnipropetrovshchyna', 'sunshine-photo-cart' ),
					'UA14' => __( 'Donechchyna', 'sunshine-photo-cart' ),
					'UA18' => __( 'Zhytomyrshchyna', 'sunshine-photo-cart' ),
					'UA21' => __( 'Zakarpattia', 'sunshine-photo-cart' ),
					'UA23' => __( 'Zaporizhzhya', 'sunshine-photo-cart' ),
					'UA26' => __( 'Prykarpattia', 'sunshine-photo-cart' ),
					'UA30' => __( 'Kyiv', 'sunshine-photo-cart' ),
					'UA32' => __( 'Kyivshchyna', 'sunshine-photo-cart' ),
					'UA35' => __( 'Kirovohradschyna', 'sunshine-photo-cart' ),
					'UA40' => __( 'Sevastopol', 'sunshine-photo-cart' ),
					'UA43' => __( 'Crimea', 'sunshine-photo-cart' ),
					'UA46' => __( 'Lvivshchyna', 'sunshine-photo-cart' ),
					'UA48' => __( 'Mykolayivschyna', 'sunshine-photo-cart' ),
					'UA51' => __( 'Odeshchyna', 'sunshine-photo-cart' ),
					'UA53' => __( 'Poltavshchyna', 'sunshine-photo-cart' ),
					'UA56' => __( 'Rivnenshchyna', 'sunshine-photo-cart' ),
					'UA59' => __( 'Sumshchyna', 'sunshine-photo-cart' ),
					'UA61' => __( 'Ternopilshchyna', 'sunshine-photo-cart' ),
					'UA63' => __( 'Kharkivshchyna', 'sunshine-photo-cart' ),
					'UA65' => __( 'Khersonshchyna', 'sunshine-photo-cart' ),
					'UA68' => __( 'Khmelnychchyna', 'sunshine-photo-cart' ),
					'UA71' => __( 'Cherkashchyna', 'sunshine-photo-cart' ),
					'UA74' => __( 'Chernihivshchyna', 'sunshine-photo-cart' ),
					'UA77' => __( 'Chernivtsi Oblast', 'sunshine-photo-cart' ),
				),
				'UG' => array( // Ugandan districts.
					'UG314' => __( 'Abim', 'sunshine-photo-cart' ),
					'UG301' => __( 'Adjumani', 'sunshine-photo-cart' ),
					'UG322' => __( 'Agago', 'sunshine-photo-cart' ),
					'UG323' => __( 'Alebtong', 'sunshine-photo-cart' ),
					'UG315' => __( 'Amolatar', 'sunshine-photo-cart' ),
					'UG324' => __( 'Amudat', 'sunshine-photo-cart' ),
					'UG216' => __( 'Amuria', 'sunshine-photo-cart' ),
					'UG316' => __( 'Amuru', 'sunshine-photo-cart' ),
					'UG302' => __( 'Apac', 'sunshine-photo-cart' ),
					'UG303' => __( 'Arua', 'sunshine-photo-cart' ),
					'UG217' => __( 'Budaka', 'sunshine-photo-cart' ),
					'UG218' => __( 'Bududa', 'sunshine-photo-cart' ),
					'UG201' => __( 'Bugiri', 'sunshine-photo-cart' ),
					'UG235' => __( 'Bugweri', 'sunshine-photo-cart' ),
					'UG420' => __( 'Buhweju', 'sunshine-photo-cart' ),
					'UG117' => __( 'Buikwe', 'sunshine-photo-cart' ),
					'UG219' => __( 'Bukedea', 'sunshine-photo-cart' ),
					'UG118' => __( 'Bukomansimbi', 'sunshine-photo-cart' ),
					'UG220' => __( 'Bukwa', 'sunshine-photo-cart' ),
					'UG225' => __( 'Bulambuli', 'sunshine-photo-cart' ),
					'UG416' => __( 'Buliisa', 'sunshine-photo-cart' ),
					'UG401' => __( 'Bundibugyo', 'sunshine-photo-cart' ),
					'UG430' => __( 'Bunyangabu', 'sunshine-photo-cart' ),
					'UG402' => __( 'Bushenyi', 'sunshine-photo-cart' ),
					'UG202' => __( 'Busia', 'sunshine-photo-cart' ),
					'UG221' => __( 'Butaleja', 'sunshine-photo-cart' ),
					'UG119' => __( 'Butambala', 'sunshine-photo-cart' ),
					'UG233' => __( 'Butebo', 'sunshine-photo-cart' ),
					'UG120' => __( 'Buvuma', 'sunshine-photo-cart' ),
					'UG226' => __( 'Buyende', 'sunshine-photo-cart' ),
					'UG317' => __( 'Dokolo', 'sunshine-photo-cart' ),
					'UG121' => __( 'Gomba', 'sunshine-photo-cart' ),
					'UG304' => __( 'Gulu', 'sunshine-photo-cart' ),
					'UG403' => __( 'Hoima', 'sunshine-photo-cart' ),
					'UG417' => __( 'Ibanda', 'sunshine-photo-cart' ),
					'UG203' => __( 'Iganga', 'sunshine-photo-cart' ),
					'UG418' => __( 'Isingiro', 'sunshine-photo-cart' ),
					'UG204' => __( 'Jinja', 'sunshine-photo-cart' ),
					'UG318' => __( 'Kaabong', 'sunshine-photo-cart' ),
					'UG404' => __( 'Kabale', 'sunshine-photo-cart' ),
					'UG405' => __( 'Kabarole', 'sunshine-photo-cart' ),
					'UG213' => __( 'Kaberamaido', 'sunshine-photo-cart' ),
					'UG427' => __( 'Kagadi', 'sunshine-photo-cart' ),
					'UG428' => __( 'Kakumiro', 'sunshine-photo-cart' ),
					'UG101' => __( 'Kalangala', 'sunshine-photo-cart' ),
					'UG222' => __( 'Kaliro', 'sunshine-photo-cart' ),
					'UG122' => __( 'Kalungu', 'sunshine-photo-cart' ),
					'UG102' => __( 'Kampala', 'sunshine-photo-cart' ),
					'UG205' => __( 'Kamuli', 'sunshine-photo-cart' ),
					'UG413' => __( 'Kamwenge', 'sunshine-photo-cart' ),
					'UG414' => __( 'Kanungu', 'sunshine-photo-cart' ),
					'UG206' => __( 'Kapchorwa', 'sunshine-photo-cart' ),
					'UG236' => __( 'Kapelebyong', 'sunshine-photo-cart' ),
					'UG126' => __( 'Kasanda', 'sunshine-photo-cart' ),
					'UG406' => __( 'Kasese', 'sunshine-photo-cart' ),
					'UG207' => __( 'Katakwi', 'sunshine-photo-cart' ),
					'UG112' => __( 'Kayunga', 'sunshine-photo-cart' ),
					'UG407' => __( 'Kibaale', 'sunshine-photo-cart' ),
					'UG103' => __( 'Kiboga', 'sunshine-photo-cart' ),
					'UG227' => __( 'Kibuku', 'sunshine-photo-cart' ),
					'UG432' => __( 'Kikuube', 'sunshine-photo-cart' ),
					'UG419' => __( 'Kiruhura', 'sunshine-photo-cart' ),
					'UG421' => __( 'Kiryandongo', 'sunshine-photo-cart' ),
					'UG408' => __( 'Kisoro', 'sunshine-photo-cart' ),
					'UG305' => __( 'Kitgum', 'sunshine-photo-cart' ),
					'UG319' => __( 'Koboko', 'sunshine-photo-cart' ),
					'UG325' => __( 'Kole', 'sunshine-photo-cart' ),
					'UG306' => __( 'Kotido', 'sunshine-photo-cart' ),
					'UG208' => __( 'Kumi', 'sunshine-photo-cart' ),
					'UG333' => __( 'Kwania', 'sunshine-photo-cart' ),
					'UG228' => __( 'Kween', 'sunshine-photo-cart' ),
					'UG123' => __( 'Kyankwanzi', 'sunshine-photo-cart' ),
					'UG422' => __( 'Kyegegwa', 'sunshine-photo-cart' ),
					'UG415' => __( 'Kyenjojo', 'sunshine-photo-cart' ),
					'UG125' => __( 'Kyotera', 'sunshine-photo-cart' ),
					'UG326' => __( 'Lamwo', 'sunshine-photo-cart' ),
					'UG307' => __( 'Lira', 'sunshine-photo-cart' ),
					'UG229' => __( 'Luuka', 'sunshine-photo-cart' ),
					'UG104' => __( 'Luwero', 'sunshine-photo-cart' ),
					'UG124' => __( 'Lwengo', 'sunshine-photo-cart' ),
					'UG114' => __( 'Lyantonde', 'sunshine-photo-cart' ),
					'UG223' => __( 'Manafwa', 'sunshine-photo-cart' ),
					'UG320' => __( 'Maracha', 'sunshine-photo-cart' ),
					'UG105' => __( 'Masaka', 'sunshine-photo-cart' ),
					'UG409' => __( 'Masindi', 'sunshine-photo-cart' ),
					'UG214' => __( 'Mayuge', 'sunshine-photo-cart' ),
					'UG209' => __( 'Mbale', 'sunshine-photo-cart' ),
					'UG410' => __( 'Mbarara', 'sunshine-photo-cart' ),
					'UG423' => __( 'Mitooma', 'sunshine-photo-cart' ),
					'UG115' => __( 'Mityana', 'sunshine-photo-cart' ),
					'UG308' => __( 'Moroto', 'sunshine-photo-cart' ),
					'UG309' => __( 'Moyo', 'sunshine-photo-cart' ),
					'UG106' => __( 'Mpigi', 'sunshine-photo-cart' ),
					'UG107' => __( 'Mubende', 'sunshine-photo-cart' ),
					'UG108' => __( 'Mukono', 'sunshine-photo-cart' ),
					'UG334' => __( 'Nabilatuk', 'sunshine-photo-cart' ),
					'UG311' => __( 'Nakapiripirit', 'sunshine-photo-cart' ),
					'UG116' => __( 'Nakaseke', 'sunshine-photo-cart' ),
					'UG109' => __( 'Nakasongola', 'sunshine-photo-cart' ),
					'UG230' => __( 'Namayingo', 'sunshine-photo-cart' ),
					'UG234' => __( 'Namisindwa', 'sunshine-photo-cart' ),
					'UG224' => __( 'Namutumba', 'sunshine-photo-cart' ),
					'UG327' => __( 'Napak', 'sunshine-photo-cart' ),
					'UG310' => __( 'Nebbi', 'sunshine-photo-cart' ),
					'UG231' => __( 'Ngora', 'sunshine-photo-cart' ),
					'UG424' => __( 'Ntoroko', 'sunshine-photo-cart' ),
					'UG411' => __( 'Ntungamo', 'sunshine-photo-cart' ),
					'UG328' => __( 'Nwoya', 'sunshine-photo-cart' ),
					'UG331' => __( 'Omoro', 'sunshine-photo-cart' ),
					'UG329' => __( 'Otuke', 'sunshine-photo-cart' ),
					'UG321' => __( 'Oyam', 'sunshine-photo-cart' ),
					'UG312' => __( 'Pader', 'sunshine-photo-cart' ),
					'UG332' => __( 'Pakwach', 'sunshine-photo-cart' ),
					'UG210' => __( 'Pallisa', 'sunshine-photo-cart' ),
					'UG110' => __( 'Rakai', 'sunshine-photo-cart' ),
					'UG429' => __( 'Rubanda', 'sunshine-photo-cart' ),
					'UG425' => __( 'Rubirizi', 'sunshine-photo-cart' ),
					'UG431' => __( 'Rukiga', 'sunshine-photo-cart' ),
					'UG412' => __( 'Rukungiri', 'sunshine-photo-cart' ),
					'UG111' => __( 'Sembabule', 'sunshine-photo-cart' ),
					'UG232' => __( 'Serere', 'sunshine-photo-cart' ),
					'UG426' => __( 'Sheema', 'sunshine-photo-cart' ),
					'UG215' => __( 'Sironko', 'sunshine-photo-cart' ),
					'UG211' => __( 'Soroti', 'sunshine-photo-cart' ),
					'UG212' => __( 'Tororo', 'sunshine-photo-cart' ),
					'UG113' => __( 'Wakiso', 'sunshine-photo-cart' ),
					'UG313' => __( 'Yumbe', 'sunshine-photo-cart' ),
					'UG330' => __( 'Zombo', 'sunshine-photo-cart' ),
				),
				'UM' => array(
					'81' => __( 'Baker Island', 'sunshine-photo-cart' ),
					'84' => __( 'Howland Island', 'sunshine-photo-cart' ),
					'86' => __( 'Jarvis Island', 'sunshine-photo-cart' ),
					'67' => __( 'Johnston Atoll', 'sunshine-photo-cart' ),
					'89' => __( 'Kingman Reef', 'sunshine-photo-cart' ),
					'71' => __( 'Midway Atoll', 'sunshine-photo-cart' ),
					'76' => __( 'Navassa Island', 'sunshine-photo-cart' ),
					'95' => __( 'Palmyra Atoll', 'sunshine-photo-cart' ),
					'79' => __( 'Wake Island', 'sunshine-photo-cart' ),
				),
				'US' => array( // U.S. states.
					'AL' => __( 'Alabama', 'sunshine-photo-cart' ),
					'AK' => __( 'Alaska', 'sunshine-photo-cart' ),
					'AZ' => __( 'Arizona', 'sunshine-photo-cart' ),
					'AR' => __( 'Arkansas', 'sunshine-photo-cart' ),
					'CA' => __( 'California', 'sunshine-photo-cart' ),
					'CO' => __( 'Colorado', 'sunshine-photo-cart' ),
					'CT' => __( 'Connecticut', 'sunshine-photo-cart' ),
					'DE' => __( 'Delaware', 'sunshine-photo-cart' ),
					'DC' => __( 'District Of Columbia', 'sunshine-photo-cart' ),
					'FL' => __( 'Florida', 'sunshine-photo-cart' ),
					'GA' => _x( 'Georgia', 'US state of Georgia', 'sunshine-photo-cart' ),
					'HI' => __( 'Hawaii', 'sunshine-photo-cart' ),
					'ID' => __( 'Idaho', 'sunshine-photo-cart' ),
					'IL' => __( 'Illinois', 'sunshine-photo-cart' ),
					'IN' => __( 'Indiana', 'sunshine-photo-cart' ),
					'IA' => __( 'Iowa', 'sunshine-photo-cart' ),
					'KS' => __( 'Kansas', 'sunshine-photo-cart' ),
					'KY' => __( 'Kentucky', 'sunshine-photo-cart' ),
					'LA' => __( 'Louisiana', 'sunshine-photo-cart' ),
					'ME' => __( 'Maine', 'sunshine-photo-cart' ),
					'MD' => __( 'Maryland', 'sunshine-photo-cart' ),
					'MA' => __( 'Massachusetts', 'sunshine-photo-cart' ),
					'MI' => __( 'Michigan', 'sunshine-photo-cart' ),
					'MN' => __( 'Minnesota', 'sunshine-photo-cart' ),
					'MS' => __( 'Mississippi', 'sunshine-photo-cart' ),
					'MO' => __( 'Missouri', 'sunshine-photo-cart' ),
					'MT' => __( 'Montana', 'sunshine-photo-cart' ),
					'NE' => __( 'Nebraska', 'sunshine-photo-cart' ),
					'NV' => __( 'Nevada', 'sunshine-photo-cart' ),
					'NH' => __( 'New Hampshire', 'sunshine-photo-cart' ),
					'NJ' => __( 'New Jersey', 'sunshine-photo-cart' ),
					'NM' => __( 'New Mexico', 'sunshine-photo-cart' ),
					'NY' => __( 'New York', 'sunshine-photo-cart' ),
					'NC' => __( 'North Carolina', 'sunshine-photo-cart' ),
					'ND' => __( 'North Dakota', 'sunshine-photo-cart' ),
					'OH' => __( 'Ohio', 'sunshine-photo-cart' ),
					'OK' => __( 'Oklahoma', 'sunshine-photo-cart' ),
					'OR' => __( 'Oregon', 'sunshine-photo-cart' ),
					'PA' => __( 'Pennsylvania', 'sunshine-photo-cart' ),
					'RI' => __( 'Rhode Island', 'sunshine-photo-cart' ),
					'SC' => __( 'South Carolina', 'sunshine-photo-cart' ),
					'SD' => __( 'South Dakota', 'sunshine-photo-cart' ),
					'TN' => __( 'Tennessee', 'sunshine-photo-cart' ),
					'TX' => __( 'Texas', 'sunshine-photo-cart' ),
					'UT' => __( 'Utah', 'sunshine-photo-cart' ),
					'VT' => __( 'Vermont', 'sunshine-photo-cart' ),
					'VA' => __( 'Virginia', 'sunshine-photo-cart' ),
					'WA' => __( 'Washington', 'sunshine-photo-cart' ),
					'WV' => __( 'West Virginia', 'sunshine-photo-cart' ),
					'WI' => __( 'Wisconsin', 'sunshine-photo-cart' ),
					'WY' => __( 'Wyoming', 'sunshine-photo-cart' ),
					'AA' => __( 'Armed Forces (AA)', 'sunshine-photo-cart' ),
					'AE' => __( 'Armed Forces (AE)', 'sunshine-photo-cart' ),
					'AP' => __( 'Armed Forces (AP)', 'sunshine-photo-cart' ),
				),
				'UY' => array( // Uruguayan states.
					'UY-AR' => __( 'Artigas', 'sunshine-photo-cart' ),
					'UY-CA' => __( 'Canelones', 'sunshine-photo-cart' ),
					'UY-CL' => __( 'Cerro Largo', 'sunshine-photo-cart' ),
					'UY-CO' => __( 'Colonia', 'sunshine-photo-cart' ),
					'UY-DU' => __( 'Durazno', 'sunshine-photo-cart' ),
					'UY-FS' => __( 'Flores', 'sunshine-photo-cart' ),
					'UY-FD' => __( 'Florida', 'sunshine-photo-cart' ),
					'UY-LA' => __( 'Lavalleja', 'sunshine-photo-cart' ),
					'UY-MA' => __( 'Maldonado', 'sunshine-photo-cart' ),
					'UY-MO' => __( 'Montevideo', 'sunshine-photo-cart' ),
					'UY-PA' => __( 'Paysandú', 'sunshine-photo-cart' ),
					'UY-RN' => __( 'Río Negro', 'sunshine-photo-cart' ),
					'UY-RV' => __( 'Rivera', 'sunshine-photo-cart' ),
					'UY-RO' => __( 'Rocha', 'sunshine-photo-cart' ),
					'UY-SA' => __( 'Salto', 'sunshine-photo-cart' ),
					'UY-SJ' => __( 'San José', 'sunshine-photo-cart' ),
					'UY-SO' => __( 'Soriano', 'sunshine-photo-cart' ),
					'UY-TA' => __( 'Tacuarembó', 'sunshine-photo-cart' ),
					'UY-TT' => __( 'Treinta y Tres', 'sunshine-photo-cart' ),
				),
				'VE' => array( // Venezuelan states.
					'VE-A' => __( 'Capital', 'sunshine-photo-cart' ),
					'VE-B' => __( 'Anzoátegui', 'sunshine-photo-cart' ),
					'VE-C' => __( 'Apure', 'sunshine-photo-cart' ),
					'VE-D' => __( 'Aragua', 'sunshine-photo-cart' ),
					'VE-E' => __( 'Barinas', 'sunshine-photo-cart' ),
					'VE-F' => __( 'Bolívar', 'sunshine-photo-cart' ),
					'VE-G' => __( 'Carabobo', 'sunshine-photo-cart' ),
					'VE-H' => __( 'Cojedes', 'sunshine-photo-cart' ),
					'VE-I' => __( 'Falcón', 'sunshine-photo-cart' ),
					'VE-J' => __( 'Guárico', 'sunshine-photo-cart' ),
					'VE-K' => __( 'Lara', 'sunshine-photo-cart' ),
					'VE-L' => __( 'Mérida', 'sunshine-photo-cart' ),
					'VE-M' => __( 'Miranda', 'sunshine-photo-cart' ),
					'VE-N' => __( 'Monagas', 'sunshine-photo-cart' ),
					'VE-O' => __( 'Nueva Esparta', 'sunshine-photo-cart' ),
					'VE-P' => __( 'Portuguesa', 'sunshine-photo-cart' ),
					'VE-R' => __( 'Sucre', 'sunshine-photo-cart' ),
					'VE-S' => __( 'Táchira', 'sunshine-photo-cart' ),
					'VE-T' => __( 'Trujillo', 'sunshine-photo-cart' ),
					'VE-U' => __( 'Yaracuy', 'sunshine-photo-cart' ),
					'VE-V' => __( 'Zulia', 'sunshine-photo-cart' ),
					'VE-W' => __( 'Federal Dependencies', 'sunshine-photo-cart' ),
					'VE-X' => __( 'La Guaira (Vargas)', 'sunshine-photo-cart' ),
					'VE-Y' => __( 'Delta Amacuro', 'sunshine-photo-cart' ),
					'VE-Z' => __( 'Amazonas', 'sunshine-photo-cart' ),
				),
				'VN' => array(),
				'YT' => array(),
				'ZA' => array( // South African states.
					'EC'  => __( 'Eastern Cape', 'sunshine-photo-cart' ),
					'FS'  => __( 'Free State', 'sunshine-photo-cart' ),
					'GP'  => __( 'Gauteng', 'sunshine-photo-cart' ),
					'KZN' => __( 'KwaZulu-Natal', 'sunshine-photo-cart' ),
					'LP'  => __( 'Limpopo', 'sunshine-photo-cart' ),
					'MP'  => __( 'Mpumalanga', 'sunshine-photo-cart' ),
					'NC'  => __( 'Northern Cape', 'sunshine-photo-cart' ),
					'NW'  => __( 'North West', 'sunshine-photo-cart' ),
					'WC'  => __( 'Western Cape', 'sunshine-photo-cart' ),
				),
				'ZM' => array( // Zambian provinces.
					'ZM-01' => __( 'Western', 'sunshine-photo-cart' ),
					'ZM-02' => __( 'Central', 'sunshine-photo-cart' ),
					'ZM-03' => __( 'Eastern', 'sunshine-photo-cart' ),
					'ZM-04' => __( 'Luapula', 'sunshine-photo-cart' ),
					'ZM-05' => __( 'Northern', 'sunshine-photo-cart' ),
					'ZM-06' => __( 'North-Western', 'sunshine-photo-cart' ),
					'ZM-07' => __( 'Southern', 'sunshine-photo-cart' ),
					'ZM-08' => __( 'Copperbelt', 'sunshine-photo-cart' ),
					'ZM-09' => __( 'Lusaka', 'sunshine-photo-cart' ),
					'ZM-10' => __( 'Muchinga', 'sunshine-photo-cart' ),
				),
			)
		);
	}

	public function get_base_country() {
		return SPC()->get_option( 'country' );
	}

	public function get_countries() {
		return $this->countries;
	}

	public function get_states( $country ) {
		if ( ! empty( $this->states[ $country ] ) ) {
			return $this->states[ $country ];
		}
	}

	public function get_countries_with_states() {
		$countries = $this->get_countries();
		$final     = array();
		foreach ( $countries as $code => $name ) {
			$final[ $code ] = $name;
			$states         = $this->get_states( $code );
			if ( ! empty( $states ) ) {
				foreach ( $states as $state_code => $state_name ) {
					$final[ $code . '|' . $state_code ] = $name . ': ' . $state_name;
				}
			}
		}
		return $final;
	}

	public function get_allowed_countries() {
		$allowed_countries = SPC()->get_option( 'allowed_countries' );
		if ( empty( $allowed_countries ) || ! is_array( $allowed_countries ) || in_array( 'all', $allowed_countries ) ) {
			return $this->get_countries();
		}
		$selected_allowed_countries = array();
		foreach ( $allowed_countries as $code ) {
			$selected_allowed_countries[ $code ] = $this->countries[ $code ];
		}
		return $selected_allowed_countries;
	}

	public function country_only_dropdown( $name = 'country', $selected = '', $required = false ) {
		$countries = $this->get_allowed_countries();
		if ( empty( $countries ) ) {
			$countries = $this->countries;
		}
		if ( $selected == '' ) {
			$selected = SPC()->get_option( 'country' );
		}
		if ( ! empty( $countries ) ) {
			asort( $countries );
			$required = ( $required ) ? 'required' : '';
			echo '<select name="' . esc_attr( $name ) . '" ' . $required . '>';
			echo '<option value="">' . __( 'Select country', 'sunshine-photo-cart' ) . '</option>';
			foreach ( $countries as $key => $value ) {
				echo '<option value="' . esc_attr( $key ) . '" ' . selected( $key, $selected, 0 ) . '>' . esc_html( $value ) . '</option>';
			}
			echo '</select>';
		}
	}

	public function countries_dropdown( $name = 'state', $selected = '', $required = false ) {
		if ( ! empty( $this->$countries ) ) {
			asort( $this->countries );
			foreach ( $this->countries as $key => $value ) {
				$states = $this->get_states( $key );
				if ( $states ) {
					echo '<optgroup label="' . esc_attr( $value ) . '">';
					foreach ( $states as $state_key => $state_value ) {
						echo '<option value="' . esc_attr( $key ) . '|' . esc_attr( $state_key ) . '" ' . selected( $key . '|' . $state_key, $selected, 0 ) . '>' . esc_html( $value ) . ' &mdash; ' . esc_html( $state_value ) . '</option>';
					}
					echo '</optgroup>';
				} else {
					echo '<option value="' . esc_attr( $key ) . '" ' . selected( $state_key, $selected, 0 ) . '>' . ( $escape ? esc_html( $value ) : $value ) . '</option>';
				}
			}
		}
	}

	public function state_dropdown( $country, $name = 'state', $selected = '', $required = false ) {
		$states = array();
		if ( $country == '' ) {
			$country = SPC()->get_option( 'country' );
		}
		if ( isset( $this->states[ $country ] ) ) {
			$states = $this->staes[ $country ];
		}
		if ( $states ) {
			$required = ( $required ) ? 'required' : '';
			echo '<select autocomplete="address-level1" name="' . esc_attr( $name ) . '" ' . $required . '>';
			echo '<option value="">' . __( 'Select state', 'sunshine-photo-cart' ) . '</option>';
			foreach ( $states as $code => $name ) {
				echo '<option value="' . esc_attr( $code ) . '" ' . selected( $selected, $code, 0 ) . '>' . esc_html( $name ) . '</option>';
			}
			echo '</select>';
		} else {
			echo '<input autocomplete="address-level1" type="text" name="' . esc_attr( $name ) . '" value="' . esc_attr( $selected ) . '" />';
		}
	}

	public function get_address_formats() {
		$formats = apply_filters(
			'sunshine_address_formats',
			array(
				'default' => "{name}\n{address1}\n{address2}\n{city}\n{state}\n{postcode}\n{country}",
				'AT'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'AU'      => "{name}\n{address1}\n{address2}\n{city} {state} {postcode}\n{country}",
				'BE'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'CA'      => "{name}\n{address1}\n{address2}\n{city} {state_code} {postcode}\n{country}",
				'CH'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'CL'      => "{name}\n{address1}\n{address2}\n{state}\n{postcode} {city}\n{country}",
				'CN'      => "{country} {postcode}\n{state}, {city}, {address2}, {address1}\n{name}",
				'CZ'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'DE'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'DK'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'EE'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'ES'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{state}\n{country}",
				'FI'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'FR'      => "{name}\n{address1}\n{address2}\n{postcode} {city_upper}\n{country}",
				'HK'      => "{first_name} {last_name_upper}\n{address1}\n{address2}\n{city_upper}\n{state_upper}\n{country}",
				'HU'      => "{last_name} {first_name}\n{city}\n{address1}\n{address2}\n{postcode}\n{country}",
				'IN'      => "{name}\n{address1}\n{address2}\n{city} {postcode}\n{state}, {country}",
				'IS'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'IT'      => "{name}\n{address1}\n{address2}\n{postcode}\n{city}\n{state_upper}\n{country}",
				'JM'      => "{name}\n{address1}\n{address2}\n{city}\n{state}\n{postcode_upper}\n{country}",
				'JP'      => "{postcode}\n{state} {city} {address1}\n{address2}\n{last_name} {first_name}\n{country}",
				'LI'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'NL'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'NO'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'NZ'      => "{name}\n{address1}\n{address2}\n{city} {postcode}\n{country}",
				'PL'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'PR'      => "{name}\n{address1} {address2}\n{city} \n{country} {postcode}",
				'PT'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'RS'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'SE'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'SI'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'SK'      => "{name}\n{address1}\n{address2}\n{postcode} {city}\n{country}",
				'TR'      => "{name}\n{address1}\n{address2}\n{postcode} {city} {state}\n{country}",
				'TW'      => "{last_name} {first_name}\n{address1}\n{address2}\n{state}, {city} {postcode}\n{country}",
				'UG'      => "{name}\n{address1}\n{address2}\n{city}\n{state}, {country}",
				'US'      => "{name}\n{address1}\n{address2}\n{city}, {state_code} {postcode}\n{country}",
				'VN'      => "{name}\n{address1}\n{city}\n{country}",
			)
		);
		return $formats;
	}

	public function get_formatted_address( $args = array(), $separator = '<br/>' ) {
		$default_args = array(
			'first_name' => '',
			'last_name'  => '',
			'address1'   => '',
			'address2'   => '',
			'city'       => '',
			'state'      => '',
			'postcode'   => '',
			'country'    => '',
		);

		$args    = array_map( 'trim', wp_parse_args( $args, $default_args ) );
		$state   = $args['state'];
		$country = $args['country'];

		// Get all formats.
		$formats = $this->get_address_formats();

		// Get format for the address' country.
		$format = ( $country && isset( $formats[ $country ] ) ) ? $formats[ $country ] : $formats['default'];

		// Handle full country name.
		$full_country = ( isset( $this->countries[ $country ] ) ) ? $this->countries[ $country ] : $country;

		// Country is not needed if the same as base.
		if ( $country === $this->get_base_country() && ! apply_filters( 'sunshine_formatted_address_force_country_display', false ) ) {
			$format = str_replace( '{country}', '', $format );
		}

		// Handle full state name.
		$full_state = ( $country && $state && isset( $this->states[ $country ][ $state ] ) ) ? $this->states[ $country ][ $state ] : $state;

		// Substitute address parts into the string.
		$replace = array_map(
			'esc_html',
			apply_filters(
				'sunshine_formatted_address_replacements',
				array(
					'{first_name}'       => $args['first_name'],
					'{last_name}'        => $args['last_name'],
					'{name}'             => sprintf(
						/* translators: 1: first name 2: last name */
						_x( '%1$s %2$s', 'full name', 'sunshine-photo-cart' ),
						$args['first_name'],
						$args['last_name']
					),
					// '{company}'          => $args['company'],
					'{address1}'         => $args['address1'],
					'{address2}'         => $args['address2'],
					'{city}'             => $args['city'],
					'{state}'            => $full_state,
					'{postcode}'         => $args['postcode'],
					'{country}'          => $full_country,
					'{first_name_upper}' => strtoupper( $args['first_name'] ),
					'{last_name_upper}'  => strtoupper( $args['last_name'] ),
					'{name_upper}'       => strtoupper(
						sprintf(
							/* translators: 1: first name 2: last name */
							_x( '%1$s %2$s', 'full name', 'sunshine-photo-cart' ),
							$args['first_name'],
							$args['last_name']
						)
					),
					// '{company_upper}'    => strtoupper( $args['company'] ),
					'{address1_upper}'   => strtoupper( $args['address1'] ),
					'{address2_upper}'   => strtoupper( $args['address2'] ),
					'{city_upper}'       => strtoupper( $args['city'] ),
					'{state_upper}'      => strtoupper( $full_state ),
					'{state_code}'       => strtoupper( $state ),
					'{postcode_upper}'   => strtoupper( $args['postcode'] ),
					'{country_upper}'    => strtoupper( $full_country ),
				),
				$args
			)
		);

		$formatted_address = str_replace( array_keys( $replace ), $replace, $format );

		// Clean up white space.
		$formatted_address = preg_replace( '/  +/', ' ', trim( $formatted_address ) );
		$formatted_address = preg_replace( '/\n\n+/', "\n", $formatted_address );

		// Break newlines apart and remove empty lines/trim commas and white space.
		$formatted_address = array_filter( array_map( array( $this, 'trim_formatted_address_line' ), explode( "\n", $formatted_address ) ) );

		// Add html breaks.
		$formatted_address = implode( $separator, $formatted_address );

		// We're done!
		return $formatted_address;
	}

	private function trim_formatted_address_line( $line ) {
		return trim( $line, ', ' );
	}

	public function get_country_locale() {
		if ( empty( $this->locale ) ) {
			$this->locale = apply_filters(
				'sunshine_get_country_locale',
				array(
					'AE' => array(
						'postcode' => array(
							'required' => false,
							'hidden'   => true,
						),
						'state'    => array(
							'required' => false,
						),
					),
					'AF' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'AL' => array(
						'state'    => array(
							'name' => __( 'County', 'sunshine-photo-cart' ),
						),
					),
					'AO' => array(
						'postcode' => array(
							'required' => false,
							'hidden'   => true,
						),
						'state'    => array(
							'name' => __( 'Province', 'sunshine-photo-cart' ),
						),
					),
					'AT' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'AU' => array(
						'city'     => array(
							'name' => __( 'Suburb', 'sunshine-photo-cart' ),
						),
						'postcode' => array(
							'name' => __( 'Postcode', 'sunshine-photo-cart' ),
						),
						'state'    => array(
							'name' => __( 'State', 'sunshine-photo-cart' ),
						),
					),
					'AX' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'BA' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'name'    => __( 'Canton', 'sunshine-photo-cart' ),
							'required' => false,
							'hidden'   => true,
						),
					),
					'BD' => array(
						'postcode' => array(
							'required' => false,
						),
						'state'    => array(
							'name' => __( 'District', 'sunshine-photo-cart' ),
						),
					),
					'BE' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'BG' => array(
						'state' => array(
							'required' => false,
						),
					),
					'BH' => array(
						'postcode' => array(
							'required' => false,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'BI' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'BO' => array(
						'postcode' => array(
							'required' => false,
							'hidden'   => true,
						),
						'state'    => array(
							'name' => __( 'Department', 'sunshine-photo-cart' ),
						),
					),
					'BS' => array(
						'postcode' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'BZ' => array(
						'postcode' => array(
							'required' => false,
							'hidden'   => true,
						),
						'state' 	=> array(
							'required' => false,
						),
					),
					'CA' => array(
						'postcode' => array(
							'name' => __( 'Postal code', 'sunshine-photo-cart' ),
						),
						'state'    => array(
							'name' => __( 'Province', 'sunshine-photo-cart' ),
						),
					),
					'CH' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'name'    => __( 'Canton', 'sunshine-photo-cart' ),
							'required' => false,
						),
					),
					'CL' => array(
						'city'     => array(
							'required' => true,
						),
						'postcode' => array(
							'required' => false,
						),
						'state'    => array(
							'name' => __( 'Region', 'sunshine-photo-cart' ),
						),
					),
					'CN' => array(
						'state' => array(
							'name' => __( 'Province', 'sunshine-photo-cart' ),
						),
					),
					'CO' => array(
						'postcode' => array(
							'required' => false,
						),
						'state' => array(
							'name' => __( 'Department', 'sunshine-photo-cart' ),
						),
					),
					'CR' => array(
						'state' => array(
							'name' => __( 'Province', 'sunshine-photo-cart' ),
						),
					),
					'CW' => array(
						'postcode' => array(
							'required' => false,
							'hidden'   => true,
						),
						'state'    => array(
							'required' => false,
						),
					),
					'CZ' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'DE' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'DK' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'DO' => array(
						'state'    => array(
							'name' => __( 'Province', 'sunshine-photo-cart' ),
						),
					),
					'EC' => array(
						'state'    => array(
							'name' => __( 'Province', 'sunshine-photo-cart' ),
						),
					),
					'EE' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'ET' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'FI' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'FR' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'GG' => array(
 						'state' => array(
 							'required' => false,
 							'name' => __( 'Parish', 'sunshine-photo-cart' ),
 						),
 					),
					'GH' => array(
						'postcode' => array(
							'required' => false,
						),
						'state'    => array(
							'name' => __( 'Region', 'sunshine-photo-cart' ),
						),
					),
					'GP' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'GF' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'GR' => array(
						'state' => array(
							'required' => false,
						),
					),
					'GT' => array(
						'postcode' => array(
							'required' => false,
						),
						'state'    => array(
							'name' => __( 'Department', 'sunshine-photo-cart' ),
						),
					),
					'HK' => array(
						'postcode' => array(
							'required' => false,
						),
						'city'     => array(
							'name' => __( 'Town / District', 'sunshine-photo-cart' ),
						),
						'state'    => array(
							'name' => __( 'Region', 'sunshine-photo-cart' ),
						),
					),
					'HN' => array(
						'state'    => array(
							'name' => __( 'Department', 'sunshine-photo-cart' ),
						),
					),
					'HU' => array(
						'last_name'  => array(
							'class'    => array( 'form-row-first' ),
							'priority' => 10,
						),
						'first_name' => array(
							'class'    => array( 'form-row-last' ),
							'priority' => 20,
						),
						'postcode'   => array(
							'class'    => array( 'form-row-first', 'address-field' ),
							'priority' => 65,
						),
						'city'       => array(
							'class' => array( 'form-row-last', 'address-field' ),
						),
						'address_1'  => array(
							'priority' => 71,
						),
						'address_2'  => array(
							'priority' => 72,
						),
						'state'      => array(
							'name'    => __( 'County', 'sunshine-photo-cart' ),
							'required' => false,
						),
					),
					'ID' => array(
						'state' => array(
							'name' => __( 'Province', 'sunshine-photo-cart' ),
						),
					),
					'IE' => array(
						'postcode' => array(
							'required' => false,
							'name'    => __( 'Eircode', 'sunshine-photo-cart' ),
						),
						'state'    => array(
							'name' => __( 'County', 'sunshine-photo-cart' ),
						),
					),
					'IS' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'IL' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'IM' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'IN' => array(
						'postcode' => array(
							'name' => __( 'PIN Code', 'sunshine-photo-cart' ),
						),
						'state'    => array(
							'name' => __( 'State', 'sunshine-photo-cart' ),
						),
					),
					'IR' => array(
						'state'     => array(
							'priority' => 50,
						),
						'city'      => array(
							'priority' => 60,
						),
						'address_1' => array(
							'priority' => 70,
						),
						'address_2' => array(
							'priority' => 80,
						),
					),
					'IT' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => true,
							'name'    => __( 'Province', 'sunshine-photo-cart' ),
						),
					),
					'JM' => array(
						'city'     => array(
							'name' => __( 'Town / City / Post Office', 'sunshine-photo-cart' ),
						),
						'postcode' => array(
							'required' => false,
							'name'    => __( 'Postal Code', 'sunshine-photo-cart' ),
						),
						'state'    => array(
							'required' => true,
							'name'    => __( 'Parish', 'sunshine-photo-cart' ),
						),
					),
					'JP' => array(
						'last_name'  => array(
							'class'    => array( 'form-row-first' ),
							'priority' => 10,
						),
						'first_name' => array(
							'class'    => array( 'form-row-last' ),
							'priority' => 20,
						),
						'postcode'   => array(
							'class'    => array( 'form-row-first', 'address-field' ),
							'priority' => 65,
						),
						'state'      => array(
							'name'    => __( 'Prefecture', 'sunshine-photo-cart' ),
							'class'    => array( 'form-row-last', 'address-field' ),
							'priority' => 66,
						),
						'city'       => array(
							'priority' => 67,
						),
						'address_1'  => array(
							'priority' => 68,
						),
						'address_2'  => array(
							'priority' => 69,
						),
					),
					'KR' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'KW' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'LV' => array(
						'state' => array(
							'name'    => __( 'Municipality', 'sunshine-photo-cart' ),
							'required' => false,
						),
					),
					'LB' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'MF' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'MQ' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'MT' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'MZ' => array(
						'postcode' => array(
							'required' => false,
							'hidden'   => true,
						),
						'state'    => array(
							'name' => __( 'Province', 'sunshine-photo-cart' ),
						),
					),
					'NI' => array(
						'state'    => array(
							'name' => __( 'Department', 'sunshine-photo-cart' ),
						),
					),
					'NL' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'NG' => array(
						'postcode' => array(
							'name'    => __( 'Postcode', 'sunshine-photo-cart' ),
							'required' => false,
							'hidden'   => true,
						),
						'state'    => array(
							'name' => __( 'State', 'sunshine-photo-cart' ),
						),
					),
					'NZ' => array(
						'postcode' => array(
							'name' => __( 'Postcode', 'sunshine-photo-cart' ),
						),
						'state'    => array(
							'required' => false,
							'name'    => __( 'Region', 'sunshine-photo-cart' ),
						),
					),
					'NO' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'NP' => array(
						'state'    => array(
							'name' => __( 'State / Zone', 'sunshine-photo-cart' ),
						),
						'postcode' => array(
							'required' => false,
						),
					),
					'PA' => array(
						'state'    => array(
							'name' => __( 'Province', 'sunshine-photo-cart' ),
						),
					),
					'PL' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'PR' => array(
						'city'  => array(
							'name' => __( 'Municipality', 'sunshine-photo-cart' ),
						),
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'PT' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'PY' => array(
						'state' => array(
							'name'    => __( 'Department', 'sunshine-photo-cart' ),
						),
					),
					'RE' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'RO' => array(
						'state' => array(
							'name'    => __( 'County', 'sunshine-photo-cart' ),
							'required' => true,
						),
					),
					'RS' => array(
						'city'     => array(
							'required' => true,
						),
						'postcode' => array(
							'required' => true,
						),
						'state'    => array(
							'name'    => __( 'District', 'sunshine-photo-cart' ),
							'required' => false,
						),
					),
					'RW' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'SG' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
						'city'  => array(
							'required' => false,
						),
					),
					'SK' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'SI' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'SR' => array(
						'postcode' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'SV' => array(
						'state'    => array(
							'name' => __( 'Department', 'sunshine-photo-cart' ),
						),
					),
					'ES' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'name' => __( 'Province', 'sunshine-photo-cart' ),
						),
					),
					'LI' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'name'    => __( 'Municipality', 'sunshine-photo-cart' ),
							'required' => false,
						),
					),
					'LK' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'LU' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'MD' => array(
						'state' => array(
							'name' => __( 'Municipality / District', 'sunshine-photo-cart' ),
						),
					),
					'SE' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'TR' => array(
						'postcode' => array(
							'priority' => 65,
						),
						'state'    => array(
							'name' => __( 'Province', 'sunshine-photo-cart' ),
						),
					),
					'UG' => array(
						'postcode' => array(
							'required' => false,
							'hidden'   => true,
						),
						'city'     => array(
							'name'    => __( 'Town / Village', 'sunshine-photo-cart' ),
							'required' => true,
						),
						'state'    => array(
							'name'    => __( 'District', 'sunshine-photo-cart' ),
							'required' => true,
						),
					),
					'US' => array(
						'postcode' => array(
							'name' => __( 'ZIP Code', 'sunshine-photo-cart' ),
						),
						'state'    => array(
							'name' => __( 'State', 'sunshine-photo-cart' ),
						),
					),
					'UY' => array(
						'state'    => array(
							'name' => __( 'Department', 'sunshine-photo-cart' ),
						),
					),
					'GB' => array(
						'postcode' => array(
							'name' => __( 'Postcode', 'sunshine-photo-cart' ),
						),
						'state'    => array(
							'name'    => __( 'County', 'sunshine-photo-cart' ),
							'required' => false,
						),
					),
					'ST' => array(
						'postcode' => array(
							'required' => false,
							'hidden'   => true,
						),
						'state'    => array(
							'name' => __( 'District', 'sunshine-photo-cart' ),
						),
					),
					'VN' => array(
						'state'     => array(
							'required' => false,
							'hidden'   => true,
						),
						'postcode'  => array(
							'priority' => 65,
							'required' => false,
							'hidden'   => false,
						),
						'address_2' => array(
							'required' => false,
							'hidden'   => false,
						),
					),
					'WS' => array(
						'postcode' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'YT' => array(
						'state' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
					'ZA' => array(
						'state' => array(
							'name' => __( 'Province', 'sunshine-photo-cart' ),
						),
					),
					'ZW' => array(
						'postcode' => array(
							'required' => false,
							'hidden'   => true,
						),
					),
				)
			);

			$this->locale = array_intersect_key( $this->locale, $this->get_allowed_countries() );

			// Default Locale Can be filtered to override fields in get_address_fields(). Countries with no specific locale will use default.
			$this->locale['default'] = apply_filters( 'sunshine_get_country_locale_default', $this->get_default_address_fields() );

			// Filter default AND shop base locales to allow overides via a single function. These will be used when changing countries on the checkout.
			if ( ! isset( $this->locale[ $this->get_base_country() ] ) ) {
				$this->locale[ $this->get_base_country() ] = $this->locale['default'];
			}

			$this->locale['default']                   = apply_filters( 'sunshine_get_country_locale_base', $this->locale['default'] );
			$this->locale[ $this->get_base_country() ] = apply_filters( 'sunshine_get_country_locale_base', $this->locale[ $this->get_base_country() ] );
		}

		return $this->locale;
	}

	public function get_default_address_fields( $country = '' ) {

		if ( empty( $country ) ) {
			$country = $this->get_base_country();
		}

		$states = SPC()->countries->get_states( $country );

		$fields = array(
			array(
				'id'           => 'country',
				'type'         => 'country',
				'name'         => __( 'Country', 'sunshine-photo-cart' ),
				'required'     => true,
				'default'      => $country,
				'options'      => SPC()->countries->get_allowed_countries(),
				'autocomplete' => 'address-level2',
			),
			array(
				'id'       => 'first_name',
				'type'     => 'text',
				'name'     => __( 'First Name', 'sunshine-photo-cart' ),
				'required' => true,
				'default'  => SPC()->customer->get_first_name(),
				'size'     => 'half',
				'autocomplete' => 'given-name',
			),
			array(
				'id'       => 'last_name',
				'type'     => 'text',
				'name'     => __( 'Last Name', 'sunshine-photo-cart' ),
				'required' => true,
				'default'  => SPC()->customer->get_last_name(),
				'size'     => 'half',
				'autocomplete' => 'family-name',
			),
			array(
				'id'           => 'address1',
				'type'         => 'text',
				'name'         => __( 'Address', 'sunshine-photo-cart' ),
				'required'     => true,
				'autocomplete' => 'address-line1',
			),
			array(
				'id'           => 'address2',
				'type'         => 'text',
				'name'         => __( 'Address 2', 'sunshine-photo-cart' ),
				'required'     => false,
				'autocomplete' => 'address-line2',
			),
			array(
				'id'           => 'city',
				'type'         => 'text',
				'name'         => __( 'City', 'sunshine-photo-cart' ),
				'required'     => true,
				'autocomplete' => 'address-level2',
				'size'         => 'third',
			),
			array(
				'id'           => 'state',
				'type'         => ( ! empty( $states ) ) ? 'select' : 'text',
				'name'         => __( 'State', 'sunshine-photo-cart' ),
				'required'     => true,
				'options'      => $states,
				'autocomplete' => 'address-level1',
				'placeholder'  => __( 'State', 'sunshine-photo-cart' ),
				'size'         => 'third',
			),
			array(
				'id'           => 'postcode',
				'type'         => 'text',
				'name'         => __( 'Zip / Postal Code', 'sunshine-photo-cart' ),
				'required'     => true,
				'autocomplete' => 'postal-code',
				'size'         => 'third',
			),
		);

		$default_address_fields = apply_filters( 'sunshine_default_address_fields', $fields );

		return $default_address_fields;
	}


	/**
	 * Apply locale and get address fields.
	 *
	 * @param  mixed  $country Country.
	 * @param  string $type    Address type, defaults to 'billing_'.
	 * @return array
	 */
	public function get_address_fields( $country = '', $type = 'billing_' ) {

		if ( ! $country ) {
			$country = $this->get_base_country();
		}

		$default_address_fields = $this->get_default_address_fields( $country );
		$locale                 = $this->get_country_locale();

		$address_fields = array();
		$last_line_count = 0;

		if ( isset( $locale[ $country ] ) ) {
			// Merge the locale defaults over the address defaults
			foreach ( $default_address_fields as $priority => $address_field ) {
				$address_field_id = $address_field['id'];
				if ( array_key_exists( $address_field_id, $locale[ $country ] ) ) {
					if ( ! empty( $locale[ $country ][ $address_field_id ]['hidden'] ) ) {
						continue; // Complete remove any hidden fields
					}
					if ( ! empty( $locale[ $country ][ $address_field_id ]['priority'] ) ) {
						$priority = $locale[ $country ][ $address_field_id ]['priority'];
					}
					$address_fields[ $priority ] = array_merge( $address_field, $locale[ $country ][ $address_field_id ] );
				} else {
					$address_fields[ $priority ] = $address_field;
				}
				if ( $address_field_id == 'city' || $address_field_id == 'state' || $address_field_id == 'postcode' ) {
					$last_line_count++;
				}
			}
		} else {
			$address_fields = $default_address_fields;
		}

		// Prepend field keys.
		foreach ( $address_fields as $key => &$field ) {
			if ( $field['id'] == 'country' ) { // Set the Country select default option to the passed country
				$field['default'] = $country;
			}

			// Easy way to determine last line field sizes based on how many there are
			if ( $field['id'] == 'city' || $field['id'] == 'state' || $field['id'] == 'postcode' ) {
				if ( $last_line_count == 3 ) {
					$field['size'] = 'third';
				} elseif ( $last_line_count == 2 ) {
					$field['size'] = 'half';
				} elseif ( $last_line_count == 1 ) {
					$field['size'] = 'full';
				}
			}
			$field['id'] = $type . $field['id'];
		}

		$address_fields = apply_filters( 'sunshine_' . $type . '_fields', $address_fields, $country );

		return $address_fields;
	}


}
